2008-12-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/si.spad.pamphlet (size$SingleInteger): Compute value as 
	extended integer.

2008-12-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compDefineFunctor1): Remove dead code.
	(compile): Likewise.
	* interp/functor.boot (isPackageFunction): Remove.
	* interp/wi2.boot (compDefineFunctor1): Remove dead code.

2008-12-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (isSubset): Don't check for Object.
	* interp/cattable.boot (hasCat): Likewise.
	(simpTempCategoryTable): Don't substitute for Object.

2008-12-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/catdef.spad.pamphlet (OrderedFinite): Export `min' and
	`max' values.
	* algebra/si.spad.pamphlet (SingleInteger): Now satisfies
	OrderedFinite.  Tidy.

2008-12-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/net.spad.pamphlet (readBytes!$InputByteConduit): Set
	length of buffer to count of bytes read.
	* algebra/si.spad.pamphlet (SingleInteger): Now formally subdomain
	of Integer.

2008-12-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/database.boot (getConstructorArity): New.
	(getCategoryExports): Likewise.
	(getCategoryAttributes): Likewise.
	* interp/i-analy.boot (isUnambiguouslyConstructor): New.
	(bottomUpIdentifier): Use it.
	* algebra/syntax.spad.pamphlet (Identifier): No longer satisfies
	SpadSyntaxCategory). 
	* algebra/exposed.lsp.pamphlet: Expose Signature and
	ConstructorCategory. 
	* algebra/term.spad.pamphlet (operator$OperatorCategory): Remove.
	* algebra/domain.spad.pamphlet (ConstructorKind): Improve
	documentation. 
	(ConstructorCategory): New.
	(Constructor): Now satisfies ConstructorCategory.
	(CategoryConstructor): New.
	(DomainConstructor): New.
	(Signature): Move from syntax.spad.pamphlet.
	(OperatorSignature): New.
	(exportedOperators$Category): New.
	(principalAncestors$Category): New.
	(parents$Category): Likewise.
	(constructor$Domain): New.
	* algebra/catdef.spad.pamphlet (hash$SetCategory): Tidy default
	implementation. 
	* algebra/outform.spad.pamphlet (vspace$OutputForm): Prevent
	infinite recursion for negative input.
	(hspace$OutputForm): Likewise.
	(rspace$OutputForm): Likewise.
	Explicitly quote bytecode symbols.

2008-12-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-eval.boot (evaluateType0): Check for builtin
	constructors. 
	(evaluateType): Likewise.
	* interp/i-spec2.boot (isType): Reject unsaturated constructors.
	* testsuite/interpreter/ctor.input: New.

2008-12-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (checkRepresentation): Take a third
	argument. Provide view morphisms for domain extensions.
	(compCapsule): Adjust call.
	* algebra/alql.spad.pamphlet (DataList): Use per and rep.
	* algebra/fortmac.spad.pamphlet (MachineInteger): Likewise.
	* algebra/fortran.spad.pamphlet (FortranExpression): Likewise.
	* algebra/integer.spad.pamphlet (NonNegativeInteger): Likewise.
	(PositiveInteger): Likewise.
	* algebra/ituple.spad.pamphlet (InfiniteTuple): Likewise.
	* algebra/matrix.spad.pamphlet (RectangularMatrix): Likewise.
	* algebra/pf.spad.pamphlet (InnerPrimeField): Likewise.
	* algebra/radix.spad.pamphlet (BinaryExpansion): Likewise.
	(DecimalExpansion): Likewise.
	(HexadecimalExpansion): Likewise.

2008-12-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (elaborateForm): New.
	* interp/i-spec2.boot (uphas): Use it.  Evaluate first operand.

2008-12-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (checkRepresentation): Take a second
	argument.  For domain extensions, warn about useless assignment to
	Rep, and syntactically 	conflicting assignment to Rep.

2008-12-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/newdata.spad.pamphlet (SplittingNode): Define Rep as
	constant.  Remove definitions for `per' and `rep'.
	* algebra/regset.spad.pamphlet (RegularTriangularSet): Likewise.
	* algebra/sregset.spad.pamphlet (SquareFreeRegularTriangularSet):
	Likewise. 
	* algebra/triset.spad.pamphlet (GeneralTriangularSet): Likewise.
	(WuWenTsunTriangularSet): Likewise.
	
2008-12-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (insertViewMorphisms): New.
	(checkRepresentation): Rename from maybeInsertViewMorphisms. Tidy.
	(compDefineFunctor1): Tidy.
	(doIt): Insert view morphisms if appropriate.

2008-12-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compFormWithModemap): Tidy.
	(compLogicalNot): Rename from compNot.
	(compExclusiveOr): New.
	(compViableModemap): Likewise.
	(compResolveCall): Likewise.
	(compApplyModemap): Tidy.
	(compMapCond): Tidy.
	(compMapCond''): Remove.
	* interp/parse.boot (parseExclusiveOr): Remove.
	* interp/sys-constants.boot ($SideEffectFreeFunctionList): Include
	"and", "or", and "not".
	* interp/modemap.boot (getModemap): Adjust call to compApplyModemap.
	* interp/nruncomp.boot (NRTputInHead): Error on SPADCONST form.
	* algebra/boolean.spad.pamphlet (and$Boolean): Use Lisp operation.
	(or$Boolean): Likewise.
	(not$Boolean): Likewise.
	* algebra/mappkg.spad.pamphlet (fixedPoint$MappingPackage1):
	Specify return type for Lisp expression.
	* algebra/strap: Update cached Lisp translation.

2008-12-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (ILinsn): New structure.
	(il3OldForm): Convert new forms to old forms.
	* interp/i-intern.boot (mkAtree3): Don't use old parser functions.
	* interp/wi2.boot: Use MEMQ to test for parameters names.
	* interp/compiler.boot: Use MEMQ to test for parameters names.

2008-12-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/ht-util.boot (oldParseString): Remove.
	* interp/server.boot (oldParseAndInterpret): Likewise.
	* interp/parse.boot (parseHasRhs): Likewise.
	(parseType): Likewise.
	(parseColon): Remove unused code.
	(parseCoerce): Likewise.
	(parseAtSign): Likewise.
	(parsePretend): Likewise.
	(parseAtAt): Likewise.
	(parseHas): Likewise.
	(parseAnd): Likewise.
	(parseOr): Likewise.
	(parseIf): Simplify.

2008-12-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nrunfast.boot (resolveNiladicConstructors): Tidy.
	* interp/compiler.boot (quotify): Remove.
	* interp/parse.boot (parseCases): Remove.
	(parseUpArrow): Likewise.
	* interp/compiler.boot (preprocessParseTree): New.
	(compileParseTree): New.  Split out of S-PROCESS.
	* interp/spad.lisp (S-PROCESS): Use it.

2008-12-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/term.spad.pamphlet: New.  Implement Arity and
	OperatorCategory. 
	* algebra/Makefile.pamphlet (axiom_algebra_layer_15): Include ARITY.
	(axiom_algebra_layer_16): Include OPERCAT.
	* share/algebra: Update databases.

2008-12-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compRetractAlternative): Handle domains
	satisfying RetractableTo T.
	* interp/g-opt.boot ($simpleVMoperators): Add a few more operators.
	(optLET): Fix thinko.
	
2008-12-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/cparse.boot (npCase): New.
	(npStatement): Use it.
	* interp/pf2sex.boot (pfCase2Sex): New.
	(pf2Sex1): Use it.
	* interp/ptrees.boot: Construct %Match ASTs.

2008-12-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-opt.boot ($simpleVMoperators): New.
	(isSimpleVMForm): Likewise.
	(isFloatableVMForm): Likewise.
	(optLET): Likewise.  Expand backend let-forms.
	* interp/c-util.boot (foldSpadcall): Look into LET and COND forms.
	(replaceSimpleFunctions): Likewise.
	(mutateCONDFormWithUnaryFunction): New.
	(mutateLETFormWithUnaryFunction): Likewise.
	* interp/compiler.boot (tryCourtesyCoercion): Split from coerce.
	(compRetractAlternative): Simplify. Now try courtesy coercions
	before retraction.  
	(compRecoverAlternative): New.
	(compMatch): Simplify.  Implement type recovery too.

2008-12-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compRetractAlternative): New.
	(compMatch): Likewise.  Use it to implement pattern matching
	for retractable domains.
	* interp/parse.boot (parseAtAt): New.
	* interp/postpar.boot (postAtAt): Likewise.
	(postAlternatives): Likewise.
	(postMatch): Likewise.
	* interp/metalex.lisp (Keywords): Remove `otherwise' as keyword.
	* interp/fnewmeta.lisp (|PARSE-Match|): New local parser.
	(otherwise): Remove binding specification.
	(case): Now also a Nud token.

2008-12-06  Alfredo Portes  <doyenatccny@gmail.com>

	* lib/cfuns-c.c (oa_getpid): New function to support getting
	process id in Windows. 
	* include/cfuns.h: Define it.
	* lib/fnct_key.c: Use it.
	* lib/sockio-c.c: Likewise.
	* lib/util.c: Likewise.
	* clef/edible.c: Likewise.

2008-12-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/fs2ups.spad.pamphlet
	(FunctionSpaceToUnivariatePowerSeries):  Revert previous
	requirement change on parameter.
	* algebra/manip.spad.pamphlet (PolynomialRoots): Likewise.
	* algebra/rf.spad.pamphlet (PolynomialCategoryQuotientFunctions):
	Likewise. 
	* algebra/sum.spad.pamphlet (GosperSummationMethod): Likewise.
	* share/algebra: Update databases.

2008-12-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compIs): Error if left operand is not a
	domain expression.

2008-12-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parsing.lisp (initial-substring-p): Match case sensitively.

2008-12-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compile): Don't check for PAC names.
	* interp/g-opt.boot (optCall): Likewise.
	* interp/functor.boot (SetFunctionSlots): Likewise.
	(mkOperatorEntry): Lose first parameter.
	(optPackageCall): Remove.
	* interp/category.boot (mkCategory): Document.  Adjust call to
	mkOperatorEntry. 

2008-11-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parse.boot (parseEquivalence): Remove.

2008-11-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (disallowNiAttribute): Remove.
	(compDefineFunctor1): Don't use it anymore.
	(compCategoryItem): Filter out nil attributes here.

2008-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (deltaTran): Don't check for $NRTaddForm
	againg; it was already checked by NRTassocIndex.
	(genDeltaEntry): Likewise.
	(NRTgetLocalIndex): Likewise.
	* interp/wi2.boot (genDeltaExntry): Likewise.

2008-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (mustInstantiate): Fix thinko introduced by
	earlier tweaks.
	(mkExplicitCategoryFunction): Likewise.

2008-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (genDeltaSpecialSig): Remove, as unused.

2008-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (deltaTran): Don't encode signature again.
	(genDeltaEntry): Remove dead pattern match.

2008-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (setqSingle): Use setShellEntry.
	* interp/wi1.boot (setqSingle): Likewise.
	* interp/functor.boot (setVector4): Likewise.
	(DescendCode): Abort on SETELT opcode.
	(SetFunctionSlots): Likewise.
	* interp/nrunfast.boot (evalSlotDomain): Likewise.
	* interp/nrungo.boot (NRTevalDomain): Likewise.
	* interp/showimp.boot (getDomainRefName): Match "setShellEntry".

2008-11-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compCapsuleInner): Call processFunctor.
	* interp/wi2.boot (compCapsuleInner): Likewise.
	* interp/functor.boot (processFunctorOrPackage): Remove.
	(processPackage): Likewise.
	(subTree): Likewise.
	(setPackageLocals): Likewise.
	(PackageDescendCode): Likewise.

2008-11-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (buildFunctor): Remov reference to $NRTvec.
	* interp/nrunfast.boot ($NRTvec): Don't define.

2008-11-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/server.boot (serverLoop): Remove, as unused.

2008-11-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (NRTgetAddForm): Remove, as unused.

2008-11-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (NRTassocIndex): Don't set $found.

2008-11-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compSignature): New.  Split from
	compCategoryItem. 
	(compCategoryItem): Use it.  Tidy.
	(quotifyCategoryArgument): Remove.
	(mkEvalableCategoryForm): Tidy.

2008-11-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parse.boot (parseImplies): Remove.

2008-11-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (compDefineExports): Tidy.
	* interp/define.boot (compDefineFunctor1): Adjust call.

2008-11-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-output.boot ($RecordSeparator): New.
	(maprin): Use it.  Separate record in lean mode.
	* interp/sys-globals.boot ($leanMode): Define.
	* interp/sys-driver.boot (systemMain): Initialize.
	* interp/ht-util.boot (executeInterpreterCommand): Print prompt
	only in non-lean mode.
	* interp/int-top.boot (SpadInterpretStream): Likewise.
	(intloopReadConsole): Likewise.
	* interp/metalex.lisp (get-a-line): Likewise.
	* interp/server.boot: Likewise.

2008-11-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/cfuns-c.c (oa_copy_file): Specify permission mode for the
	new file.

2008-11-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/lodop.spad.pamphlet (OrdinaryDifferentialRing): Tidy.
	* algebra/sex.spad.pamphlet (SExpressionCategory): Fix breakage
	from last commit.

2008-11-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/seg.spad.pamphlet (SegmentCategory): Extend
	ConvertibleFrom S.
	* algebra/newpoint.spad.pamphlet (PointCategory): Extend
	ConvertibleFrom List R.
	* algebra/misc.spad.pamphlet (SingletonAsOrderedSet): Now
	ConvertibleTo Symbol.
	* algebra/integer.spad.pamphlet (RomanNumeral): Now
	ConvertibleFrom Symbol.
	* algebra/float.spad.pamphlet (Float): Now ConvertibleFrom SF.
	* algebra/sex.spad.pamphlet (SExpressionCategory): Extend
	ConvertibleFrom Str, ConvertibleFrom Sym, ConvertibleFrom Int,
	ConvertibleFrom Flt, ConvertibleFrom List %.

2008-11-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/alql.spad.pamphlet (Database): Now CoercibleFrom List S.
	* algebra/asp.spad.pamphlet (Asp20): Now CoercibleFrom MAT FEXPR.
	(Asp6): Now CoercibleFrom Vector FEXPR.
	* algebra/catdef.spad.pamphlet (Algebra): Extend CoercibleFrom R.
	(Ring): Extend CoercibleFrom Integer.
	* algebra/formula.spad.pamphlet (ScriptFormulaFormat): Now
	CoercibleFrom E.
	* algebra/fortran.spad.pamphlet (FortranCode): Remove redundant
	signature. 
	* algebra/fs2ups.spad.pamphlet
	(FunctionSpaceToUnivariatePowerSeries):  Tidy parameter.
	* algebra/laurent.spad.pamphlet
	(UnivariateLaurentSeriesConstructorCategory): Extend CoercibleFrom
	UTS. 
	* algebra/manip.spad.pamphlet (PolynomialRoots): Tidy parameter.
	* algebra/modmon.spad.pamphlet (ModMonic): Now CoercibleFrom Rep.
	* algebra/ore.spad.pamphlet (UnivariateSkewPolynomial): Now
	CoercibleFrom Variable x.

2008-11-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/annacat.spad.pamphlet (NumericalIntegrationProblem):
	Remove redundant signature.
	(NumericalODEProblem): Likewise.
	(NumericalPDEProblem): Likewise.
	(NumericalOptimizationProblem): Likewise.
	* algebra/forttyp.spad.pamphlet (FortranType): Likewise.
	* algebra/void.spad.pamphlet (Void): Now CoercibleTo OutputForm.

2008-11-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/wtpol.spad.pamphlet (WeightedPolynomials): No
	HomotopicTo P.
	(OrdinaryWeightedPolynomials): Likewise.
	* algebra/modmonom.spad.pamphlet (ModuleMonomial): Now
	HomotopicTo MM.
	* algebra/matrix.spad.pamphlet (coerce$RectangularMatrix): Remove
	redundant signature.
	* algebra/lodop.spad.pamphlet (OrdinaryDifferentialRing): Now
	HomotopicTo HomotopicTo R.
	* algebra/alql.spad.pamphlet (DataList): Now HomotopicTo List S.
	* algebra/array1.spad.pamphlet (Tuple): Now HomotopicTo
	PrimitiveArray S.
	* algebra/kl.spad.pamphlet (CachableSet): Now HomotopicTo S.
	* algebra/java.spad.pamphlet (JavaBytecode): Now HomotopicTo Byte.
	* algebra/fname.spad.pamphlet (FileNameCategory): Extends
	HomotopicTo String.
	* algebra/data.spad.pamphlet (Byte): Now HomotopicTo Character.

2008-11-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/coerce.spad.pamphlet (HomotopicTo): New.
	* algebra/exposed.lsp.pamphlet: Expose it.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include HOMOTOP.

2008-11-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/coerce.spad.pamphlet (CoercibleFrom): New.
	(ConvertibleFrom): Likewise.
	(RetractableTo): Use it.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Include
	KRCFROM and KVTFROM.
	* share/algebra/: Update databases.

2008-11-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-utility.boot (loadExports): New.
	* interp/sys-driver.boot (initializeGlobalState): Set
	$compileDefaultsOnly.
	* interp/lisplib.boot (isFunctor): Load exports file if present.
	* interp/define.boot (compDefineCategory2): Don't write out
	category load time stuff if we are compiling only defaults.
	* interp/boot-pkg.lisp: Import loadFileIfPresent.
	* lisp/core.lisp.in (|loadFileIfPresent|): New.
	(|loadIfPresent|): Use it.

2008-11-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nrunfast.boot (resolveNiladicConstructors): New.
	(newHasTest): Use it to handle signature export test.
	* testsuite/interpreter/has.input: New.

2008-11-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (compDefineExports): Now take operation
	exported list, instead of category object.  Tidy.
	* interp/define.boot (compDefineFunctor1): Adjust call to
	compDefineExports. 

2008-11-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|getOptionValue|): Make second argument optional.
	* interp/sys-driver.boot (initializeGlobalState): Set
	$compileExportsOnly.
	* interp/lisplib.boot (compDefineExports): New.
	* interp/define.boot (skipCategoryPackage?): New.
	(compDefineCategory1): Use it.
	(compDefineFunctor): Don't compile to NRLIB if interested only in
	exports. 
	(compDefineFunctor1): Honor $compileExportsOnly.
	* interp/sys-macros.lisp (|withOutputFile|): New.
	* interp/sys-utility.boot (quoteForm): Likewise.

2008-11-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot: More cleanup.
	* interp/iterator.boot: Likewise.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot: Clean up.
	* interp/database.boot: Likewise.
	* interp/debug.lisp: Likewise.
	* interp/define.boot: Likewise.
	* interp/functor.boot: Likewise.
	* interp/g-cndata.boot: Likewise.
	* interp/g-opt.boot: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/guess.boot: Likewise.
	* interp/i-output.boot: Likewise.
	* interp/macros.lisp: Likewise.
	* interp/nrungo.boot: Likewise.
	* interp/preparse.lisp: Likewise.
	* interp/spad.lisp: Likewise.
	* interp/sys-macros.lisp: Likewise.
	* interp/trace.boot: Likewise.
	* interp/types.boot: Likewise.
	* interp/vmlisp.lisp: Likewise.
	* interp/word.boot: Likewise.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/package.boot: Fold content into functor.boot.  Delete.
	* interp/Makefile.pamphlet: Adjust.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-syscmd.boot: Remove dead code.
	* interp/spad.lisp: Likewise.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (OBJS): Remove cfuns.  Include
	hashcode.
	* interp/cfuns.lisp: Delete.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot: Import "msgdb", not "c-util".  Move
	compiler driver to i-syscmd.boot.
	* interp/define.boot: Import "nruncomp", "functor", "package".
	* interp/wi2.boot (NRTgetLocalIndex): Remove duplicate.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/spad.lisp (incTimeSum): Remove.
	* interp/modemap.boot ($forceAdd): Define.
	* interp/nruncomp.boot ($NRTderivedTargetIfTrue): Likewise.
	($killOptimizeIfTrue): Likewise.
	* interp/i-toplev.boot (processInteractive): Tidy.
	* interp/c-util.boot ($compErrorMessageStack): Define.
	* interp/compiler.boot (compApply): Remove.
	($compTimeSum): Likewise
	($resolveTimeSum): Likewise.
	(compCompilerPredicate): Tidy.
	(comp3): There is no such thing as KAPPA.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet: Individual .spad files are .PRECIOUS.

2008-11-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/category.boot: Define global vars.
	* interp/compiler.boot: Likewise.
	* interp/define.boot: Likewise.
	* interp/sys-globals.boot: Likewise.
	* interp/wi1.boot ($frontier): Removed, as unused.
	* interp/wi2.boot ($attributesName): Likewise.
	($goGetList): Likewise.
	($NRTaddList): Likewise.
	($NRTloadTimeAlist): Likewise.
	($lisplibMissingFunctions): Likewise.
	($alternateViewList): Likewise.

2008-11-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/br-data.boot: Remove uses of BOUNDP.
	* interp/br-op1.boot: Likewise.
	* interp/c-doc.boot: Likewise.
	* interp/functor.boot: Likewise.
	* interp/category.boot: Likewise.
	* interp/g-cndata.boot: Likewise.
	* interp/i-util.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/mark.boot: Likewise.
	* interp/wi1.boot: Likewise.
	* interp/wi2.boot: Likewise.

2008-11-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/postpar.boot (postcheckTarget): Likewise.
	(isPackageType): Likewise.
	* interp/lisplib.boot (getSlotFromDomain): Remove.
	* interp/macros.lisp (|saySpadMsg|): Remove.
	* interp/vmlisp.lisp (qsetq): Remove.
	(STATEP, FUNARGP, PAPPP): Likewise.
	(LISTOFQUOTES, LISTOFFREES): Likewise.

2008-11-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (Syntax): Print syntax objects as
	s-expressions. 
	* algebra/sex.spad.pamphlet (SExpression): Print strings as
	String. 

2008-11-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (template.$(FASLEXT)): Remove.
	* interp/template.boot: Move non-dead code where appropriate.
	Remove file.
	* boot/ast.boot (bfQ): Improve.

2008-11-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|$ExtraRuntimeLibraries|): Listify.
	(extra-runtime-libs): Tidy.
	* lisp/Makefile.in (edit): stringify $(oa_c_runtime_extra) elements.

2008-11-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* driver/utils.c (OPENAXIOM_DEFAULT_DRIVER): Can no longer be
	openaxiom_unknown_driver. 
	(openaxiom_preprocess_arguments): If a file is specified, then it
	is a script unless told otherwise.

2008-11-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-util.boot: Import "ggreater".
	* interp/category.boot: Import "g-cndata"
	* interp/c-util.boot: Import "g-opt".
	* interp/Makefile.pamphlet: Adjust Make rules.

2008-11-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/2212001
	* sman/sman.c (process_arguments): Fix thinko.
	(process_options): Complain about unknown options.

2008-11-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* sman/sman.c (ptsPath): Remove.
	* sman/Makefile.in: Add additional C runtimes for link.
	* lib/openpty.c: Include <pty.h> and <util.h> where available.
	(ptyopen): Lose third parameter.  Tidy.
	(makeNextPtyNames): Now static.
	* clef/edible.c (controllerPath): Remove.  
	Adjust call to ptyopen.
	* clef/Makefile.in (clef_LDADD): Add extra C runtimes.

2008-10-31  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot (genECLnativeTranslation): Fix thinko.

2008-10-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-macros.lisp (APPEND2): Remove.

2008-10-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (bottomUpDefaultCompile): Declared local
	variables really are locals.
	* interp/i-map.boot (findLocalVars1): Fix typo.

2008-10-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-syscmd.boot (summary): Quote path.
	(copyright): Likewise.

2008-10-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/presea.in: Rename from hyper/presea.  `awk' is not
	substitued at configuration time.

2008-10-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* clef/edible.c: #include "cfuns.h" for oa_getenv use.
	* graph/Gdraws/Gfun.c: Likewise.
	* graph/view2D/control2d.c: Likewise.
	* graph/view2D/main2d.c: Likewise.
	* graph/view2D/process2d.c: Likewise.
	* graph/view3D/main3d.c: Likewise.
	* graph/view3D/process3d.c: Likewise.
	* graph/viewAlone/spoon2D.c: Likewise.
	* graph/viewAlone/spoonComp.c: Likewise.
	* graph/viewman/fun2D.c: Likewise.
	* graph/viewman/fun3D.c: Likewise.
	* hyper/extent2.c: Likewise.
	* hyper/hthits.c: Likewise.
	* hyper/htinp.c: Likewise.
	* hyper/initx.c: Likewise.
	* hyper/lex.c: Likewise.
	* hyper/parse-types.c: Likewise.
	* hyper/spadint.c: Likewise.
	* hyper/titlebar.c: Likewise.
	* lib/fnct_key.c: Likewise.
	* sman/sman.c: Likewise.

2008-10-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/open-axiom.h: Define WIN32_LEAN_AND_MEAN
	* lib/sockio-c.c (oa_inet_pton) [__WIN32__]: Use inet_addr.

2008-10-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-os.boot: Import oa_socket_read_byte as
	readByteFromStreamSocket. Import oa_socket_write_byte as
	writeByteToStreamSocket.
	* include/sockio.h (oa_socket_read_byte): Declare.
	(oa_socket_write_byte): Likewise.
	* lib/sockio-c.c (oa_socket_read_byte): Define.
	(oa_socket_write_byte): Likewise.
	* algebra/net.spad.pamphlet (readByteIfCan!$InetClientStreamSocket):
	Implement.
	(writeByteIfCan!$InetClientStreamSocket): Likewise.
	* etc/asq.c.pamphlet: Update build rules for asq$(EXEEXT).

2008-10-24  Alfredo Portes  <doyenatccny@gmail.com>

	* hyper/addfile.c: Use oa_getenv function.
	* hyper/titlebar.c: Likewise.
	* src/hyper/parse-types.c: Likewise.
	* src/hyper/htinp.c: Likewise.
	* src/hyper/extent2.c: Likewise.
	* src/hyper/spadint.c: Likewise.
	* src/hyper/htadd.c: Likewise.
	* src/hyper/lex.c: Likewise.
	* src/hyper/initx.c: Likewise.
	* src/sman/sman.c: Likewise.
	* src/graph/view2D/main2d.c: Likewise.
	* src/graph/view3D/testcol.c: Likewise.
	* src/graph/view3D/main3d.c: Likewise.
	* src/graph/viewman/fun2D.c: Likewise.
	* src/graph/viewman/fun3D.c: Likewise.
	* src/graph/Gdraws/Gfun.c: Likewise.
	* src/graph/viewAlone/spoon2D.c: Likewise.
	* src/graph/viewAlone/spoonComp.c: Likewise.
	* src/lib/cfuns-c.c: Likewise.
	* src/lib/fnct_key.c: Likewise.
	* src/lib/sockio-c.c: Likewise.
	* src/lib/cursor.c: Likewise.
	* src/clef/edible.c: Likewise.
	* src/etc/asq.c.pamphlet: Likewise.

2008-10-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Add basic support for stream client socket.
	* lib/sockio-c.c (oa_inet_pton): Define.
	(oa_get_host_address): Likewise.
	* algebra/net.spad.pamphlet (IP4Address): New.
	(NetworkClientSocket): Likewise.
	(InetClientStreamSocket): Likewise.
	* algebra/data.spad.pamphlet (DataArray): Rename from DataBuffer.
	(ByteBuffer): Rename from ByteArray.  Reimplement.
	* algebra/exposed.lsp.pamphlet: Expose IP4Address,
	InetClientStreamSocket, NetworkClientSocket.

2008-10-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/exposed.lsp.pamphlet: Unexpose BinaryFile.
	* algebra/files.spad.pamphlet (BinaryFile): Remove.

2008-10-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/net.spad.pamphlet (InputOutputBinaryFile): New.
	(position$InputBinaryFile): New.
	(position!$InputBinaryFile): Likewise.
	* algebra/exposed.lsp.pamphlet: Expose InputOutputBinaryFile.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add IOBFILE.

2008-10-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot: Expand on native call translation.
	* interp/sys-os.boot (oa_filedesc_read): Adjust declaration.
	(oa_filedesc_write): Likewise.

2008-10-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/debug.lisp (WHOCALLED): Fix thinko.

2008-10-19  Alfredo Portes  <doyenatccny@gmail.com>

	* include/open-axiom.h: Replace __MINGW32__ declaration
	with __WIN32__.
	* include/sockio.h:	Likewise.
	* hyper/ex2ht.c: Likewise.
	* lib/cfuns-c.c: Likewise.

2008-10-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/Makefile.in (openaxiom_host_has_regex): Define.
	(all-hyper-pre): Install scripts too.

2008-10-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (Syntax): Now belong to
	RetractableTo Integer, RetractableTo DoubleFloat, RetractableTo
	Symbol, and RetractableTo String.

2008-10-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (Syntax): Simplify.

2008-10-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/debug.lisp (WHOCALLED): Add dummy definition.

2008-10-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-output.boot (callForm2String): Properly display package
	call. 

2008-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/374
	* algebra/radix.spad.pamphlet (intgroup$RadixExpansion): Check for
	big radix.

2008-10-17  Alfredo Portes  <doyenatccny@gmail.com>

	Fix AW/293
	* algebra/gaussian.spad.pamphlet (ComplexCategory): Remove complex
	attribute. 

2008-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/271
	* interp/sys-constants.boot ($Field): New.
	* interp/i-coerce.boot (retract2Specialization): Ignore
	expressions whose types do no belong to Field.
	

2008-10-17  Martin Rubey  <martin.rubey@univie.ac.at>

	Fix AW/413, AW/414
	* src/algebra/fr.spad.pamphlet: Fix missing returns in loops.
	* src/algebra/gdpoly.spad.pamphlet: Likewise.
	* src/algebra/lmdict.spad.pamphet: Likewise.
	* src/algebra/plot3d.spad.pamphlet: Likewise.
	* src/algebra/prs.spad.pamphlet: Likewise.
	* src/algebra/sups.spad.pamphlet: Likewise.

2008-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/410
	* interp/i-syscmd.boot (displaySpad2Cmd): Handle constructor
	abbreviation. 

2008-10-17  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	Fix AW/260
	* graph/view2D/graph2d.c (freeGraph): 

2008-10-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/scan.boot (scanKeyWords): `assume' is a keyword.

2008-10-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-spec1.boot (categoryImplies): New.
	(evalCategory): Use it.

2008-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/101
	* algebra/laplace.spad.pamphlet (lapkernel): Handle derivatives.

2008-10-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (backendCompile1): Move to c-util.boot.
	(COMP): Likewise.  Rename to backendCompile.
	(compileFileQuietly): Move to c-util.boot.
	(compAndDefine): Likewise.
	(compQuietly): Likewise.
	(compileQuitely): Likewise.

2008-10-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/mkfunc.spad.pamphlet (unparse$InputForm): Use
	inputForm2String$Lisp. 

2008-10-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/mkfunc.spad.pamphlet (coerce$InputForm): Display
	InputForm as a one-dimensional stream of characters suitable
	for input to the interpreter.
	* interp/i-output.boot: Implement conversion of InputForm to
	displayed OutputForm.

2008-10-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-spec2.boot (upQUOTE): Quoted forms belong to InputForm.
	* interp/sys-constants.boot ($InputForm): New.

2008-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/338
	* algebra/fspace.spad.pamphlet (smprep$FunctionSpace): Fix thinko

2008-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/292
	* algebra/defintef.spad.pamphlet (checkForPole): Handler exponention.
	(checkSMP): Likewise.

2008-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/23
	* algebra/fspace.spad.pamphlet (isExpt): Tidy.
	* algebra/algfunc.spad.pamphlet (inroot): Likewise. 

2008-10-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Don't step over Common Lisp MAP.
	* interp/i-analy.boot (bottomUp): Change MAP to %Map.
	(isEltable): Likewise.
	* interp/i-coerce.boot (retract): Likewise.
	* interp/i-eval.boot (getArgValue): Likewise.
	* interp/i-funsel.boot (selectLocalMms): Likewise.
	* interp/i-intern.boot (getValueFromEnvironment): Likewise.
	* interp/i-map.boot (mkAuxiliaryName): Likewise.
	(augmentMap): Likewise.
	(displayMap): Likewise.
	(putBodyInEnd): Likewise.
	(expandRecursiveBody): Likewise.
	* interp/i-output.boot (outputTran): Likewise.
	* interp/i-spec1.boot (declare): Likewise.
	* interp/i-syscmd.boot (displayMacro): Likewise.
	* interp/i-toplev.boot (interpret2): Likewise.
	* interp/patches.lisp (MAP): Remove.
	* interp/trace.boot (isUncompiledMap): Likewise.

2008-10-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Add support for Lisp declarations in generated Lisp code.
	* interp/i-map.boot (compileCoerceMap): Tell backend that
	minivector is global.
	* interp/i-spec1.boot (compileADEFBody): Likewise.
	* interp/slam.boot (reportFunctionCompilation): Likewise.
	* interp/define.boot (spadCompileOrSetq): Tell backend to ignore
	last argument for simple functions.
	* interp/c-util.boot (skipDeclarations): New.
	(lastDeclarationNode): Likewise.
	(declareGlobalVariables): Likewise.
	(transformToBackendCode): Use them to allow for Lisp
	declarations in middle-end forms.
	* interp/sys-driver.boot (AxiomCore::%sysInit): Reading Lisp level
	Floating point numbers default to double precision.
	* algebra/strap: Update.

2008-10-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nlib.lisp (rpackfile): Remove obsolete code.

2008-10-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (backendCompileNEWNAM): New.
	(pushLocalVariable): Likewise.
	(mutateToBackendCode): Likewise.
	(transformToBackendCode): Likewise
	* interp/comp.lisp (FLUIDVARS): Remove.
	(LOCVARS): Likewise.
	(SPECIALVARS): Likewise.
	($CLOSEDFNS): Likewise.
	(COMP-NAM): Likewise.
	(COMP-TRAN): Likewise.
	(COMP-TRAN-1): Likewise.
	* interp/compiler.boot (compWithMappingMode): Use
	transformToBackendCode. 
	(COMP-1): Use backendCompileNEWNAM.
	* interp/i-analy.boot (bottomUpCompile): Use mutateToBackendCode.

2008-10-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (backendFluidize): New.
	* interp/comp.lisp (COMP-TRAN): Use it.
	(COMP-FLUIDIZE): Remove.

2008-10-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (backendCompile2): Bootified from COMP-2.
	* interp/compiler.boot (COMP): Use it.
	* interp/comp.lisp (COMP-2): Remove.

2008-10-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot ($middleEndMacroList): New.
	(middleEndExpand): New.
	(backendCompileILAM): Bootify COMP-ILAM.
	(backendCompileSLAM): Bootify COMP-SLAM.
	(backendCompileSPADSLAM): Bootify COMP-SPADSLAM.
	* interp/comp.lisp (COMP-2): Use them.
	(COMP-ILAM): Remove.
	(COMP-SLAM): Likewise.
	(COMP-SPADLSAM): Likewise.
	(COMP-TRAN): Use middleEndExpand.
	(COMP-EXPAND): Remove.
	($COMP-MACROLIS): Likewise.

2008-10-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot (loadNativeModule): Don't save loaded
	shared objects.

2008-10-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/domain.spad.pamphlet (ConstructorKinid): New domain.
	(Constructor): Likewise.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Include
	CTORKIND. 
	(axiom_algebra_layer_user): Include CTOR.

2008-10-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	SF/1872404 fixed.
	* testsuite/compiler/1872404.spad: New.

2008-10-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	SF/1872445 fixed.
	* testsuite/compiler/1872445.spad: New.

2008-10-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Allow compound argument types in Boot signatures.
	* boot/parser.boot (bpArgtypeList): New.
	(bpMapping); Use it.
	* boot/tokens.boot: Define neutral element for CONCAT.

2008-10-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot (bfReduce): Check neutral value for original
	operator too.
	(bfReduceCollect): Likewise.

2008-10-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-util.boot (printPrompt): New.
	* interp/ht-util.boot (executeInterpreterCommand): Use it.
	* interp/int-top.boot (SpadInterpretStream): Likewise.
	* interp/metalex.lisp (get-a-line): Likewise.
	* interp/server.boot (serverReadLine): Likewise.
	(serverLoop): Likewise.

2008-10-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Include
	RGBCMDL, RGBCSPC.
	* algebra/color.spad.pamphlet (RGBColorModel): New.
	(RGBColorSpace): Likewise.
	* algebra/exposed.lsp.pamphlet: Expose them

2008-10-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compCategoryItem): Don't check signatures yet.
	* interp/c-util.boot (isKnownCategory): New.
	(diagnoseUknownType): Use it.  Expand.
	* interp/compiler.boot (compCat): Use it.

2008-10-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot: Remove unused variable $maximalViews.
	* interp/package.boot: Likewise.

2008-10-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/functor.boot (DescendCode): Update capsule directory only
	for non-default implementations.
	* interp/c-util.boot ($capsuleDirectory): New.
	(clearCapsuleDirectory): Likewise.
	(getCapsuleDirectoryEntry): Likewise.
	(updateCapsuleDirectory): Likewise.
	(foldSpadcall): Likewise.
	(foldExportedFunctionReferences): Likewise.
	* interp/define.boot (compFunctorBody): Use it.

2008-10-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-macros.lisp (|quietlyIfInteractive|): New.
	* interp/compiler.boot (quietlyIfInteractive): Use it.
	(compQuietly): Likewise.
	(compileQuietly): Likewise.

2008-10-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot ($optExportedFunctionReference): New.
	(setCompilerOptimizations): Set it.
	* interp/define.boot ($capsuleFunctionStack): New.
	(spadCompileOrSetq): Collect capsule function definitions.
	(compFunctorBody): Compile them at end of capsule.

2008-10-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (getFunctionReplacement): Tidy.
	* algebra/data.spad.pamphlet (Byte): Likewise.

2008-10-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (isAtomicForm): New.
	(replaceSimpleFunctions): Use it.  Simplify back to original
	implementation. 
	(proclaimCapsuleFunction): Constructor parameters are generic.
	* interp/sys-utility.boot (getVMType): Handle wildcard.
	* algebra/stream.spad.pamphlet: Don't build STREAM with
	proclamation on -- it currently violates type rules.

2008-10-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/data.spad.pamphlet (sample$Byte): New.

2008-10-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (eqSubstAndCopy): New.
	(eqSubst): Likewise.
	(replaceSimpleFunctions): Handle XLAM-replaceable functions.
	* interp/wi1.boot (pairList): Remove duplicate.

2008-10-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (clearReplacement): New.
	(getFunctionReplacement): Likewise.
	(replaceSimpleFunctions): Likewise.
	* interp/define.boot (spadCompileOrSetq): Use it.

2008-10-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet: Turn on optimization for algbera build.

2008-10-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/data.spad.pamphlet (Byte): Add coercion to and from
	Character. 

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-spec1.boot (upcase): Tidy.
	* interp/i-spec2.boot (evalIsntPredicate): Likewise.
	* interp/sys-utility.boot (existingFile?): Likewise.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/outform.spad.pamphlet (doubleFloatFormat$OutputForm): Move
	from DoubleFloat.
	
2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/net.spad.pamphlet (InputBinaryFile): Tidy.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/array2.spad.pamphlet (TwoDimensionalArrayCategory): Tidy.
	* algebra/sregset.spad.pamphlet (SquareFreeRegularTriangularSet):
	Remove unused function decompose.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/mkfunc.spad.pamphlet (InputForm): Remove local mkProperOp.
	(compile$InputForm): Tidy.
	* algebra/boolean.spad.pamphlet (setelt$IndexedBits): A bit is
	not a Boolean.
	* interp/i-intern.boot (mkAtreeForToken): New.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot ($optProclaim): New.
	($optReplaceSimpleFunctions): Likewise.
	(setCompilerOptimizations): Likewise.  Set them.
	(proclaimCapsuleFunction): New.
	* interp/compiler.boot (compileSpad2Cmd): Handle option ')optimize'.
	* interp/define.boot (compile): Proclaim if appropriate.
	* interp/sys-driver.boot (compileSpadLibrary): Honor optimization
	level set on commmand line.
	* interp/sys-utility.boot (getVMType): Tidy.
	* interp/types.boot (%Void): Likewise.
	(IntegerSection): New.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-output.boot: Move dispatch table from property.lisp.
	* interp/buildom.boot: Likewise.
	* interp/def.lisp: Likewise.

2008-10-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/files.spad.pamphlet (IOMode): New domain.
	* algebra/net.spad.pamphlet (InputBinaryFile): Likewise.
	(OutputBinaryFile): Likewise.
	* interp/sys-utility.boot (openBinaryFile): New.
	(readByteFromFile): Likewise.
	(writeByteToFile): Likewise.
	(closeFile): Likewise.

2008-09-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/regset.spad.pamphlet (RegularTriangularSet): Remove
	unused local decompose function.

2008-09-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/outform.spad.pamphlet (OutputForm): Remove bogus
	definition for Rep.  Tidy.

2008-09-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/matrix.spad.pamphlet (new$Matrix): New.
	Remove uses of pretend.  Define Rep.

2008-09-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/cfuns.h (oa_copy_file): Declare.
	* lib/cfuns-c.c (oa_chdir): Define.
	(oa_dirname): Fix typo.
	* hyper/htadd.c (copy_file): Remove.
	(build_db_filename): Tidy.
	(delete_file): Use oa_copy_file.

2008-09-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (putCallInfo): New.
	(bottomUp): Use it.
	* interp/i-spec1.boot (upand): Likewise.
	(upor): Likewise.
	(upcase): Likewise.
	* interp/i-spec2.boot (uperror): Likewise.

2008-09-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/fortmac.spad.pamphlet (MachineFloat): Don't redeclare base.

2008-09-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/parser.boot (bpReturn): Allow assignment.

2008-09-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet: Tie the recursive knots between
	syntax domains.

2008-09-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (SpadAst): New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add SPADAST.
	* share/algebra: Update algebra databases.

2008-09-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (SpadAstExports): New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add
	SPADXPT.  Update dependency rules.
	* share/algebra: Update algebra databases.

2008-09-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/boolean.spad.pamphlet (Boolean): Now belong to
	OrderedFinite.

2008-09-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-macros.lisp (|byteEqual|): New.
	* algebra/boolean.spad.pamphlet (PropositionalLogic): Extend
	SetCategory.  
	(PropositionalFormula): Now unconditional exports coercion to
	OutputForm. Adjust implementation.
	(KleeneTrivalentLogic): New.
	* algebra/data.spad.pamphlet (Byte): Tidy.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Move PROPLOG
	to layer 1.

2008-09-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/cfuns.h (oa_dirname): Declare.
	* lib/cfuns-c.c (openaxiom_is_path_separator): New.
	(oa_dirname): Define.
	(writeablep): Use it.
	* algebra/fname.spad.pamphlet (writable?$FileName): Tidy.

2008-09-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-util.boot (getTypeOfSyntax): Infer more syntax domains.
	* algebra/Makefile.pamphlet: Add dependency rules for syntax
	domains. 
	* algebra/exposed.lsp.pamphlet: Expose more syntax domains.

2008-09-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (getConstructorSignature): Relax.

2008-09-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (displayAmbiguousSignatures): New.
	(ambiguousSignatureError): Likewise.
	* interp/define.boot (hasSigInTargetCategory): Use it to reject
	ambiguous lhs of a definition.
	* interp/lisplib.boot (leaveIfErrors): Fix typo.
	* algebra/aggcat.spad.pamphlet: Disambiguate definitions.
	* algebra/card.spad.pamphlet: Likewise.
	* algebra/dhmatrix.spad.pamphlet: Likewise.
	* algebra/divisor.spad.pamphlet: Likewise.
	* algebra/expexpan.spad.pamphlet: Likewise.
	* algebra/ffcat.spad.pamphlet: Likewise.
	* algebra/ffcg.spad.pamphlet: Likewise.
	* algebra/ffnb.spad.pamphlet: Likewise.
	* algebra/ffp.spad.pamphlet: Likewise.
	* algebra/generic.spad.pamphlet: Likewise.
	* algebra/groebf.spad.pamphlet: Likewise.
	* algebra/modring.spad.pamphlet: Likewise.
	* algebra/moebius.spad.pamphlet: Likewise.
	* algebra/mts.spad.pamphlet: Likewise.
	* algebra/naalgc.spad.pamphlet: Likewise.
	* algebra/ore.spad.pamphlet: Likewise.
	* algebra/outform.spad.pamphlet: Likewise.
	* algebra/pf.spad.pamphlet: Likewise.
	* algebra/poly.spad.pamphlet: Likewise.
	* algebra/polycat.spad.pamphlet: Likewise.
	* algebra/prtition.spad.pamphlet: Likewise.
	* algebra/radix.spad.pamphlet: Likewise.
	* algebra/rep2.spad.pamphlet: Likewise.
	* algebra/stream.spad.pamphlet: Likewise.
	* algebra/string.spad.pamphlet: Likewise.
	* algebra/tree.spad.pamphlet: Likewise.
	* algebra/triset.spad.pamphlet: Likewise.
	* algebra/view2D.spad.pamphlet: Likewise.
	* algebra/sf.spad.pamphlet: Remove signature for hash.
	* algebra/si.spad.pamphlet: Likewise.

2008-09-18  Bill Page  <bill.page@newsynthesis.org>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/mkfunc.spad.pamphlet (parseString$InputForm): New.

2008-09-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-util.boot (getTypeOfSyntax): Infer more syntax domains.
	* algebra/syntax.spad.pamphlet: Add more syntax domains.
	* algebra/exposed.lsp.pamphlet: Expose more syntax object domains.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add more
	syntax object files.

2008-09-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/net.spad.pamphlet (Conduit): New.
	(InputByteConduit): Likewise.
	(OutputByteConduit): Likewise.
	(InputOutputByteConduit): Likewise.
	* algebra/exposed.lsp.pamphlet: Expose Conduit, InputByteConduit,
	OutputByteConduit, InputOutputByteConduit.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Include CONDUIT.
	(axiom_algebra_layer_13): Include INBCON, INBCON-, OUTBCON, OUTBCON-.
	(axiom_algebra_layer_14): Include IOBCON.

2008-09-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-os.boot (readablep): Import.
	(writeablep): Document.
	* algebra/fname.spad.pamphlet (exists?$FileName): Use existingFile?
	(readable?$FileName): Use readablep.
	(writeable?$FileName): Use writeable.

2008-09-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (TRANSLATE-OPTION-VALUE): New.
	(parseOption): Use it.

2008-09-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|$NativeTypeTable|): Don' include `pointer'
	and `buffer'.
	* lisp/Makefile.in (pointer_type): Remove.
	(edit): Tidy.
	* boot/ast.boot (nativeType): Tidy.  Handle `pointer' and `buffer'
	here. 
	* boot/translator.boot (genImportDeclaration): Tidy.
	
2008-09-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot (AxiomCore::%sysInit) [ECL]: Remove
	settings for ECL-base builds.
	(getIntermediateLispFile): Tidy.

2008-09-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (displayMissingFunctions): Fix typo.

2008-09-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>
	    Alfredo Portes  <doyenatccny@gmail.com>

	* lib/sockio-c.c (openaxiom_sleep): Move to open-axiom.h.
	* clef/edible.c: Include "open-axiom.h".  Use openaxiom_sleep, not
	sleep. 
	* graph/view2D/viewport2D.c: Likewise.
	* graph/viewAlone/spoon2D.c: Likewise.
	* graph/viewAlone/spoonComp.c: Likewise.
	* graph/viewman/fun2D.c: Likewise.
	* graph/viewman/fun3D.c: Likewise.
	* hyper/spadint.c: Likewise.
	* sman/session.c: Likewise.
	* sman/sman.c: Likewise.

2008-09-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/parser.boot (bpImport): Invert syntax for importing foreign
	functions. 
	* boot/strap/parser.clisp: Update.
	* interp/sys-os.boot: Change to new syntax throughout.

2008-09-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Ensure SingleFloat is 32-bit, DoubleFloat 64-bit.
	* interp/types.boot: Tidy.
	* interp/sys-constants.boot: Define limits for builtin numeric types.
	* interp/sys-os.boot: Import sys-constants.
	* interp/foam_l.lisp: Import sys-constants.  Align builtin numeric
	types with OpenAxiom runtime's.
	* interp/fortcall.boot: Tidy.
	* interp/i-output.boot: Likewise.
	* interp/Makefile.pamphlet (foam_l.$(FASLEXT)): Now require
	sys-constants.$(FASLEXT).
	* algebra/si.spad.pamphlet: Use $ShortMinimum and $ShortMaximum
	for SingleInteger limits.
	* algebra/sf.spad.pamphlet: Use $DoubleFloatMaximum,
	$DoubleFloatMinimum for DoubleFloat limits.
	* algebra/strap: Update cached Lisp translation.

2008-09-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/sockio.h (openaxiom_filedesc): New.  Abstract over
	differences between Win32 named pipes and POSIX local sockets.
	* lib/sockio-c.c: Use it.

2008-09-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/sockio-c.c (oa_open_ip4_client_stream_socket): Use deprecated 
	inet_addr on MinGW host.

2008-09-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-os.boot (openIP4ClientStreamSocket): New.
	(readFromStreamSocket): Likewise.
	(writeToStreamSocket): Likewise.
	(closeSocket): Likewise.
	* include/sockio.h: Include <arpa/inet.h>
	(oa_open_ip4_client_stream_socket): Declare.
	(oa_socket_write): Likewise.
	(oa_socket_read): Likewise.
	* lib/sockio-c.c (openaxiom_unload_socket_module): New.
	(openaxiom_load_socket_module): Tidy.
	(openaxiom_socket_is_invalid): New.
	(is_invalid_socket): Use it.
	(oa_open_ip4_client_stream_socket): Define.
	(oa_socket_read): Likewise.
	(oa_socket_write): Likewise.

2008-09-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/cfuns-c.c (oa_unlink): Tidy.
	
2008-09-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/daase.lisp (processDir): Lose last argument.  Don't
	change directory.
	(localdatabase): Adjust call.
	* interp/lisplib.boot (getAllIndexPathnames): Take an argument.
	(getAllAldorObjectFiles): Likewise.

2008-09-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-util.boot (getTypeOfSyntax): Handle more ASTs.
	* algebra/syntax.spad.pamphlet (SpadSyntaxCategory): Add
	pretty-printer. 
	(HeadAst): Use Identifier.
	(TypeAst,MappingAst,ImportAst,SignatureAst,AttributeAst,JoinAst,
	IfAst,RepeatAst,WhileAst,InAst,CollectAst,ConstructAst,
	ExitAst,ReturnAst,SequenceAst,LetAst,PretendAst,CoerceAst,
	RestrictAst,CallAst,SegmentAst): New domains.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add
	TYPEAST, IMPTAST, MAPPAST, ATTRAST, JOINAST, IFAST, RPTAST
	WHILEAST, INAST, CLLCAST, LSTAST, EXITAST, RETAST, SEGAST,
	PRTDAST, CRCAST, LETAST.
	* share/algebra: Update databases.

2008-09-02  Alfredo Portes  <doyenatccny@gmail.com>

	* hyper/util.ht: Use OpenAxiom name in Hyperdoc pages.
	* hyper/rootpage.ht: Likewise.

2008-09-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (Literal): New.
	(Identifier): Likewise.
	(Signature): Tidy.
	* algebra/exposed.lsp.pamphlet: Expose IDENT and LITERAL.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_user): Add
	LITERAL and IDENT.
	(user-stamp): Don't depend directly on bootstrap-stamp.
	* share/algebra/: Update databases.

2008-09-01  Martin Rubey  <martin.rubey@univie.ac.at>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/431
	* algebra/ore.spad.pamphlet (SpareUnivariateSkewPolynomial):
	Implement **.

2008-09-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Make ^ an alias for **.
	* interp/postpar.boot (postAtom): Replace "^" with "**".
	* interp/format.boot (reportOpSymbol): Announce that "^" is an
	alias for "**".
	* interp/nrungo.boot (compiledLookup): Be sure to look for "**"
	when operation is "^".
	* interp/define.boot (noteCapsuleFunctionDefinition): New.
	(clearCapsuleFunctionTable): Likewise.
	(noteExport): Likewise.
	(clearExportsTable): Likewise.
	(compDefineCapsuleFunction): Rename "^" to "**".  Take a note
	of the capsule function being compiled.
	(compCapsule): Clear previous capsule functions table.
	(doItIf): Keep track of predicate validity.
	(compCategory): Clear previous exports table.
	(compCategoryItem): Take notes of declared attributes and signatures.
	* algebra/catdef.spad.pamphlet (DivisionRing): Remove duplicate
	definition for "^".
	(Group): Likewise.
	(Monoid): Likewise.
	(SemiGroup): Likewise.
	* algebra/poly.spad.pamphlet (PolynomialRing): Remove duplicate
	definitins of "^".
	(SparseUnivariatePolynomial): Likewise.
	* algebra/multpoly.spad.pamphlet (SparseMultivariatePolynomial):
	Remove duplicate definitions for "^".
	* algebra/interval.spad.pamphlet (Interval): Remove duplicate
	definition for "^".
	* algebra/curve.spad.pamphlet (FunctionFieldCategory): Remove
	duplicate declaration for represents.
	* algebra/strap/: Update cached Lisp translations.
	* share/algebra: Update databases.

2008-08-31  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/stream.spad.pamphlet (Stream): Remove duplicate of concat.
	* algebra/naalgc.spad.pamphlet (FramedNonAssociativeAlgebra): 
	disambiguate coordinates.

	* algebra/aggcat.spad.pamphlet (FiniteLinearAggregate): Remove
	duplicate definition of reverse.
	* algebra/algcat.spad.pamphlet (FramedAlgebra): Remove duplicate
	definition of regularRepresentation.  Explicitly disambiguate
	the argument of coodinates.
	* algebra/efupxs.spad.pamphlet
	(ElementaryFunctionsUnivariatePuiseuxSeries):  Remove duplicate
	definition of asinhIfCan, acoshIfCan, asechIfCan, acshIfCan.
	* algebra/equation2.spad.pamphlet (Equation): Remove duplicate
	definition of *: (S,%) -> %.
	Remove duplicate of factorAndSplit.
	* algebra/fortpak.spad.pamphlet (MultiVariableCalculusFunctions):
	Remove duplicate definition of jacobian.
	* algebra/tree.spad.pamphlet (BinaryTree): Remove duplicate
	definition of empty.

2008-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Alfredo Portes  <doyenatccny@gmail.com>

	* hyper/pages/util.ht: Restore commented commands.

2008-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Alfredo Portes  <doyenatccny@gmail.com>

        * algebra/intef.spad.pamphlet: Fix Bug AW/308.

2008-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Alfredo Portes  <doyenatccny@gmail.com>

	* algebra/gaussian.spad.pamphlet: Fix Bug AW/15.

2008-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Alfredo Portes  <doyenatccny@gmail.com>

	* algebra/manip.spad.pamphlet: Fix Bug AW/278.

2008-08-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/boolean.spad.pamphlet (Boolean): Remove definition of
	operator ^.
	* algebra/aggcat.spad.pamphlet (BitAggregate): Likewise.
	* algebra/color.spad.pamphlet: Replace use of '^' as logical
	negation by 'not'.
	* algebra/ddfact.spad.pamphlet: Likewise.
	* algebra/fortran.spad.pamphlet: Likewise.
	* algebra/gaussfac.spad.pamphlet: Likewise.
	* algebra/gbeuclid.spad.pamphlet: Likewise.
	* algebra/gbintern.spad.pamphlet: Likewise.
	* algebra/ghensel.spad.pamphlet: Likewise.
	* algebra/groebsol.spad.pamphlet: Likewise.
	* algebra/ideal.spad.pamphlet: Likewise.
	* algebra/idecomp.spad.pamphlet: Likewise.
	* algebra/indexedp.spad.pamphlet: Likewise.
	* algebra/listgcd.spad.pamphlet: Likewise.
	* algebra/mfinfact.spad.pamphlet: Likewise.
	* algebra/modgcd.spad.pamphlet: Likewise.
	* algebra/multfact.spad.pamphlet: Likewise.
	* algebra/multsqfr.spad.pamphlet: Likewise.
	* algebra/newpoint.spad.pamphlet: Likewise.
	* algebra/npcoef.spad.pamphlet: Likewise.
	* algebra/permgrps.spad.pamphlet: Likewise.
	* algebra/pgcd.spad.pamphlet: Likewise.
	* algebra/pleqn.spad.pamphlet: Likewise.
	* algebra/qalgset.spad.pamphlet: Likewise.
	* algebra/radeigen.spad.pamphlet: Likewise.
	* algebra/rep2.spad.pamphlet: Likewise.
	* algebra/solverad.spad.pamphlet: Likewise.
	* algebra/space.spad.pamphlet: Likewise.
	* algebra/view2D.spad.pamphlet: Likewise.
	* algebra/strap/: Update cached Lisp translateion
	* share/algebra/: Update databases.

2008-08-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/sockio-c.c (oa_open_local_client_stream_socket): Use
	OPENAXIOM_AF_LOCAL, not AF_LOCAL.

2008-08-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (initializeGlobalState): Parse --bootstrap.

2008-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

    * hyper/htinp.c: Use strcpy instead of strcat.
    * hyper/presea: Misc.
    * hyper/pages/man0.ht: Fix htsearch path.
    * hyper/pages/MSET.ht: Fix link name.
    * hyper/pages/util.ht: Fix paths.
    * hyper/pages/xmpexp.ht: Fix link name.
    * hyper/pages/ug01.ht: Likewise.

2008-08-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/aggcat.spad.pamphlet: Import used domains.
	* algebra/any.spad.pamphlet: Likewise.
	* algebra/catdef.spad.pamphlet: Likewise.
	* algebra/drawopt.spad.pamphlet: Likewise.
	* algebra/equation2.spad.pamphlet: Likewise.
	* algebra/ituple.spad.pamphlet: Likewise.
	* algebra/mkfunc.spad.pamphlet: Likewise.
	* algebra/omdev.spad.pamphlet: Likewise.
	* algebra/out.spad.pamphlet: Likewise.
	* algebra/plot.spad.pamphlet: Likewise.
	* algebra/print.spad.pamphlet: Likewise.
	* algebra/seg.spad.pamphlet: Likewise.
	* algebra/stream.spad.pamphlet: Likewise.
	* algebra/system.spad.pamphlet: Likewise.

2008-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Alfredo Portes  <doyenatccny@gmail.com>

	Fix AW/280
	* interp/br-search.boot (grepConstruct): Return error messages
	verbatim. 

2008-08-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (isKnownType): New.
	(diagnoseUknownType): Likewise.
	* interp/define.boot (compCategoryItem): Use it.  Check for
	unknown types.	

2008-08-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (augModemapsFromDomain1): Move to modemap.boot
	(mkEvalableCategoryForm): Move to define.boot
	
2008-08-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-os.boot (readFromFileHandle): New.
	(writeToFileHandle): Likewise.
	(closeFileHandle): Likewise.
	(openLocalClientStreamSocket): Likewise
	(oa_filedesc_read): Likewise.
	(oa_filedesc_write): Likewise.
	(oa_filedesc_close): Likewise.
	* include/sockio.h (oa_open_local_client_stream_socket): Declare.
	* lib/sockio-c.c (oa_open_local_client_stream_socket): Define.
	(oa_filedesc_read): Likewise.
	(oa_filedesc_write): Likewise.
	(oa_filedesc_close): Likewise.

2008-08-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Tidy.

2008-08-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* etc/Makefile.in: Tidy databases construction rule.

2008-08-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/data.spad.pamphlet (DataBuffer): New.

2008-08-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/net.spad.pamphlet: New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include
	HOSTNAME and PORTNUM.
	* algebra/exposed.lsp.pamphlet: Export them.

2008-08-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in [CLISP]: Set global customization variables.
	Don't translate C-strings.
	* boot/ast.boot (nativeType) [SBCL]: Don't translate C-strings.

2008-08-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/any.spad.pamphlet (Maybe): New domain.
	* algebra/exposed.lsp.pamphlet: Expose it.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include MAYBE.

2008-08-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/view3D.spad.pamphlet (TUBE): Remove as unused.
	(FParamR): Likewise.
	(URF): Likewise.

2008-08-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* OpenAxiom-1.2.0 has been released.

2008-08-21  Grégory Vanuxem  <g.vanuxem@orange.fr>

	* interp/g-timer.boot (printTimeIfTrue): Don't compute the
	quotient of the integer division.

2008-08-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|systemRootDirectory|): Lookup option by name. 
	(|systemLibraryDirectory|): Likewise.

2008-08-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/g-error.boot (systemErrorHandler): New.
	* interp/sys-driver.boot (restart): Use it.

2008-08-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/Makefile.in (oa_boot_linkset): Tidy.
	($(oa_boot_linkset)): New Make rule.
	* lisp/Makefile.in (oa_base_lisp_linkset): Tidy.
	($(oa_base_lisp_linkset)): New Make rule.
	* lisp/core.lisp.in (linkset-from): Read the linkset from the file.

2008-08-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compMacro): Honor $verbose.
	* interp/modemap.boot (putDomainsInScope): Likewise.
	* interp/wi1.boot (compMacro): Likewise.

2008-08-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/open-axiom.h (oa_buffer_address): New macro.
	* sman/session.c (read_from_spad_io): Use It.
	(accept_session_connection): Likewise.
	(read_from_session): Likewise.
	* sman/sman.c (read_from_spad_io): Likewise.
	(read_from_manager): Likewise.
	(exec_command_env): Explicitly cast the null pointer
	to char*.

2008-08-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (AxiomCore::%sysInit): Fix indentation
	thinko. 

2008-08-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/open-axiom.h (oa_buffer_address): New macro.
	* sman/session.c (read_from_spad_io): Use It.
	(accept_session_connection): Likewise.
	(read_from_session): Likewise.
	* sman/sman.c (read_from_spad_io): Likewise.
	(read_from_manager): Likewise.
	(exec_command_env): Explicitly cast the null pointer
	to char*.

2008-08-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (compDefineLisplib): Don't update
	$CategoryFrame with modemap for the constructor we just finished
	compiling.

2008-08-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/database.boot (pathToDatabase): Honor $verbose.
	* interp/compiler.boot (COMP-1): Likewise.

2008-08-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-globals.boot ($verbose): Move from sys-driver.boot.
	(initializeGlobalState): Set it and honor it.
	* interp/daase.lisp (initial-getdatabase): Be talkative only when
	asked. 

2008-08-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-globals.boot ($updateCatTableIfTrue): Default to false.
	* interp/sys-driver.boot (AxiomCore::%sysInit): Have ECL quiet.
	(initializeGlobalState): Initialize new world states.
	* interp/define.boot (compDefine): Tidy.
	(compDefineCategory2): Explicitly initialize $TOP_LEVEL and
	$definition. 
	* interp/daase.lisp (|fillDatabasesInCore|): Use
	$buildingSystemAlgebra. 
	* interp/compiler.boot (compMakeDeclaration): Explicitly
	initialize $insideExpressionIfTrue.
	* boot/translator.boot (AxiomCore::%sysInit): Supper GCL and ECL
	compiler notes, but ask for warning.

2008-08-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet (all-algstrap): New.
	* algebra/strap: Update cached Lisp translation.

2008-08-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (openDatabases): Rename from RESTART0.
	(initializeGlobalState): Tidy.
	(executeSpadScript): Don't display start up messages.
	(compileSpadLibrary): Likewise.
	(buildDatabasesHandler): Likewise.
	(systemMain): Initialize global states.
	* interp/nrunfast.boot: Defin $NRTvec, $monitorNewWorld.
	* interp/daase.lisp (|fillDatabasesInCore|): Rename from
	RESETHASHTABLES. 
	(|closeAllDatabaseStreams|): Rename from closeAllDatabases
	* interp/util.lisp (build-interpsys): Initialize macro table.
	* interp/htcheck.boot: Don't initialize macro table here.

2008-08-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/daase.lisp (DaaseName): Move to database.boot.  Rename as
	pathToDatabase. 
	(|closeAllDatabases|): New.  Split from RESETHASHTABLES.
	* interp/util.lisp (build-interpsys): Call it here.

2008-08-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (%.$(LNKEXT) %.$(FASLEXT)): Tidy.
	(%.$(LNKEXT) %.$(FASLEXT)): Likewise.

2008-08-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/strap: Update cached Lisp translation.
	* lisp/core.lisp.in (linkset-from-if): Fix typo.

2008-08-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/strap:  New.  Sequester cached Lisp translation of
	algebra bootstrap domains here.

2008-08-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot (compDefineCategory2): Use rwriteLispForm.
	(compDefineFunctor1): Likewise.
	* interp/wi1.boot (compDefineCategory2): Likewise.
	(compDefineFunctor1): Likewise.

2008-08-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|%basicSystemIsComplete|): New.  Export.
	(|link|): Use prologue for all systems.
	* interp/sys-driver.boot (systemMain): New.  Break from restart().
	(restart): Tidy.
	* interp/boot-pkg.lisp: Don't push :OPEN-AXIOM-BOOT-COMPLETE.

2008-08-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|$StandardLinking|): New.  Export.
	* lisp/Makefile.in (edit): Update.
	* interp/daase.lisp: Don't load initial databases when
	--system-algebra. 
	* interp/Makefile.pamphlet (${SAVESYS}): Build with --system-algebra.

2008-08-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/vmlisp.lisp (BPINAME): Define for ECL too.
	* interp/util.lisp (*BIN-TYPE*): Remove.  Use $faslType throughout.
	* interp/daase.lisp (get-current-directory): Tidy conditional
	definition. 

2008-08-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (getOptionValue): Export.
	* interp/sys-driver.boot (initializeGlobalState): Record value for
	--system-algebra. 
	* interp/sys-globals.boot ($buildingSystemAlgebra): Declare.
	* interp/compiler.boot (compileSpad2Cmd): Don't build local
	database if compiling system algebra.
	* interp/i-syscmd.boot (compileAsharpCmd1): Likewise.
	* algebra/Makefile.pamphlet (%.NRLIB/code.$(FASLEXT)): Use
	--system-algebra. 
	(SPADPRSR.NRLIB/code.$(FASLEXT)): Likewise.
	(PARSER.NRLIB/code.$(FASLEXT)): Likewise.

2008-08-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet: Simplify build of interpsys and AXIOMsys.
	(interpsys_modules): Remove.
	(IN_modules): Likewise.
	(AS_modules): Likewise.
	(makeint.lisp): Simplify.
	(makeint.$(LNKEXT)): New make rule.
	(${SAVESYS}): Tidy.
	(${AXIOMSYS}): Likewise.
	* interp/util.lisp (build-interpsys): Lose first parameter.  Tidy.

2008-08-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (buildDatabasesHandler): New.
	Install it as handler for --build-databases.
	* etc/Makefile.in ($(openaxiom_databases)): Adjust.

2008-08-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (OBJS): Don't include union.$(FASLEXT)
	twice. 
	(ASCOMP): Don't include here.

2008-08-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* input/expr.input.pamphlet: Fix typo.

2008-08-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (LINKSET-FROM): New.
	(SYSTEM-SUBDIRECTORY): Likewise.
	(LINKSET-FROM-IF): Likewise.
	(COMPLETE-FASL-LIST-FOR-LINK): Use it.
	(getPrologue): New.
	(link): Take an additional optional parameter for prologue.  Tidy.
	(makeHandler): Adjust.
	* lisp/Makefile.in: Use LNKEXT where appropriate.
	(oa_base_lisp_linkset): New.
	($(oa_target_lispdir)/core.$(LNKEXT)): New rule.
	(base-lisp$(EXEEXT)): Now depends on $(oa_base_lisp_linkset).
	(mostlyclean-local): Remove $(oa_target_lispdir) too.
	* boot/Makefile.in: Use LNKEXT instead of FASLEXT.
	(boot_objects_extra): Remove.
	(oa_target_bootdir): New.
	(oa_boot_linkset): Likewise.
	(stamp): Require $(oa_boot_linkset).
	($(oa_target_bootdir)/%.$(LNKEXT)): New rule.
	(strap/bootsys$(EXEEXT)): Add prologue code.
	(stage1/bootsys$(EXEEXT)): Likewise.
	(stage2/bootsys$(EXEEXT)): Likewise.
	(mostlyclean-local): Remove $(oa_target_bootdir) too.

2008-08-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/patches.lisp (RESTART0): Don't duplicate code; call
	CREATE-INITIALIZERS. 
	(|COMP,TRAN|): Remove.
	(|spadHash|): Likewise.
	(|$internalHistoryTable|): Don't define here.
	(|isBpiOrLambda|): Remove.
	(|libraryFileLists|): Likewise.
	(|normalizeArgFileName|): Likewise.
	(save-system) [LUCID]: Likewise.
	(|undoINITIALIZE|): Likewise.
	(|isLowerCaseLetter|): Don't define here.
	(|isUpperCaseLetter|): Likewise.
	(|isLetter|): Likewise.
	(printCopyright): Remove.
	(user-homedir-pathname): Likewise.
	(BUMPCOMPERRORCOUNT): Likewise.
	(|cpCms|): Likewise.
	(|normalizeTimeAndStringify|): Likewise.
	(whocalled): Likewise.
	(|compressHashTable|): Likewise.
	(SETLETPRINTFLAG): Don't define here.
	(RESTART0): Move to sys-driver.boot
	* interp/g-util.boot (charRangeTest): Remove.

2008-08-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (SPAD-SAVE): Fold content into
	savesystem.  Remove.

2008-08-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet: Move warm.data.stanza to topics.boot.

2008-08-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/obey.lisp: Remove.
	* interp/Makefile.pamphlet (OBJS): Don't include obey.$(FASLEXT).
	* interp/br-data.boot: Replace OBEY with runCommand.
	* interp/br-saturn.boot: Likewise.
	* interp/br-search.boot: Likewise.
	* interp/c-doc.boot: Likewise.
	* interp/compat.boot: Likewise.
	* interp/debug.lisp: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/ht-root.boot: Likewise.
	* interp/i-syscmd.boot: Likewise.
	* interp/patches.lisp: Likewise.
	* interp/spad.lisp: Likewise.
	* interp/util.lisp: Likewise.
	* interp/vmlisp.lisp: Likewise.

2008-08-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet: Clean up.
	* interp/sys-driver.boot (SET-RESTART-HOOK): Remove.

2008-08-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (AbstractSyntaxCategory): New.
	(HeadAst): Likewise.

2008-08-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/422
	* interp/i-spec1.boot (upDeclare): Fields are not declarations.
	* interp/i-map.boot (getUserIdentifiersIn): Ignore field names.
	* testsuite/interpreter/aw-422.input: New.

2008-08-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/pf2sex.boot (pf2Sex1): Handle more ASTs.
	(pfType2SexOrNil): New.
	(pfDoc2SexOrNil): Likewise.
	(pfWith2Sex): Likewise.
	(pfAdd2Sex): Likewise.
	(pfWDeclare2Sex): Likewise.
	(pfAttribute2Sex): Likewise.
	(pfWIf2Sex): Likewise.
	(pfExport2Sex): Likewise.
	(pfInline2Sex): Likewise.
	(pfImport2Sex): Likewise.
	(pfQualType2Sex): Likewise.
	* interp/ptrees.boot (pf0InlineItems): New.
	* interp/i-spec2.boot (up%Import): New.
	(sorry): Likewise.
	(up%Export): Likewise.
	(up%Inline): Likewise.
	(up%With): Likewise.
	(up%Add): Likewise.
	* interp/i-intern.boot (mkAtree3): Handle %Inline, %With, %Add,
	and %Export.
	* interp/i-spec1.boot ($specialOps): Adjust.
	* doc/msgs/s2-us.msgs (S2IP0006): New.

2008-08-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/open-axiom.h (OPENAXIOM_HAVE_GRAPHICS): Define.
	* sman/sman.c (process_arguments): Use it.
	(process_arguments): Likewise.

2008-08-09  Alfredo Portes  <doyenatccny@gmail.com>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* sman/sman.c: Do not start hyperdoc/graphics
	  if OpenAxiom was build without X support.

2008-08-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* input/grpthry.input.pamphlet: Fix typo.

2008-08-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/buildom.boot: Rename AST code LET to %LET throughout.
	* interp/c-util.boot: Likewise.
	* interp/comp.lisp: Likewise.
	* interp/compiler.boot: Likewise.
	* interp/cparse.boot: Likewise.
	* interp/def.lisp: Likewise.
	* interp/define.boot: Likewise.
	* interp/functor.boot: Likewise.
	* interp/g-opt.boot: Likewise.
	* interp/i-eval.boot: Likewise.
	* interp/i-intern.boot: Likewise.
	* interp/i-map.boot: Likewise.
	* interp/i-spec1.boot: Likewise.
	* interp/i-spec2.boot: Likewise.
	* interp/iterator.boot: Likewise.
	* interp/mark.boot: Likewise.
	* interp/newaux.lisp: Likewise.
	* interp/nruncomp.boot: Likewise.
	* interp/nrunopt.boot: Likewise.
	* interp/package.boot: Likewise.
	* interp/parse.boot: Likewise.
	* interp/pf2atree.boot: Likewise.
	* interp/pf2sex.boot: Likewise.
	* interp/postpar.boot: Likewise.
	* interp/property.lisp: Likewise.
	* interp/pspad1.boot: Likewise.
	* interp/pspad2.boot: Likewise.
	* interp/slam.boot: Likewise.
	* interp/spad.lisp: Likewise.
	* interp/wi1.boot: Likewise.
	* interp/wi2.boot: Likewise.

2008-08-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/pf2sex.boot (pfMacro2Sex): New.
	(pfMLambda2Sex): Likewise.
	(pf2Sex1): Use them.
	* interp/i-spec2.boot ($VoidValueObject): New.
	($VoidCodeObject): Likewise.
	(setValueToVoid): Likewise.
	(setCodeToVoid): Likewise.
	(upDEF): Call setValueToVoid.
	(upfree): Call setCodeToVoid
	(uplocal): Likewise.
	(interpIF): Call setValueToVoid.
	(up%Macro): New.
	(up%MLambda): Likewise.
	* interp/i-spec1.boot ($specialOps): Add %Macro and %MLambda.
	* interp/macex.boot (macMacro): Really return the original macro
	as the documentation says.

2008-08-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/Makefile.in ($(axiom_target_libdir)/libopen-axiom-core.$(LIBEXT)): Tidy.

	* interp/pf2sex.boot (pfApplication2Sex): Don't transform ">",
	"=>", and "<=" expressions.

	* algebra/aggcat.spad.pamphlet (part?$SetAggregate): Rename
	from <$SetAggregate.
	(part?$FiniteSetAggregate): Rename from <$FiniteSetAggregate
	* algebra/mset.spad.pamphlet (part?$Multiset): Rename from
	<$Mulitset.
	* algebra/pleqn.spad.pamphlet (overset?$ParametricLinearEquations): 
	Use part? instead of <.
	* algebra/qalgset.spad.pamphlet (overset?$QuasiAlgebraicSet): Likewise.
	* input/mset.input.pamphlet: Adjust.
	* input/mset2.input.pamphlet: Likewise.

2008-08-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/apply.boot: Move content to compiler.boot.  Remove.
	* interp/Makefile.pamphlet (OCOBJS): Remove apply.$(OBJEXT).

2008-08-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (boot-completed-p): New.
	(|$useDynamicLink|): Likewise.
	(|$effectiveFaslType|): Hold extension of linkable FASL.
	(|$NativeModuleExt|): Tidy.
	(|$CoreLibName|): New.
	(|$ExtraRuntimeLibraries|): Likewise.
	(extra-runtime-libs): Likewise.
	(complete-fasl-list-for-link): Likewise.
	(|link|) [ECL]: Link against system libraries.
	(|compileLispFile|): Tidy.
	(begin-compile-time): New.
	(end-compile-time): Likewise.
	(compile-time-p): Likewise.
	(import-module): Use it.
	* lisp/Makefile.in ($(OUT)/lisp$(EXEEXT)): Use oa_c_runtime_extra.
	* lib/Makefile.in (oa_installed_corelib): New.
	* boot/initial-env.lisp: Don't export systemRootDirectory and
	systemLibraryDirectory from here.
	* boot/translator.boot (systemRootDirectory): Move to lisp/core.lisp.
	(systemLibraryDirectory): Likewise.
	(loadSystemRuntimeCore): Do nothing for GCL and ECL.
	* interp/boot-pkg.lisp: Inform that Boot system is compleye.

2008-08-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot (genOptimizeOptions): New.
	(shoeClLines): Use it.
	(shorClCLines): Likewise.
	* lisp/core.lisp.in ($LispOptimizeOptions): New; export.

2008-08-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (makeint.lisp): Tidy.

2008-08-05  Grégory Vanuxem  <g.vanuxem@orange.fr>

	* interp/foam_l.lisp: Export Nil.

2008-08-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/cparse.boot (npWith): Commit to parsing upon `with'.
	(npAdd): Commit to parsing upon `add'.
	(npDef): Tell npDefTail to look for '=='.
	(npMdef): Accept argument to indicate '==' or '==>' forms.
	(npSingleRule): A Rule is given by '=='.
	(npDefTail): Take the kind of definition as a parameter.
	(npDefinitionItem): Macro definitions are definitions.
	(npMDEFinition): Remove.
	(npMDEF): Hand off to npMdef to parse macro definitions.
	(npMacro): Macros introduced by `macro' keyword uses '=='.

2008-08-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/cparse.boot (npExpress1): Make assignment an expression,
	therefore a statement.

2008-08-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/2037811
	* interp/vmlisp.lisp (EMBED): Evaluate lambda forms to FUNCTIOn type.
	* interp/trace.boot (transTraceItem): Fix thinko.
	(spadTrace): Use assoc, not ASSOC.
	(addTraceItem): Test for domain objects before constructors.

2008-08-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/2037804
	* interp/i-syscmd.boot (cd): Convert new directory name
	to PATHNAME type before setting as default.

2008-08-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/cparse.boot ($npPParg): Remove.
	($npPCff): Likewise.
	(npPPff, npPCff): Take an argument.
	(npPPf): Likewise.
	(npPPg, npPCg): Likewise.
	(npPP, npPC): Pass around a suspension of the argument.

2008-08-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Use $(mkdir_p) in lieu of $(mkinstalldirs),
	during build.  Also use 'cp -p' instead of $(INSTALL).
	* algebra/Makefile.pamphlet: Likewise.
	* graph/Makefile.in: Likewise.
	* boot/Makefile.in: Likewise.
	* hyper/Makefile.in: Likewise.
	* input/Makefile.pamphlet: Likewise.
	* interp/Makefile.pamphlet: Likewise.
	* lib/Makefile.in: Likewise.
	* lisp/Makefile.in: Likewise.
	* share/Makefile.in: Likewise.

2008-08-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/pf2sex.boot: Replace CAR with first, and CARD with second
	throughout. 

2008-08-03  Alfredo Portes  <doyenatccny@gmail.com>

	* interp/setvart.boot: Fix wrong parenthesis.
	* interp/format.boot: Add mathObject2String function.

2008-08-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-globals.boot ($compilingInputFile): Remove.
	($minivectorNames): Likewise.
	* interp/i-map.boot (compileCoerceMap): Don't set $minivectorNames
	and $minivectorCode.
	* interp/i-spec1.boot (compileADEFBody): Likewise.
	* interp/i-toplev.boot (processInteractive): Likewise.
	* interp/nrungo.boot (NRTgetMinivectorIndex): Likewise.
	* interp/slam.boot (reportFunctionCompilation): Likewise.

2008-08-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nrungo.boot (NRTisRecurrenceRelation): Lookup "not" with 
	signature % -> %.
	* interp/br-con.boot: Use "~=" for inequality.

2008-08-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/buildom.boot: Use constants by names.
	* interp/i-analy.boot: Likewise.
	* interp/i-coerfn.boot: Likewise.
	* interp/i-funsel.boot: Likewise.
	* interp/i-intern.boot: Likewise.
	* interp/i-resolv.boot: Likewise.
	* interp/i-spec1.boot: Likewise.
	* interp/mark.boot: Likewise.
	* interp/nrungo.boot: Likewise.
	* interp/postpar.boot: Likewise.
	* interp/wi1.boot: Likewise.

2008-08-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/parser.boot (bpTerm): Term forms depend on the kind of
	variable.
	(bpTypeItem): New.
	(bpTypeItemList): Use it.
	(bpTypeAliasDefition): Tidy.
	(bpCaseItem): Accept wildchars in pattern terms.
	* boot/ast.boot (bfCompDef): Don't name unused pattern variables.
	(bfSmintable): A character compares EQL.
	(bfCI): Ignore wildcard pattern variables.
	* boot/strap: Update cached Lisp translation.

2008-08-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/macros.lisp (sayBrightlyNT1): Tidy.
	(sayBrightly1): Likewise.
	* interp/msgdb.boot (sayNewLine): Take two defauled arguments.
	(sayString): Take a second defaulted arguments.
	(spadStartUpMsgs): Tidy.
	(brightPrint): Likewise.
	(brightPrint0): Likewise.
	(brightPrint0AsTeX): Likewise.
	(brightPrint1): Likewise.
	(brightPrintHighlight): Likewise.
	(brightPrintHighlightAsTeX): Likewise.
	(brightPrintCenter): Likewise.
	(brightPrintCenterAsTeX): Likewise.
	(brightPrintRightJustify): Likewise.
	* interp/i-output.boot (mathprint): Take a second defaulted argument.
	* boot/ast.boot (%Assignment): Rename from Assignment.

2008-08-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/msgdb.boot (BRIGHTPRINT-0): Remove.
	(BRIGHTPRINT): Likewise.
	* interp/macros.lisp (sayBrightly1): Use brightPrint0 and brightPrint.
	(sayBrightlyNT1): Likewise.

2008-07-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (getConstructorFormOfMode): Remove.
	(getConstructorMode): Likewise.
	(isConstructorForm): Likewise.

2008-07-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/scan.boot: Tidy.
	* interp/ptrees.boot: Define AST for type schemes.
	* interp/cparse.boot (npType): Parse type schemes.
	(npQuantifierVariable): New.
	(npADD): Accept only monotypes.
	* interp/pf2sex.boot (pf2Sex1): Handle type schemes.
	(pfQuantified2Sex): New.

2008-07-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/cparse.boot (npMonoType): Rename from npType.

	* boot/strap: Update cached Lisp translation.

	* boot/parser.boot (bpExportItemTail): New.
	(bpExportItem): Likewise.
	(bpExportItemList): Use it.
	(bpSimplMapping): New.
	(bpMapping): Use it.
	* boot/translator.boot (translateToplevel): Tidy.
	* include/open-axiom.h [__MINGW32__]: Include <windows.h>.
	* interp/astr.boot: Export functions.
	* interp/posit.boot: Likewise.

2008-07-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compNot): Rename from compileNot.

2008-07-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* input/pat.input.pamphlet (square): Define square an operatpr.

	Fix SF/2015650
	* interp/compiler.boot (coerceExtraHard): Forms with type Category
	are categories.

2008-07-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* share/algebra: Update databases.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_9): Add SIG.
	* algebra/syntax.spad.pamphlet (Signature): New.

2008-07-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-funsel.boot (findUniqueOpInDomain): Use evaluation type
	context.

2008-07-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (initializeGlobalState): New.
	(executeSpadScript): Use it.
	(compileSpadLibrary): Likewise.
	* interp/i-syscmd.boot (spool): Synchronize with standard output.
	* boot/translator.boot (bpOutItem): Tidy.

	* interp/nruncomp.boot (NRTencode): Don't encode enumerations.
	(listofBoundVars): Enumerations don't bind any varaible.

2008-07-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compQuote): Restrict quoting to literal
	symbols. 
	* algebra/any.spad.pamphlet: Use nil for empty list.
	* algebra/boolean.spad.pamphlet: Fix quoting.

2008-07-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-spec2.boot (findConstantInDomain): Abstract from
	upDollar.
	(upDollar): Use it.  Don't return general constants as mappings.
	* interp/fnewmeta.lisp (|PARSE-FloatTok|): Fix typo.

2008-07-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/template.boot (evalSlotDomain): Likewise.
	(NRTaddInner): Likewise.
	* interp/nrunfast.boot (lazyMatch): Handle Enumeration.
	(newExpandLocalTypeForm): Likewise.
	* interp/lisplib.boot (isFunctor): Enumeration is a functor too.
	* interp/nruncomp.boot (NRTencode): Encode Enumeration too.

2008-07-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/spad.lisp (S-PROCESS): Remove Old Boot specific codes.
	* interp/server.boot (parseAndInterpret): Don't set $BOOT.
	* interp/setvars.boot (resetWorkspaceVariables): Likewise.
	* interp/spad-parser.boot (parseSpadFile): Likewise.
	* interp/postpar.boot: Disable Old Boot handling codes.
	* interp/metalex.lisp (quote-if-string): Don't test for $BOOT.
	* interp/parsing.lisp (IOStat): Likewise.
	(IOClear): Likewise.
	* interp/ht-util.boot (parseAndEval): Don't set $BOOT.
	* interp/int-top.boot (ncTopLevel): Likewise.
	* interp/fnewmeta.lisp: Remove Old Boot specific productions.
	* interp/sys-macros.lisp (-REDUCE): Don't test for $BOOT.
	(SPADDO): Likewise.
	* interp/comp.lisp (COMP-TRAN-1): Likewise.
	* interp/util.lisp (|string2SpadTree|): Likewise.
	* interp/bootlex.lisp (READBOOT): Remove.
	(READ-BOOT): Likewise.
	(spad): Don't initialize $BOOT.
	* interp/debug.lisp (/D-2): Likewise.

2008-07-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/initial-env.lisp: Export $InteractiveMode and
	string2BootTree. 
	* boot/translator.boot (BOOTTOCL): Tidy.
	(BOOTTOCLC): Likewise.
	(BOOTTOCLLINES): Likewise.
	(BOOTTOCLCLINES): Likewise.
	(string2BootTree): Define.
	(translateToplevelExpression): Tidy.
	(translateToplevel): Handle atoms.  Tidy.
	(shoePCompileTrees): Don't use bStreamPackageNull.
	* interp/boot-pkg.lisp: Import $interactiveMode and string2BootTree.
	* interp/util.lisp (string2BootTree): Remove.
	(OLD-BOOT::BOOT): Likewise.
	* interp/bootlex.lisp (boot): Likewise.
	(boot-parse-1): Likewise.
	* interp/compiler.boot (compileNot): Fix thinko.
	* interp/sys-globals.boot ($InteractiveMode): Don't define here.

2008-07-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parse.boot ($normalizeTree): New.
	(parseNotEqual): Likewise.
	* interp/compiler.boot (compCompilerPredicate): New.
	(compileNot): Use it.
	* interp/define.boot (compSubDomain1): Likewise.
	(doItIf): Likewise.
	* interp/bootlex.lisp (boot): Set $nornamizeTree.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_9): Move from
	layer 4 to here.

2008-07-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parse.boot (parseTran): Don't set $op.  Don't strip parse
	tree codes.
	(parseConstruct): Handle parse tree code.
	(parseUpArrow): Likewise.
	(parseLeftArrow): Likewise.
	(parseIs): Likewise.
	(parseIsnt): Likewise.
	(parseLET): Likewise.
	(parseLETD): Likewise.
	(parseColon): Likewise.
	(parseBigelt): Likewise.
	(parseCoerce): Likewise.
	(parseAtSign): Likewise.
	(parsePretend): Likewise.
	(parseHas): Likewise.
	(parseDEF): Likewise.
	(parseMDEF): Likewise.
	(parseCategory): Likewise.
	(parseGreaterThan): Likewise.
	(parseGreaterEqual): Likewise.
	(parseLessEqual): Likewise.
	(parseNotEqual): Likewise.
	(parseAnd): Likewise.
	(parseOr): Likewise.
	(parseEquivalence): Likewise.
	(parseImplies): Likewise.
	(parseExclusiveOr): Likewise.
	(parseExit): Likewise.
	(parseLeave): Likewise.
	(parseReturn): Likewise.
	(parseJoin): Likewise.
	(parseInBy): Likewise.
	(parseSegment): Likewise.
	(parseIn): Likewise.
	(parseIf): Likewise.
	(parseWhere): Likewise.
	(parseSeq): Likewise.
	(parseVCONS): Likewise.

2008-07-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nruncomp.boot (NRTassocIndex): Document.
	(NRTgetLocalIndexClear): Remove.
	(NRTgetLocalIndex1): Lose second unused argument; move body to
	NRTgetLocalIndex. 
	* interp/define.boot (doIt): Call NRTgetLocalIndex, not
	NRTgetLocalIndexClear. 
	* interp/wi2.boot (NRTgetLocalIndex): Rename from NRTgetLocalIndex1.

2008-07-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compFormMatch): Tidy.
	(getFormModemaps): Likewise.
	(compComma): New. 
	* interp/c-util.boot (isTupleInstance): New.
	(isHomoegenousVarargSignature): Likewise.
	(enoughArguments): Likewise.
	(wantArgumentsAsTuple): Likewise.
	* interp/apply.boot (reshapeArgumentList): New.
	(compFormWithModemap): Use it.

2008-07-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/429
	* algebra/multpoly.spad.pamphlet (IndexedExponents): Fix comment type.

2008-07-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/category.boot (isCategory): Document.
	(isCategoryForm): Likewise.  Tidy.
	(mkCategory): Likewise.

2008-07-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (OBJS): Don't include nruntime.$(FASLEXT).
	(nruntime.$(FASLEXT)): Remove rule.
	* interp/g-util.boot (getShellEntry): Move from interp/nruntime.boot.
	(setShellEntry): Likewise.
	* interp/i-util.boot (devaluateDeeply): Likewise.
	* interp/lisplib.boot (unloadOneConstructor): Likewise.
	* interp/nrungo.boot (lookupDisplay): Likewise.
	(isIntantiated): Likewise
	* interp/package.boot (isCategoryPackageName): Likewise.
	* interp/nruntime.boot: Remove.

2008-07-03  Bill Page  <bill.page@newsynthesis.org>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/428
	* algebra/syntax.spad.pamphlet (ConstructorCall): Now a member of
	SetCategory. 
	(Domain): Likewise.
	* share/algebra: Update databases.
	* testsuite/interpreter/aw-428.input: New.

2008-07-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compExpression): Tidy.
	(coerceExtraHard): Convert domain instantiations to domain objects.
	(compAndDefine): Capture by name, not pointer.
	(compQuietly): Likewise.
	(compileQuietly): Likewise.
	* interp/macros.lisp (PRINT-AND-EVAL-DEFUN): Move to sys-utility.boot.
	(EVAL-DEFUN): Likewise.
	(COMPILE-DEFUN): Likewise.
	* interp/postpar.boot (postBootNotEqual): Register post-parsers by
	name, not by pointers.

2008-06-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/variable.spad.pamphlet (ModePatternVariable): New.

2008-06-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/comp.lisp (|compAndDefine|): Move to interp/compiler.boot
	(COMP): Likewise.
	(|compQuietly|): Likewise.
	(|compileQuietly|): Likewise.
	(COMP-1): Likewise.

	* interp/define.boot (compDefineCategory): Check that a category
	was indeed abbreviated a category.

2008-05-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/421.
	* interp/i-spec2.boot (uphas): When compiling a function, don't
	bother evaluating type variables.
	* testsuite/interpreter/aw-412.input: Add.

2008-05-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (conceptualType): Only Mode, Domain, and
	Category are conceptually abstract.
	* testsuite/interpreter/category.input: Add a testcase.

2008-05-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/interop.boot (newHasCategory): Category is a category, and
	all domains belong to Category.
	* testsuite/interpreter/category.input: New.

2008-05-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/showimp.boot (showPredicates): Fix typo.
	* testsuite/interpreter/show.input: New.

2008-05-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/catdef.spad.pamphlet (OrderedMonoid): Nown
	OrderedSemiGroup and a Monoid.
	* share/algebra: Updata databases.

2008-05-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/open-axiom.h (openaxiom_handle): New datatype.
	* hyper/node.h [!X_DISPLAY_MISSING]: Use it.

2008-05-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/catdef.spad.pamphlet (OrderedSemiGroup): New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include OSGROUP.

2008-05-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-coerce.boot (retract2Specialization): Leave if object
	is an Expression, but not a fraction.

	* interp/define.boot (compDefineFunctor1): Robustify.
	* hyper/parse-types.c (htperror): Fix thinko.

2008-05-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (stackAndThrow): Take an optional parameter.
	* interp/compiler.boot (compReturn): Robustify.
	(unknownTypeError): Likewise.
	* interp/info.boot (knownInfo): Likewise.

	* algebra/modgcd.spad.pamphlet: Fix sectioning thinko.

2008-05-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/57
	* etc/Makefile.in: Make all databases part of the final system.

2008-05-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/token.h: Avoid numeric constants macros.  
	Prefix enumerations with "openaxiom_".
	* hyper/cond.c: Adjust.
	* hyper/display.c: Likewise.
	* hyper/event.c: Likewise.
	* hyper/extent1.c: Likewise.
	* hyper/extent2.c: Likewise.
	* hyper/htadd.c: Likewise.
	* hyper/htinp.c: Likewise.
	* hyper/macro.c: Likewise.
	* hyper/mem.c: Likewise.
	* hyper/parse-aux.c: Likewise.
	* hyper/parse-input.c: Likewise.
	* hyper/parse-paste.c: Likewise.
	* hyper/parse-types.c: Likewise.
	* hyper/parse.c: Likewise.
	* hyper/scrollbar.c: Likewise.
	* hyper/show-types.c: Likewise.
	* hyper/spadint.c: Likewise.
	* hyper/titlebar.c: Likewise.

	* hyper/hyper.h: Move lexing stuff to hyper/lex.h
	* hyper/htadd.c: Don't include hyper.h.  Include cfuns.h and
	node.h instead.

2008-05-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/hthits.c (regerr): Remove.
	* include/ex2ht.H1: Remove.
	* include/hthits.H1: Remove.

	* lib/cfuns-c.c (oa_getenv): Fix thinko.
	(oa_getcwd): Likewise.
	* lib/cfuns-c.c (oa_access_file_for_read): Likewise.

	* hyper/lex.c: Don't include hyper.h, hterror.h and
	sockio.h. Include node.h.
	* hyper/hyper.h: Don't include X11 headers.  Include node.h.
	Mode node data structures to node.h.
	* hyper/cond.c: Don't include hterror.h.  Include lex.h
	* hyper/Makefile.in (HEADERS): Include node.h.  Remove hterror.h.
	(hypertex_SOURCES): Remove hterror.c
	(htadd_SOURCES): Likewise.
	* hyper/node.h: New.
	* hyper/hterror.h: Remove.
	* hyper/hterror.c (token_name): Move to hyper/lex.c.
	(print_token): Likewise.
	(print_next_ten_tokens): Likewise.
	(print_page_and_filename): Likewise.
	(jump): Likewise.
	(ebuffer): Likewise.
	(htperror): Move to parse-types.c
	Remove file.

	* include/cfuns.h (oa_get_tmpdir): Declare.
	(oa_access_file_for_read): Likewise.
	* lib/cfuns-c.c (oa_getcwd): Define.
	(oa_access_file_for_read): Likewise.
	(oa_get_tmpdir): Likewise.
	* hyper/addfile.c: Don't include hyper.h
	(build_ht_filename): Use oa_getcwd, oa_access_file_for_read.
	(temp_file_open): Use oa_get_tmpdir.
	* hyper/htadd.c (build_db_filename): Don't fall back to bogus
	filename. 
	* hyper/hyper.h (temp_dir): Remove.
	(def_spad): Likewise.

	* hyper/hyper.h (connect_spad): Declare.
	(gPageBeingParsed): Likewise.
	* hyper/htadd.c (session_server): Remove.
	(MenuServerOpened): Likewise.
	(gXDisplay): Likewise.
	(gXScreenNumber): Likewise.
	* hyper/lex.c (reset_connection): Move to hyper/parse.c
	(connect_spad): Move to hyper/spadint.c
	(spad_busy): Likewise.
	(get_char1): Remove conditional code.
	* hyper/Makefile.in (mostclean-local): Tidy.

2008-05-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* graph/Gdraws/Makefile.in (HEADERS): Don't include hash.H1.
	* include/halloc.h: Rename from include/halloc.H1.
	* include/lex.H1: Remove.
	* include/hterror.H1: Likewise.
	* hyper/halloc.c: Likewise.
	* hyper/hash.c: Likewise.
	* hyper/Makefile.in (hypertex_SOURCES): Don't include hash.c,
	halloc.c. 

2008-05-21  Igor Kahvkine  <ikhavkin@uwo.ca>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix AW/32
	* algebra/sttaylor.spad.pamphlet
	(powern$StreamTaylorSeriesOperations):  Tidy.

2008-05-21  Martin Rubey  <martin.rubey@univie.ac.at>

	Fix AW/343
	* algebra/free.spad.pamphlet (<$FreeAbelianGroup): Fix ordering.

2008-05-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot: Cleanup.
	* boot/includer.boot: Likewise.
	* boot/parser.boot: Likewise.
	* boot/pile.boot: Likewise.
	* boot/scanner.boot: Likewise.
	* boot/tokens.boot: Likewise.
	* boot/translator.boot: Likewise.

2008-05-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Port from btx-branch.
	* lisp/core.lisp.in ($effectiveFaslType): New.
	* boot/translator.boot (needsStableReference?): Handle the ECL case.
	(coerceToNativeType): Likewise.
	(genImportDeclaration): Likewise.
	(shoeRemoveStringIfNec): Fix thinko.
	($bootDefined): Define.
	($bootDefinedTwice): Likewise.
	($lispWordTable): Likewise.
	(getIntermediateLispFile): Use $effectiveFaslType.
	(loadSystemRuntimeCore): Use coreError, not systemError.

2008-05-18  Martin Rubey  <martin.rubey@univie.ac.at>

	Fix AW/412
	* algebra/aggcat.spad.pamphlet (=$TableAggregate): Fix thinko.

2008-05-18  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	Fix AW/149
	* hyper/keyin.h (UnsupportedModMask): Rename from ShiftModMask.
	* hyper/keyin.c (UnsupportedModMask): Likewise.
	(get_modifier_mask): New.
	(init_keyin): Use it.
	* hyper/dialog.c (dialog): Adjust.

2008-05-18  Bill Page  <bill.page@newsynthesis.org>

	Fix AW/117
	* algebra/vector.spad.pamphlet (DirectProductCategory): Also a
	Monoid is base type belongs to Monoid.
	(DirectProduct): Implement multiplication is base type belongs to
	Monoid.

2008-05-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/221
	* algebra/catdef.spad.pamphlet (OrderedAbelianSemiGroup): Now a
	join of OrderedSet and AbelianSemiGroup.
	* algebra/integer.spad.pamphlet (PositiveInteger): Now belongs to
	both OrderedAbelianSemiGroup and Monoid.  Update cached Lisp
	translation. 
	* shared/algebra: Update databases.

2008-05-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/313
	* algebra/reclos.spad.pamphlet (sqrt$RealClosedField): Fix signature.

2008-05-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/319
	* hyper/pages/MSET.ht: Fix typo.

2008-05-18  Martin Rubey  <martin.rubey@univie.ac.at>

	Fix AW/321
	* hyper/htsearch (htpagedir): Avoid deprecated switch.

2008-05-18  Martin Rubey  <martin.rubey@univie.ac.at>

	Fix AW/340
	* algebra/numtheor.spad.pamphlet
	(divisors$IntegerNumberTheoryFunctions):  Fix thinko.

2008-05-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/alql.spad.pamphlet (IndexCard): Don't use pretend.

2008-05-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/16
	* interp/i-analy.boot (isConceptualCategory): New.
	* interp/i-object.boot (getValueNormalForm): Use it.
	* testsuite/interpreter/aw-16.input: New.

2008-05-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-object.boot (wrapped2Quote): Reomve.
	(getValueNormalForm): New.
	* interp/i-code.boot (intCodeGenCOERCE): Use it.
	* interp/i-coerce.boot (coerceIntByMap): Likewise.
	* interp/i-eval.boot (getArgValue): Likewise.
	(getArgValue2): Likewise.
	* interp/i-funsel.boot (selectMms): Likewise.
	* interp/i-map.boot (rewriteMap): Likewise.
	* interp/i-spec2.boot (IFcodeTran): Likewise.
	(evalLET): Likewise.
	(upreturn): Likewise.
	* interp/g-cndata.boot (isConstructorName): New.
	* testsuite/interpreter/eval-dep-type.input: New.

	* interp/format.boot (form2String1): Handle PAREN.
	* interp/g-cndata.boot (condUnabbrev): Handle homogeneous varargs
	for constructors taking tuples.
	* interp/i-resolv.boot: Revolve domains and categories.

2008-05-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/420
	* interp/compiler.boot (compSetq1): Use %Comma, not Tuple.
	(setqMultiple): Likewise.
	* interp/def.lisp (DEF-IS2): Likewise.
	* interp/define.boot (compAdd): Likewise.
	* interp/fnewmeta.lisp (|PARSE-Enclosure|): Likewise.
	* interp/fortcall.boot (lmultiToUnivariate): Likewise.
	(functionAndJacobian): Likewise.
	(vectorOfFunctions): Likewise.
	* interp/mark.boot (markMultipleExplicit): Likewise.
	(markInsertBodyParts): Likewise.
	* interp/nruncomp.boot (NRTaddDeltaCode): Likewise.
	* interp/nrunopt.boot (NRTextendsCategory1): Likewise.
	* interp/postpar.boot (postTransform): Likewise.
	(postTran): Likewise.
	(postPretend): Likewise.
	(postConstruct): Likewise.
	(postBlockItem): Likewise.
	(postCategory): Likewise.
	(postForm): Likewise.
	(postTransScripts): Likewise.
	(postJoin): Likewise.
	(postMapping): Likewise.
	(postCollect): Likewise.
	(postInSeq): Likewise.
	(postType): Likewise.
	(post%Comma): Rename from postTuple.
	(unComma): Rename from unTuple.
	(comma2Tuple): Remove.
	* interp/trace.boot (traceSpad2Cmd): Use %Comma, not Tuple.
	* interp/wi1.boot (compSetq1): Likewise.
	(setqMultiple):Likewise.
	* boot/translator.boot (compileBootHandler): Give up if
	translation to Lisp contained errors.
	* testsuite/compiler/aw-420.spad: New.

	* interp/Makefile.pamphlet: Simplify.

2008-05-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (leaveIfErrors): Take constructor name
	parameter. 
	(finalizeLisplib): Adjust call.
	(compDefineLisplib): Likewise.

2008-05-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/lisplib.boot (leaveIfErrors): New.
	(compDefineLisplib): Use it.
	(finalizeLisplib): Likewise.
	* algebra/Makefile.pamphlet (%.NRLIB/code.$(FASLEXT)): Invoke the
	compiler directly.
	(SPADPRSR.NRLIB/code.$(FASLEXT)): Likewise.
	(PARSER.NRLIB/code.$(FASLEXT)): Likewise.
	* interp/compiler.boot (compSetq1): Fix thinko.
	* interp/define.boot (hasSigInTargetCategory): Give a clue to the
	pretty printer.
	* interp/sys-utility.boot ($ERASE): Remove declaration.

2008-05-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/nregset.spad.pamphlet (recip$NormalizationPackage): Fix
	thinko. 

2008-05-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (warnLiteral): Just warn, really.
	* algebra/riccati.spad.pamphlet (RationalRicDE): Don't import
	inexistent RatODETools.

2008-05-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/c-util.boot (isLiteral): Declare.
	(makeLiteral): Likewise.
	* interp/compiler.boot (compSymbol): Use isLiteral.
	* interp/wi1.boot (compSymbol): Likewise.

	* algebra/asp.spad.pamphlet (Asp30): Don't name local variable as
	record field.
	(Asp31): Likewise.
	(asp34): Likewise.
	(Asp77): Likewise.
	(Asp8): Likewise.
	(Asp9): Likewise.
	* algebra/fortran.spad.pamphlet (FortranCode): Likewise.
	* algebra/moebius.spad.pamphlet (MoebiusTransform): Likewise.

2008-05-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Restrict loop variable scopes, take 2.
	* interp/iterator.boot (compReduce1): Maintain proper scope for
	loop variables.
	(compRepeatOrCollect): Really maintain proper scope for loop variables.
	* interp/compiler.boot (eltModemapFilter): Highlight faulty selector.
	(seteltModemapFilter): Likewise.
	* interp/c-util.boot (stackMessage): Don't build message if there
	is no argument for substitution.
	* algebra/aggcat.spad.pamphlet (#$UnaryRecursiveAggregate):
	Declare free loop variable.
	(cycleEntry$UnaryRecursiveAggregate): Likewise.
	(cycleLength): Likewise.
	(merge$OneDimensionalArrayAggregate): Likewise.
	(delete$OneDimensionalArrayAggregate): Likewise.
	(position$ListAggregate): Likewise.
	* algebra/array1.spad.pamphlet (merge!$IndexedFlexibleArray): Likewise.
	* algebra/combfunc.spad.pamphlet (K2fact$CombinatorialFunction):
	Likewise. 
	* algebra/curve.spad.pamphlet
	(nonSingularModel$FunctionFieldCategory):  Likewise.
	* algebra/dpolcat.spad.pamphlet
	(differentiate$DifferentialPolynomialCategory): Likewise.
	* algebra/efstruc.spad.pamphlet
	(validExponential$ElementaryFunctionStructurePackage):  Likewise.
	(ker2explogs$InnerTrigonometricManipulations): Likewise.
	(complexNormalize$TrigonometricManipulations): Likewise.

2008-05-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/iterator.boot (compRepeatOrCollect): Don't iterator
	variables and variables declared in a loop are local to that loop.
	* interp/g-error.boot (needsToSplitMessage): New.
	(errorSupervisor): Use it.
	* interp/compiler.boot (compSymbol): Highlight erron=eous symbol. 
	* interp/wi1.boot (stackMessage): Remove duplicate.
	* algebra/ffcat.spad.pamphlet (FiniteFieldCategory): Tidy.
	* algebra/fff.spad.pamphlet (FiniteFieldFunctions): Likewie.
	* algebra/groebsol.spad.pamphlet (GroebnerSolve): Likewise.
	* algebra/intfact.spad.pamphlet (IntegerRoots): Likewise.
	* algebra/mkfunc.spad.pamphlet (InputForm): Likewise.
	* algebra/numtheor.spad.pamphlet (IntegerNumberTheoryFunctions):
	Likewise. 
	* algebra/permgrps.spad.pamphlet (PermutationGroup): Likewise.
	* algebra/random.spad.pamphlet (RandomFloatDistributions): Likewise.
	* algebra/sgcf.spad.pamphlet
	(SymmetricGroupCombinatoricFunctions): Likewise. 
	* algebra/triset.spad.pamphlet (PolynomialSetUtilitiesPackage):
	Likewise. 
	* algebra/twofact.spad.pamphlet (TwoFactorize): Likewise.

	* interp/apply.boot: Miscellanous cleanup.
	* interp/compiler.boot: Likewise.
	* interp/c-util.boot: Likewise.
	* interp/define.boot: Likewise.
	* interp/format.boot: Likewise.
	* interp/functor.boot: Likewise.
	* interp/i-output.boot: Likewise.
	* interp/info.boot: Likewise.
	* interp/i-toplev.boot: Likewise.
	* interp/int-top.boot: Likewise.
	* interp/iterator.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/modemap.boot: Likewise.
	* interp/msgdb.boot: Likewise.
	* interp/nrunopt.boot: Likewise.
	* interp/package.boot: Likewise.
	* interp/sys-driver.boot: Likewise.

2008-05-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/as.boot: Remove Old Boot semantics.
	* interp/br-con.boot: Likewise.
	* interp/br-data.boot: Likewise.
	* interp/br-op1.boot: Likewise.
	* interp/br-op2.boot: Likewise.
	* interp/br-saturn.boot: Likewise.
	* interp/compiler.boot: Likewise.
	* interp/define.boot: Likewise.
	* interp/fortcall.boot: Likewise.
	* interp/functor.boot: Likewise.
	* interp/htsetvar.boot: Likewise.
	* interp/newfort.boot: Likewise.
	* interp/nruncomp.boot: Likewise.
	* interp/nrunopt.boot: Likewise.

	* interp/c-util.boot: Remove Old Boot semantics.
	* interp/database.boot: Likewise.
	* interp/format.boot: Likewise.
	* interp/g-timer.boot: Likewise.
	* interp/i-analy.boot: Likewise.
	* interp/i-coerce.boot: Likewise.
	* interp/i-coerfn.boot: Likewise.
	* interp/i-eval.boot: Likewise.
	* interp/i-intern.boot: Likewise.
	* interp/i-output.boot: Likewise.
	* interp/i-resolv.boot: Likewise.
	* interp/i-spec1.boot: Likewise.
	* interp/i-syscmd.boot: Likewise.
	* interp/msgdb.boot: Likewise.
	* interp/newfort.boot: Likewise.
	* boot/includer.boot (diagnosticLocation): New.
	* boot/ast.boot (bfReName): Use it.

2008-05-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/java.spad.pamphlet: New.  Implement JavaBytecode.
	* algebra/data.spad.pamphlet (bitand$Byte): New.
	(bitior$Byte): Likewwise.
	(byte$Byte): Likewise.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_15): Include
	JAVACODE. 

	* boot/translator.boot (translateToplevel): Split out of bpOutItem.
	(maybeExportDecl): New.
	
	* boot/translator.boot (bpOutItem): Handle namespace declaration.
	Update all boot files to use `namespace' instead of `)package'.
	* interp/: Likewise.

2008-05-07  Bill Page <bill.page@newsynthesis.org>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/boolean.spad.pamphlet (true$Boolean): Simplify.
	(=$Boolean): Likewise.
	(equiv$Boolean): Likewise.
	* interp/spad.lisp (|BooleanEquality|): Remove.

2008-05-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/boolean.spad.pamphlet (Boolean): Don't pretend to
	Boolean.  Updated cached Lisp translation.

	* interp/types.boot (%Integer): Alias for Lisp INTEGER class.
	* interp/sys-utility.boot (getVMType): Integer is represented by
	%Integer. 
	* interp/postpar.boot (postSignature): Don't ignore constants.

2008-05-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/define.boot: Explicitly initialize fluid variables.
	* interp/functor.boot: Likewise.
	* interp/g-opt.boot: Likewise.
	* interp/nruncomp.boot: Likewise.
	* interp/nrunfast.boot: Likewise.
	* interp/package.boot: Likewise.
	* interp/parse.boot: Likewise.
	* interp/pspad1.boot: Likewise.
	* interp/record.boot: Likewise.
	* interp/template.boot: Likewise.
	* interp/trace.boot: Likewise.
	* interp/wi1.boot: Likewise.
	* interp/wi2.boot: Likewise.

	* lisp/core.lisp.in: Incorporate changes from btx-branch.
	* lisp/Makefile.in: Likewise.

2008-05-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-utility.boot (getVMType): Fix thinko.

	* interp/c-util.boot (compilerMessage): Tidy.

2008-05-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sockio.lisp: Remove.

2008-04-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/tokens.boot: Declare tokens as constants.

	* boot/parser.boot (bpExportItemList): New.
	(bpExports): Likewise.
	(bpModule): Use it.  
	* boot/ast.boot (bfCreateDef): Tidy.
	* boot/strap: Update cached Lisp translation.

2008-04-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/util.lisp (build-interpsys): Call %sysInit.
	* boot/translator.boot (shoeClLines): Output module finalization.
	(shoeClCLines): Likewise.
	(genImportDeclaration): Tidy.
	(bpOutItem): Likewise.
	($OpenAxiomCoreModuleLoaded): Remove.
	* interp/sys-driver.boot: Tidy.

2008-04-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in: Export %ByteArray and makeByteArray.
	(CONCAT): Tdiy.
	* lib/sockio-c.c: Tidy.
	* lib/cfuns-c.c (oa_getenv): Define.
	* interp/sys-os.boot (getEnv): Import.
	(sockGetString): Tidy.
	* interp/sockio.lisp (sockGetString): Remove GCL's defentry.
	* interp/server.boot (serverReadLine): sockGetString now takes
	only one argument.
	* interp/br-saturn.boot (operationIsNiladicConstructor): New.
	(operationIsConstructor): Likewise.
	(displayDomainOp): Use them.
	* include/cfuns.h (oa_getenv): Declare.
	* include/sockio.h: Tidy.
	* boot/translator.boot (needsStableReference?): New.
	(coerceToNativeType): Likewise.
	(prepareArgumentsForNativeCall): Likewise.
	(genImportDeclaration): Use them.

2008-04-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* sman/spadclient.c: Cleanup.
	* sman/sman.c: Likewise.
	* sman/session.c: Likewise.
	* lib/spadcolors.c: Likewise.
	* lib/sockio-c.c: Likewise.
	* include/spadint.H1: Likewise.
	* include/sockio.h: Likewise.
	* include/hterror.H1: Likewise.
	* include/com.h: Likewise.
	* hyper/spadint.c: Likewise.
	* hyper/spadbuf.c: Likewise.
	* hyper/parse.c: Likewise.
	* hyper/lex.c: Likewise.
	* hyper/hyper.h: Likewise.
	* hyper/hyper.c: Likewise.
	* hyper/hterror.c: Likewise.
	* hyper/htadd.c: Likewise.
	* graph/viewman/viewman.c: Likewise.
	* graph/viewman/makeGraph.c: Likewise.
	* graph/viewman/globalsM.h: Likewise.
	* graph/view3D/viewport3d.c: Likewise.
	* graph/view3D/testcol.c: Likewise.
	* graph/view3D/spadAction3d.c: Likewise.
	* graph/view3D/main3d.c: Likewise.
	* graph/view3D/component3d.c: Likewise.
	* graph/view2D/viewport2D.c: Likewise.
	* graph/view2D/process2d.c: Likewise.
	* graph/view2D/main2d.c: Likewise.

2008-04-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in (|pathBasename|): New.
	* interp/br-con.boot (kPageArgs): Remove.
	(dbPresentCons): Likewise.
	* interp/br-data.boot (purgeLocalLibdb): Likewise.
	* interp/br-op1.boot (dbPresentOps): Likewise.
	(dbConform): Likewise.
	(dbGatherThenShow): Likewise.
	(displayDomainOp): Likewise.
	(htSayIndentRel): Likewise.
	* interp/br-saturn.boot (htpAddInputAreaString): Likewise.
	(htpSetLabelInputStringArea): Likewise.
	(htTab): Likewise
	* interp/br-search.boot (htShowPageStar): Likewise.
	(htSay): Likewise.
	(bcConform1): Likewise.
	* interp/cformat.boot (pkey): Likewise.
	* interp/ht-util.boot (htpAddToPageDescrption):
	Likewise. 
	(bcHt): Likewise.
	(htInitPage): Likewise.
	(htAddHeading): Likewise.
	(htShowPage): Likewise.
	(htShowPageNoScroll): Likewise.
	(htMakePage): Likewise.
	(htMakePage1): Likewise.
	(htMakeErrorPage): Likewise.
	(htProcessBcStrings): Likewise.
	(btBcLinks): Likewise.
	(btBcLispLinks): Likewise.
	(setUpDefault): Likewise.
	(htMakeButton): Likewise.
	(htDoneButton): Likewise.
	* interp/hypertex.boot (endHTPage): Likewise.
	* interp/i-syscmd.boot (makeInitialModemapFrame): Likewise.
	* interp/macro.lisp (sayNewLine): Likewise.
	* interp/nhyper.boot (endHTPage): Likewise.
	* interp/pathname.boot (deleteFile): Likewise.
	* interp/Makefile.pamphlet (YEARWEEK): Make TIMESTAMPT constant.
	* boot/translator.boot (getIntermediateLispFile): New.
	(compileBootHandler): Use it.

2008-04-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot: Tidy.
	* boot/includer.boot: Likewise.
	* boot/parser.boot: Likewise.
	* boot/pile.boot: Likewise.
	* boot/scanner.boot: Likewise.
	* boot/tokens.boot: Likewise.
	* boot/translator.boot: Likewise.
	* boot/strap: Update Lisp translation.
	* lisp/core.lisp.in: Tidy.

2008-04-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/br-data.boot: Tidy.
	* interp/br-util.boot: Likewise.
	* interp/c-doc.boot: Likewise.
	* interp/cattable.boot: Likewise.
	* interp/clammed.boot: Likewise.
	* interp/define.boot: Likewise.
	* interp/g-cndata.boot: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/ht-util.boot: Likewise.
	* interp/i-map.boot: Likewise.
	* interp/modemap.boot: Likewise.
	* interp/nrungo.boot: Likewise.
	* interp/rulesets.boot: Likewise.
	* interp/slam.boot: Likewise.
	* interp/i-spec1.boot: Likewise.
	* interp/Makefile.pamphlet (br-util.$(FASLEXT)): Don't compile as
	Old Boot.
	(bc-solve.$(FASLEXT)): Likewise.
	(ht-util.$(FASLEXT)): Likewise.
	(rulesets.$(FASLEXT)): Likewise.
	(i-object.$(FASLEXT)): Likewise.
	(i-util.$(FASLEXT)): Likewise.
	(nrunfast.$(FASLEXT)): Likewise.
	(nrungo.$(FASLEXT)): Likewise.
	(iterator.$(FASLEXT)): Likewise.
	(cattable.$(FASLEXT)): Likewise.
	(c-doc.$(FASLEXT)): Likewise.
	(posit.$(FASLEXT)): Likewise.
	(modemap.$(FASLEXT)): Likewise.
	(slam.$(FASLEXT)): Likewise.
	(clammed.$(FASLEXT)): Likewise.
	(g-opt.$(FASLEXT)): Likewise.
	(g-error.$(FASLEXT)): Likewise.
	(pathname.$(FASLEXT)): Likewise.
	(g-util.$(FASLEXT)): Likewise.
	(g-cndata.$(FASLEXT)): Likewise.
	* boot/tokens.boot: Remove renaming of NOT to NULL, when compiling
	Old Boot.

2008-04-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-utility.boot (getVMType): New.
	* interp/sys-macros.lisp (|byteLessThan|): New.
	(|byteGreaterEqual|): Likewise.
	(|makeSimpleArray|): Likewise.
	(|makeFilledSimpleArray|): Likewise.
	(|getSimpleArrayEntry|): Likewise.
	(|setSimpleArrayEntry|): Likewise.
	(|sizeOfSimpleArray|): Likewise.
	(|maxIndexOfSimpleArray|): Likewise.
	* interp/compiler.boot (checkCallingConvention): Tidy return type.
	* algebra/exposed.lsp.pamphlet: Expose Byte and ByteArray.
	* algebra/data.spad.pamphlet: New.
	* algebra/array1.spad.pamphlet (PrimitiveArray): Rewrite.
	Update cached Lisp translation.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include BYTE.
	(axiom_algebra_layer_12): Include BYTEARY.
	* share/algebra: Update databases.

2008-04-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/template.boot (evalSlotDomain): Tidy.
	* interp/macros.lisp (Record): Remove.
	* interp/buildom.boot (RecordInner): Remove.
	(Record): Rename from Record0.  Tidy.
	* interp/Makefile.pamphlet (buildom.$(FASLEXT)): Don't compiel as
	Old Boot.

2008-04-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (parse.$(FASLEXT)): Don't compile as
	Old Boot.
	* interp/parse.boot (parseTypeEvaluate): Remove.
	(parseTypeEvaluateArgs): Likewise.
	(parseType): Don't evaluate type during parsing.
	($oldParserExpandAbbrs): Remove.
	(parseTypeError): Likewise.
	(specialModeTran): Likewise.

	* interp/fnewmeta.lisp: Don't overstep on use namespace with
	Attribute, Signature, and Reduce.
	* interp/postpar.boot: Likewise.
	* interp/ptrees.boot: Likewise.  Tidy.
	* interp/Makefile.pamphlet (ptrees.$(FASLEXT)): Don't compile as
	Old Boot.

2008-04-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (postpar.$(FASLEXT)): Dont' compile as
	Old Boot code.
	* interp/postpar.boot: Adjust function declarations.
	(aplTran): Remove.
	(containsBang): Likewise.
	(containsBang): Likewise.
	(aplTranList): Likewise.
	(hasAplExtension): Likewise.
	(deepestExpression): Likewise.
	(postTransform): Adjust.

	* driver/utils.c (openaxiom_build_rts_options): Fix thinko.

2008-04-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot: Cleanup.

2008-04-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot (%DefaultValue): New %Ast node.
	(bfParameterList): New.
	(bfInsertLet): Use it.
	(bfInsertLet1): Handle parameter with default values.
	* boot/parser.boot (bpRegularBVItemTail): Split from bpRegularBVItem.
	(bpRegularBVItem): Tidy.	

2008-04-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot: 
	* interp/define.boot ($mutableDomain): Define.
	(compDefineFunctor): Initialize it before compiling a functor.

2008-04-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot: Don't special case ListCategory, String,
	VECTOR, and VectorCategory.

2008-04-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/tokens.boot: Don't rename NOT.
	* interp/define.boot: Add declarations.
	* interp/types.boot (%Signature): New.

2008-04-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/as.boot: Remove explicit use GETDATABASE.
	* interp/br-con.boot: Likewise.
	* interp/br-data.boot: Likewise.
	* interp/br-op1.boot: Likewise.
	* interp/br-op2.boot: Likewise.
	* interp/br-prof.boot: Likewise.
	* interp/br-saturn.boot: Likewise.
	* interp/br-search.boot: Likewise.
	* interp/br-util.boot: Likewise.
	* interp/c-doc.boot: Likewise.
	* interp/cattable.boot: Likewise.
	* interp/clammed.boot: Likewise.
	* interp/daase.lisp: Likewise.
	* interp/database.boot: Likewise.
	* interp/define.boot: Likewise.
	* interp/format.boot: Likewise.
	* interp/g-cndata.boot: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/hashcode.boot: Likewise.
	* interp/i-coerce.boot: Likewise.
	* interp/i-eval.boot: Likewise.
	* interp/i-funsel.boot: Likewise.
	* interp/i-resolv.boot: Likewise.
	* interp/interop.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/mark.boot: Likewise.
	* interp/modemap.boot: Likewise.
	* interp/nruncomp.boot: Likewise.
	* interp/nrunfast.boot: Likewise.
	* interp/nrunopt.boot: Likewise.
	* interp/parse.boot: Likewise.
	* interp/postpar.boot: Likewise.
	* interp/pspad1.boot: Likewise.
	* interp/pspad2.boot: Likewise.
	* interp/showimp.boot: Likewise.
	* interp/template.boot: Likewise.
	* interp/topics.boot: Likewise.
	* interp/types.boot (%Atom): New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Tidy.
	(axiom_algebra_layer_4): Likewise.
	(axiom_algebra_layer_19): Likewise.

2008-04-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/apply.boot: Tidy signature declarations.
	* interp/as.boot: Use getConstructorKindFromDB throughout.
	* interp/br-con.boot: Likewise.
	* interp/br-data.boot: Likewise.
	* interp/br-op1.boot: Likewise.
	* interp/br-op2.boot: Likewise.
	* interp/br-prof.boot: Likewise.
	* interp/br-saturn.boot: Likewise.
	* interp/br-search.boot: Likewise.
	* interp/br-util.boot: Likewise.
	* interp/cattable.boot: Likewise.
	* interp/clam.boot: Likewise.
	* interp/clammed.boot: Likewise.
	* interp/compiler.boot: Tidy signature declarations.
	* interp/construct.lisp: Use getConstructorKindFromDB throughout.
	* interp/daase.lisp: Likewise.
	* interp/database.boot (getConstructorAbbreviationFromDB): New.
	(getConstructorCategoryFromDB): Likewise.
	(getConsructorKindFromDB): Likewise.
	(getConstructorAncestorsFromDB): Likewise.
	(getConstructorSourceFileFromDB): Likewise.
	* interp/define.boot: Use getConstructorKindFromDB throughout.
	* interp/domain.lisp: Likewise.
	* interp/format.boot: Likewise.
	* interp/g-cndata.boot: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/i-eval.boot: Likewise.
	* interp/i-funsel.boot: Likewise.
	* interp/i-resolv.boot: Likewise.
	* interp/i-syscmd.boot: Likewise.
	* interp/interop.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/nrunfast.boot: Likewise.
	* interp/parse.boot: Likewise.
	* interp/setvars.boot: Likewise.
	* interp/sys-constant.boot ($EmptyVector): Fix thinko
	* interp/types.boot (%Maybe): New.
	(%ConstructorKind): Likewise.
	* input/exsum.input.pamphlet: Fix thinko.
	* input/mapleok.input.pamphlet: Fix typos.

2008-04-12  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/ax.boot: Use getConstructorModemap throughout.
	* interp/br-data.boot: Likewise.
	* interp/br-op1.boot: Likewise.
	* interp/br-prof.boot: Likewise.
	* interp/br-search.boot: Likewise.
	* interp/br-util.boot: Likewise.
	* interp/cattable.boot: Likewise.
	* interp/daase.lisp: Likewise.
	* interp/g-util.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/nrunopt.boot: Likewise.

2008-04-12  Juergen Weiss  <weiss@uni-mainz.de>

	* interp/define.boot (compCapsuleItems): Fix thinko.
	* interp/newaux.lisp: Increase the binding power of "+->".

2008-04-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot: Register compiler for Enumeration
	instantiations. 
	* interp/modemap.boot (compCat): Move to compiler.boot.

2008-04-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot (bpOutItem): Tidy.
	* boot/parser.boot (bpTypeAliasDefition): Support parameterized alias.
	* boot/ast.boot (quote): New.
	(backquote): Likewise.
	(genTypeAlias): Likewise.

2008-04-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nlib.lisp (recompile-lib-file-if-necessary): Remove.
	* interp/comp.lisp (|compileFileQuietly|): Move to compiler.boot.

2008-04-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Lattice.pamphlet: Remove.

2008-04-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/spad.lisp (|evalSharpOne|): Remove.
	* interp/i-coerce.boot: New.
	(coerceUnion2Branch): Use it instead of evalSharpOne.

2008-04-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (pushDownOp?): Use setShellEntry.
	* interp/nrunfast.boot (replaceGoGetSlot): Likewise.
	(lazyDomainSet): Likewise.
	* interp/nrungo.boot (goGet): Likewise.

2008-04-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compWithMappingMode): Use getShellEntry.
	* interp/define.boot (compDefineFunctor1): Use setShellEntry.
	(canCacheLocalDomain): Likewise.
	(compilerCases): Likewise.
	(doIt): Likewise.
	* interp/functor.boot (setVector0): Likewise.
	(setVector3): Likewise.
	(setVector4part4): Likewise.
	(setVector5): Likewise.
	(mkVectorWithDeferral): Likewise.
	(DescendCodeAdd1): Likewise.
	(DescendCode): Likewise.
	(ConsantCreator): Likewise.
	(SetFunctionSlots): Likewise.
	(CheckVector): Likewise.
	* interp/g-opt.boot (optCall): Use getShellEntry.
	(optSpecialCall): Likewise.
	* interp/i-util.boot (devaluate): Likewise.
	* interp/nruncomp.boot (buildFunctor): Use setShellEntry.
	(NRTsetVector4a): Likewise.
	(NRTputInLocalReferences): Use getShellEntry.
	(NRTputInHead): Likewise.
	* interp/nrunopt.boot (augmentPredVector): Use setShellEntry.
	* interp/nruntime.boot (getShellEntry): New.
	(setShellEntry): Likewise.
	* interp/package.boot (processPackage): Use getShellEntry.
	(PackageDescendCode): Use setShellEntry.
	* interp/sys-globals.boot ($QuickCode): Remove.
	* interp/template.boot (NRTdescendCodeTran): Use setShellEntry.
	* interp/types.boot (%Void): New.
	(%Shell): New.
	* interp/wi2.boot (compDefineFunctor1): Use setShellEntry.

2008-04-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-constants.boot ($quitTag): Define here.
	* interp/spaderror.lisp ($quitTag): Don't define here.

2008-04-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* graph/include/Gfun.H1: Remove K&R prototypes.
	* graph/include/buttons2d.H1: Likewise.
	* graph/include/buttons3d.H1: Likewise.
	* graph/include/cleanup.H1: Likewise.
	* graph/include/closeView3d.H1: Likewise.
	* graph/include/component3d.H1: Likewise.
	* graph/include/control2d.H1: Likewise.
	* graph/include/control3d.H1: Likewise.
	* graph/include/fun2D.H1: Likewise.
	* graph/include/fun3D.H1: Likewise.
	* graph/include/graph2d.H1: Likewise.
	* graph/include/illuminate3d.H1: Likewise.
	* graph/include/lightbut3d.H1: Likewise.
	* graph/include/lighting3d.H1: Likewise.
	* graph/include/main2d.H1: Likewise.
	* graph/include/main3d.H1: Likewise.
	* graph/include/make2D.H1: Likewise.
	* graph/include/make3D.H1: Likewise.
	* graph/include/makeGraph.H1: Likewise.
	* graph/include/mesh3d.H1: Likewise.
	* graph/include/msort3d.H1: Likewise.
	* graph/include/pot2d.H1: Likewise.
	* graph/include/pot3d.H1: Likewise.
	* graph/include/process2d.H1: Likewise.
	* graph/include/process3d.H1: Likewise.
	* graph/include/quit3d.H1: Likewise.
	* graph/include/quitbut3d.H1: Likewise.
	* graph/include/readView.H1: Likewise.
	* graph/include/save3d.H1: Likewise.
	* graph/include/savebut3d.H1: Likewise.
	* graph/include/smoothShade3d.H1: Likewise.
	* graph/include/spadAction2d.H1: Likewise.
	* graph/include/spadAction3d.H1: Likewise.
	* graph/include/spoon2D.H1: Likewise.
	* graph/include/spoonComp.H1: Likewise.
	* graph/include/sselect.H1: Likewise.
	* graph/include/stuff2d.H1: Likewise.
	* graph/include/stuff3d.H1: Likewise.
	* graph/include/surface3d.H1: Likewise.
	* graph/include/transform3d.H1: Likewise.
	* graph/include/viewAlone.H1: Likewise.
	* graph/include/viewport2D.H1: Likewise.
	* graph/include/viewport3d.H1: Likewise.
	* graph/include/volume3d.H1: Likewise.
	* graph/include/write2d.H1: Likewise.
	* graph/include/write3d.H1: Likewise.
	* graph/view2D/buttons2d.c: Likewise.
	* graph/view2D/control2d.c: Likewise.
	* graph/view2D/graph2d.c: Likewise.
	* graph/view2D/main2d.c: Likewise.
	* graph/view2D/pot2d.c: Likewise.
	* graph/view2D/spadAction2d.c: Likewise.
	* graph/view2D/stuff2d.c: Likewise.
	* graph/view2D/viewport2D.c: Likewise.
	* graph/view2D/write2d.c: Likewise.
	* graph/view3D/buttons3d.c: Likewise.
	* graph/view3D/closeView3d.c: Likewise.
	* graph/view3D/component3d.c: Likewise.
	* graph/view3D/control3d.c: Likewise.
	* graph/view3D/illuminate3d.c: Likewise.
	* graph/view3D/lightbut3d.c: Likewise.
	* graph/view3D/lighting3d.c: Likewise.
	* graph/view3D/main3d.c: Likewise.
	* graph/view3D/mesh3d.c: Likewise.
	* graph/view3D/msort3d.c: Likewise.
	* graph/view3D/pot3d.c: Likewise.
	* graph/view3D/process3d.c: Likewise.
	* graph/view3D/project3d.c: Likewise.
	* graph/view3D/quit3d.c: Likewise.
	* graph/view3D/quitbut3d.c: Likewise.
	* graph/view3D/save3d.c: Likewise.
	* graph/view3D/savebut3d.c: Likewise.
	* graph/view3D/smoothShade3d.c: Likewise.
	* graph/view3D/spadAction3d.c: Likewise.
	* graph/view3D/stuff3d.c: Likewise.
	* graph/view3D/surface3d.c: Likewise.
	* graph/view3D/testcol.c: Likewise.
	* graph/view3D/transform3d.c: Likewise.
	* graph/view3D/viewport3d.c: Likewise.
	* graph/view3D/volume3d.c: Likewise.
	* graph/viewAlone/spoon2D.c: Likewise.
	* graph/view3D/write3d.c: Likewise.
	* graph/viewAlone/spoonComp.c: Likewise.
	* graph/viewAlone/viewAlone.c: Likewise.
	* graph/viewman/cleanup.c: Likewise.
	* graph/viewman/fun2D.c: Likewise.
	* graph/viewman/fun3D.c: Likewise.
	* graph/viewman/make2D.c: Likewise.
	* graph/viewman/makeGraph.c: Likewise.
	* graph/viewman/readView.c: Likewise.
	* hyper/scrollbar.c: Likewise.
	* lib/util.c: Likewise.

2008-04-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/system.spad.pamphlet (System): New package.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_12): Include SYSTEM.
	* src/share/algebra: Update databases.

2008-04-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* graph/view2D/process2d.c (processEvents): Tidy.
	* graph/view3D/process3d.c (processEvents): Likewise.

2008-04-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/hyper.h: Simplify font definitions.

2008-04-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/event.c (mainEventLoop): Fix thinko.

2008-04-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/xpm.h: Don't include <malloc.h>
	* lib/XDither.c: Likewise.
	* lib/XShade.c: Likewise.

2008-04-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/bsdsignal.h: Include <signal.h>.  
	(OPENAXIOM_SIGCHLD): New macro.
	* hyper/hyper.c (main): Use OPENAXIOM_SIGCHLD.
	* graph/viewman/viewman.c: Don't include <signal.h> directly.
	(main): Use OPENAXIOM_SIGCHLD.
	* graph/viewman/sselect.c: Don't include <signal.h> directly.
	(superSelect): Tidy.  Use OPENAXIOM_SIGCHLD.

2008-04-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/Makefile.in (libopen_axiom_core_objects): Tidy.

2008-04-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/postpar.boot (postBootNotEqual): New.  Disallow `^=' in
	Spad codes.

2008-04-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/acplot.spad.pamphlet: Replace `^=' with `~='.
	* algebra/aggcat.spad.pamphlet: Likewise.
	* algebra/algext.spad.pamphlet: Likewise.
	* algebra/algcat.spad.pamphlet: Likewise.
	* algebra/algfunc.spad.pamphlet: Likewise.
	* algebra/allfact.spad.pamphlet: Likewise.
	* algebra/array1.spad.pamphlet: Likewise.
	* algebra/array2.spad.pamphlet: Likewise.
	* algebra/asp.spad.pamphlet: Likewise.
	* algebra/card.spad.pamphlet: Likewise.
	* algebra/carten.spad.pamphlet: Likewise.
	* algebra/clifford.spad.pamphlet: Likewise.
	* algebra/combinat.spad.pamphlet: Likewise.
	* algebra/contfrac.spad.pamphlet: Likewise.
	* algebra/cra.spad.pamphlet: Likewise.
	* algebra/crfp.spad.pamphlet: Likewise.
	* algebra/curve.spad.pamphlet: Likewise.
	* algebra/defintef.spad.pamphlet: Likewise.
	* algebra/defintrf.spad.pamphlet: Likewise.
	* algebra/degred.spad.pamphlet: Likewise.
	* algebra/derham.spad.pamphlet: Likewise.
	* algebra/divisor.spad.pamphlet: Likewise.
	* algebra/efstruc.spad.pamphlet: Likewise.
	* algebra/eigen.spad.pamphlet: Likewise.
	* algebra/elemntry.spad.pamphlet: Likewise.
	* algebra/expr.spad.pamphlet: Likewise.
	* algebra/ffcat.spad.pamphlet: Likewise.
	* algebra/ffcg.spad.pamphlet: Likewise.
	* algebra/fff.spad.pamphlet: Likewise.
	* algebra/ffhom.spad.pamphlet: Likewise.
	* algebra/ffnb.spad.pamphlet: Likewise.
	* algebra/ffp.spad.pamphlet: Likewise.
	* algebra/ffpoly.spad.pamphlet: Likewise.
	* algebra/ffpoly2.spad.pamphlet: Likewise.
	* algebra/files.spad.pamphlet: Likewise.
	* algebra/float.spad.pamphlet: Likewise.
	* algebra/gaussian.spad.pamphlet: Likewise.
	* algebra/gaussfac.spad.pamphlet: Likewise.
	* algebra/funcpkgs.spad.pamphlet: Likewise.
	* algebra/fspace.spad.pamphlet: Likewise.
	* algebra/free.spad.pamphlet: Likewise.
	* algebra/fr.spad.pamphlet: Likewise.
	* algebra/fortran.spad.pamphlet: Likewise.
	* algebra/formula.spad.pamphlet: Likewise.
	* algebra/gpol.spad.pamphlet: Likewise.
	* algebra/gpgcd.spad.pamphlet: Likewise.
	* algebra/ghensel.spad.pamphlet: Likewise.
	* algebra/geneez.spad.pamphlet: Likewise.
	* algebra/gdpoly.spad.pamphlet: Likewise.
	* algebra/gdirprod.spad.pamphlet: Likewise.
	* algebra/gbintern.spad.pamphlet: Likewise.
	* algebra/gbeuclid.spad.pamphlet: Likewise.
	* algebra/gb.spad.pamphlet: Likewise.
	* algebra/intef.spad.pamphlet: Likewise.
	* algebra/intclos.spad.pamphlet: Likewise.
	* algebra/intaux.spad.pamphlet: Likewise.
	* algebra/intalg.spad.pamphlet: Likewise.
	* algebra/intaf.spad.pamphlet: Likewise.
	* algebra/indexedp.spad.pamphlet: Likewise.
	* algebra/idecomp.spad.pamphlet: Likewise.
	* algebra/ideal.spad.pamphlet: Likewise.
	* algebra/groebsol.spad.pamphlet: Likewise.
	* algebra/groebf.spad.pamphlet: Likewise.
	* algebra/kl.spad.pamphlet: Likewise.
	* algebra/irexpand.spad.pamphlet: Likewise.
	* algebra/intrf.spad.pamphlet: Likewise.
	* algebra/integer.spad.pamphlet: Likewise.
	* algebra/intpm.spad.pamphlet: Likewise.
	* algebra/intfact.spad.pamphlet: Likewise.
	* algebra/manip.spad.pamphlet: Likewise.
	* algebra/lodop.spad.pamphlet: Likewise.
	* algebra/lodof.spad.pamphlet: Likewise.
	* algebra/lodo.spad.pamphlet: Likewise.
	* algebra/lmdict.spad.pamphlet: Likewise.
	* algebra/listgcd.spad.pamphlet: Likewise.
	* algebra/list.spad.pamphlet: Likewise.
	* algebra/lingrob.spad.pamphlet: Likewise.
	* algebra/limitps.spad.pamphlet: Likewise.
	* algebra/laurent.spad.pamphlet: Likewise.
	* algebra/laplace.spad.pamphlet: Likewise.
	* algebra/modmon.spad.pamphlet: Likewise.
	* algebra/modgcd.spad.pamphlet: Likewise.
	* algebra/moddfact.spad.pamphlet: Likewise.
	* algebra/mlift.spad.pamphlet: Likewise.
	* algebra/mlift.spad.jhd.pamphlet: Likewise.
	* algebra/mfinfact.spad.pamphlet: Likewise.
	* algebra/matrix.spad.pamphlet: Likewise.
	* algebra/mathml.spad.pamphlet: Likewise.
	* algebra/matfuns.spad.pamphlet: Likewise.
	* algebra/matcat.spad.pamphlet: Likewise.
	* algebra/nlode.spad.pamphlet: Likewise.
	* algebra/nlinsol.spad.pamphlet: Likewise.
	* algebra/newpoint.spad.pamphlet: Likewise.
	* algebra/naalgc.spad.pamphlet: Likewise.
	* algebra/naalg.spad.pamphlet: Likewise.
	* algebra/multsqfr.spad.pamphlet: Likewise.
	* algebra/multpoly.spad.pamphlet: Likewise.
	* algebra/multfact.spad.pamphlet: Likewise.
	* algebra/mts.spad.pamphlet: Likewise.
	* algebra/mset.spad.pamphlet: Likewise.
	* algebra/mring.spad.pamphlet: Likewise.
	* algebra/modring.spad.pamphlet: Likewise.
	* algebra/modmonom.spad.pamphlet: Likewise.
	* algebra/openmath.spad.pamphlet: Likewise.
	* algebra/op.spad.pamphlet: Likewise.
	* algebra/oderf.spad.pamphlet: Likewise.
	* algebra/odeef.spad.pamphlet: Likewise.
	* algebra/odealg.spad.pamphlet: Likewise.
	* algebra/numtheor.spad.pamphlet: Likewise.
	* algebra/numsolve.spad.pamphlet: Likewise.
	* algebra/numeigen.spad.pamphlet: Likewise.
	* algebra/npcoef.spad.pamphlet: Likewise.
	* algebra/pfr.spad.pamphlet: Likewise.
	* algebra/permgrps.spad.pamphlet: Likewise.
	* algebra/perman.spad.pamphlet: Likewise.
	* algebra/perm.spad.pamphlet: Likewise.
	* algebra/pdecomp.spad.pamphlet: Likewise.
	* algebra/pattern.spad.pamphlet: Likewise.
	* algebra/patmatch1.spad.pamphlet: Likewise.
	* algebra/padic.spad.pamphlet: Likewise.
	* algebra/pade.spad.pamphlet: Likewise.
	* algebra/outform.spad.pamphlet: Likewise.
	* algebra/ore.spad.pamphlet: Likewise.
	* algebra/primelt.spad.pamphlet: Likewise.
	* algebra/polycat.spad.pamphlet: Likewise.
	* algebra/poly.spad.pamphlet: Likewise.
	* algebra/poltopol.spad.pamphlet: Likewise.
	* algebra/plot3d.spad.pamphlet: Likewise.
	* algebra/plot.spad.pamphlet: Likewise.
	* algebra/pleqn.spad.pamphlet: Likewise.
	* algebra/pinterp.spad.pamphlet: Likewise.
	* algebra/pgcd.spad.pamphlet: Likewise.
	* algebra/realzero.spad.pamphlet: Likewise.
	* algebra/rderf.spad.pamphlet: Likewise.
	* algebra/rdeef.spad.pamphlet: Likewise.
	* algebra/radix.spad.pamphlet: Likewise.
	* algebra/qalgset.spad.pamphlet: Likewise.
	* algebra/puiseux.spad.pamphlet: Likewise.
	* algebra/pseudolin.spad.pamphlet: Likewise.
	* algebra/pscat.spad.pamphlet: Likewise.
	* algebra/prtition.spad.pamphlet: Likewise.
	* algebra/smith.spad.pamphlet: Likewise.
	* algebra/sign.spad.pamphlet: Likewise.
	* algebra/sgcf.spad.pamphlet: Likewise.
	* algebra/setorder.spad.pamphlet: Likewise.
	* algebra/rule.spad.pamphlet: Likewise.
	* algebra/rinterp.spad.pamphlet: Likewise.
	* algebra/rf.spad.pamphlet: Likewise.
	* algebra/riccati.spad.pamphlet: Likewise.
	* algebra/rep2.spad.pamphlet: Likewise.
	* algebra/rep1.spad.pamphlet: Likewise.
	* algebra/reclos.spad.pamphlet: Likewise.
	* algebra/syssolp.spad.pamphlet: Likewise.
	* algebra/symbol.spad.pamphlet: Likewise.
	* algebra/sum.spad.pamphlet: Likewise.
	* algebra/sttaylor.spad.pamphlet: Likewise.
	* algebra/string.spad.pamphlet: Likewise.
	* algebra/stream.spad.pamphlet: Likewise.
	* algebra/special.spad.pamphlet: Likewise.
	* algebra/space.spad.pamphlet: Likewise.
	* algebra/solverad.spad.pamphlet: Likewise.
	* algebra/solvelin.spad.pamphlet: Likewise.
	* algebra/view3D.spad.pamphlet: Likewise.
	* algebra/view2D.spad.pamphlet: Likewise.
	* algebra/vector.spad.pamphlet: Likewise.
	* algebra/unifact.spad.pamphlet: Likewise.
	* algebra/twofact.spad.pamphlet: Likewise.
	* algebra/tree.spad.pamphlet: Likewise.
	* algebra/transsolve.spad.pamphlet: Likewise.
	* algebra/tex.spad.pamphlet: Likewise.
	* algebra/taylor.spad.pamphlet: Likewise.
	* algebra/xpoly.spad.pamphlet: Likewise.
	* algebra/xlpoly.spad.pamphlet: Likewise.
	* algebra/wtpol.spad.pamphlet: Likewise.

2008-04-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/tokens.boot (second): Now candidate for renaming in
	generated Lisp code.
	(third): Likewise.

2008-04-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* input/mapleok.input.pamphlet: Fix typo.

2008-04-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/386.
	* interp/i-spec1.boot (transformCollect): Move to i-intern.boot.
	(upLoopIters): Don't silently return nil for unknown iterators.
	* interp/i-intern.boot (transformCollect): Tidy.  Reject invalid
	iterator forms.
	* doc/msgs/s2-us.msgs (S2SIS0061): New.

2008-04-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/nagman.H1: Remove.
	* include/session.H1: Move content to sman/session.c.  Remove.
	* sman/session.c: Don't include "session.H1" anymore.
	* sman/spadclient.c: Don't include "spadclient.H1" anymore.
	* include/spadclient.H1: Remove.
	* include/spadbuf.H1: Move content to hyper/spadbuf.c.  Remove.
	* hyper/spadbuf.c: Don't include "spadbuf.H1" anymore.
	* hyper/htadd.c: Don't include "htadd.H1" anymore.
	* include/htadd.H1: Move content to hyper/htadd.c.  Remove.

2008-04-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/openpty.c: Remove conditional inclusion of <stropts.h>
	* hyper/spadbuf.c: Remove conditional inclusion of <bstring.h>
	* sman/session.c: Likewise.
	* hyper/halloc.c: Remove conditional inclusion of <malloc.h>

2008-03-31  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-utility.boot (loadModule): New.
	* interp/daase.lisp (initial-getdatabase): Use it instead of
	Lisp's LOAD. 
	* interp/lisplib.boot (loadLib): Likewise.
	(loadLibNoUpdate): Likewise.

2008-03-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-intern.boot (mkAtree3): Don't apply syntactic
	transformation on `~=' expressions.

2008-03-30  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/buildom.boot: Cache constructor instantiations.
	* interp/clam.boot (haddProp): Update comment.

2008-03-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1849435.
	* interp/buildom.boot: Rewrite builtin domains to work with old
	runtime scheme.
	* interp/nruncomp.boot (NRTencode): Tidy.
	* interp/nrungo.boot (basicLookup): lookupInTable is part of the
	old runtime scheme too.
	(lookupInDomain): Tidy.
	(lookupInCategories): Simplify.

2008-03-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/comp.lisp: Fix thinko.

2008-03-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/int-top.boot (intloopReadConsole): Use $InputStream.
	* interp/bootlex.lisp (init-boot/spad-reader): Use $OutputStream.
	* interp/comp.lisp (|compQuietly|): Likewise.
	(|compileFileQuietly|): Likewise.
	(|compileQuietly|): Likewise.
	* interp/unlisp.lisp (|Prompt|): Likewise.
	* interp/server.boot (serverReadLine): Indent while body.

2008-03-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/Makefile.in: Fix DLL build on Cygwin.
	* lisp/Makefile.in: Adjust.

2008-03-26 Gregory Vanuxem  <g.vanuxem@wanadoo.fr>
	   Alfredo Portes   <doyenatccny@gmail.com>

	* src/graph/view2D/Makefile.in: Add $(EXEEXT) to view2D.

2008-03-26 Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	   Alfredo Portes  <doyenatccny@gmail.com>

	* src/sman/sman.c.pamphlet: sman_catch_signals(): Use SIGABRT
	        (instead of SIGIOT) if available.

2008-03-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/Makefile.in: Explicitly build both static and shared version
	of libopen-axiom-core.
	* lisp/Makefile.in: Tidy.
	* lisp/core.lisp.in: Export $NativeModuleExt.
	* clef/Makefile.in: Use only static archive.
	* graph/view2D/Makefile.in: Likewise.
	* graph/view3D/Makefile.in: Likewise.
	* graph/viewAlone/Makefile.in: Likewise.
	* graph/viewman/Makefile.in: Likewise.
	* hyper/Makefile.in: Likewise.
	* sman/Makefile.in: Likewise.
	* boot/Makefile.in: Place bootsys binary in staged starget directory.
	* boot/translator.boot (loadSystemRuntimeCore): Tidy.
	* interp/Makefile.pamphlet: Use bootsys from staged target dir.

2008-03-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/bootlex.lisp: Import "sys-globals".  
	Consistently use $InputStream and $OutputStream for I/O.
	* interp/c-util.boot: Likewise.
	* interp/comp.lisp: Likewise.
	* interp/compat.boot: Likewise.
	* interp/debug.lisp: Likewise.
	* interp/def.lisp: Likewise.
	* interp/g-error.boot: Likewise.
	* interp/i-toplev.boot: Likewise.
	* interp/int-top.boot: Likewise.
	* interp/intfile.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/macros.lisp: Likewise.
	* interp/metalex.lisp: Likewise.
	* interp/msgdb.boot: Likewise.
	* interp/patches.lisp: Likewise.
	* interp/preparse.lisp: Likewise.
	* interp/server.boot: Likewise.
	* interp/spad-parser.boot: Likewise.
	* interp/spad.lisp: Likewise.
	* interp/sys-globals.boot: Likewise.
	* interp/sys-macros.lisp: Likewise.
	* interp/sys-os.boot: Likewise.
	* interp/unlisp.lisp: Likewise.
	* interp/vmlisp.lisp: Likewise.
	* interp/Makefile.pamphlet (bootlex.$(FASLEXT)): Require
	sys-globals.$(FASLEXT) too.
	(vmlisp.$(FASLEXT)): Likewise.

2008-03-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/vmlisp.lisp (DEFINE-FUNCTION): Move boot-pkg.lisp.
	(BPINAME): Tidy.
	* interp/slam.boot (reportFunctionCompilation): Tidy.
	* interp/daase.lisp: Don't use anachronistic SET.
	* interp/debug.lisp: Likewise.
	* interp/br-saturn.boot: Substitute GENSYM for GENTEMP.
	* interp/fortcall.boot: Likewise.
	* interp/ht-util.boot: Likewise.
	* interp/pf2sex.boot: Likewise.
	* interp/server.boot: Likewise.
	* interp/buildom.boot (UnionEqual): Tidy.
	(coerceUn2E): Likewise.
	* interp/boot-pkg.lisp (define-function): Define here.
	* interp/Makefile.pamphlet (diagnostics.$(FASLEXT)): Tidy.
	(hash.$(FASLEXT)): Likewise.
	(vmlisp.$(FASLEXT)): Likewise.
	* interp/diagnostics.boot: Import "types".
	* interp/hash.lisp: Import "types" instead of "vmlisp".
	* interp/i-output.boot ($algebraOutput): Move to sys-globals.boot.
	(ERROROUTSTREAM): Likewise.
	(ERRORINSTREAM): Likewise.
	* interp/macros.lisp ($algebraOutputStream): Don't set here.
	* interp/patches.lisp ($algebraOutputStream): Don't set here.
	($texOutputStream): Likewise.
	($fortranOutputStream): Likewise.
	($texOutputStream): Likewise.
	($formulaOutputStream): Likewise.

2008-03-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Add support for SBCL and CLisp.
	* src/share/algebra: Updata databases.
	* lisp/core.lisp.in ("AxiomCore"): Export CONCAT.
	(|Option|): Tidy.
	(CONCAT): Define here.
	* lib/cfuns-c.c (oa_system): Define.
	* interp/types.boot: New.
	* interp/wi1.boot (doItLet1): Tidy.
	* interp/vmlisp.lisp: Use *STANDARD-OUTPUT* and *STANDARD-INPUT*
	instead of *TERMINAL-IO*.
	(CONCAT): Don't define here.
	(QESET): Don't convert last argument to a character; it is already
	a character.
	(GCMSG): Define for CLisp too.
	(BPINAME): Likewise.
	* interp/util.lisp (interp-make-directory): Fix thinko.
	* interp/unlisp.lisp (LOG10): Don't define here.
	* interp/trace.boot: Substitute setDynamicBinding for SET.
	* interp/template.boot: Substitute setDynamicBinding for SET.
	Substitute newShell for newDomainShell. 
	* interp/sys-utility.boot: Move type definitions to types.boot.
	(macrop): Tidy.
	(functionp): Likewise.
	(setDynamicBinding): New.
	($ERASE): Add signature.
	(loadNativeModule): Don't define here.
	* interp/sys-os.boot: Tidy definitions.
	(runCommand): New.
	* interp/sys-macros.lisp (shoeConcole): Output to
	*STANDARD-OUTPUT*. 
	* interp/sys-globals.boot ($texOutputStream): Make synonym to
	*STANDARD-OUTPUT*. 
	* interp/sys-driver.boot: Import "types" instead of "boot-pkg".
	($OpenAxiomCoreModuleLoaded): Don't define here.
	(AxiomCore::%sysInit): Tidy.
	(systemRootDirectory): Don't define here.
	(stdStreamIsTerminal): Move to sys-os.boot.
	* interp/sys-constants.boot ($CategoryNames): Don't include
	StringCategory. 
	($DomainNames): Don't include Integer, Float, Symbol, Boolean,
	String, Expression, List, and Vector.
	($BuiltinConstructorNames): New.
	($SpecialDomainNames): Don't include List, Union, Record, Vector.
	($ConstructorNames): Remove.
	($IndexFilename): Rename from *INDEX-FILENAME*.
	* interp/setvars.boot: Substitute setDynamicBinding for SET.
	* interp/slam.boot: Likewise.
	* interp/pspad2.boot (formatDeftranRepper): Tidy.
	* interp/preparse.lisp (/RP): Use *STANDARD-INPUT* and
	*STANDARD-OUTPUT* instead of *TERMINAL-IO*. 
	* interp/pathname.boot: Make functions cope with nil paths.
	* interp/patches.lisp (|$algebraOutputStream|): Set value to
	*STANDARD-OUTPUT*. 
	* interp/package.boot (processPackage): Substitute newShell for
	newDomainShell. 
	* interp/obey.lisp (|algebraOutputStream|): Don't set here.
	(OBEY): Define for CLisp too.
	* interp/nruncomp.boot: Substitute newShell for newDomainShell.
	* interp/nrunopt.boot: Likewise.
	* interp/nlib.lisp (rdefiostream): Tidy.
	(GETINDEXTABLE): Remove.
	(GET-INPUT-INDEX-STREAM): Likewise.
	(GET-IO-INDEX-STREAM): Tidy.
	(PUTINDEXTABLE): Likewise.
	* interp/macros.lisp: Use *standard-output* and *standard-input*
	instead of *terminal-io* throughout.  
	* interp/lisplib.boot (makeConstructorsAutoLoad): Fix thinko.
	(setAutoLoadProperty): Likewise.
	(autoLoad): Builtin constructors are always loaded.
	(getIndexPathname): New.
	(getAllIndexPathnames): Likewise.
	(getAllAldorObjectFiles): Likewise.
	(openIndexFileIfPresent): Likewise.
	(getIndexTable): Likewise.
	* interp/i-syscmd.boot (library): Tidy.
	* interp/i-spec1.boot (compileADEFBody): Substitute
	setDynamicBinding for SET. 
	* interp/i-object.boot (getBasicObject): Substitute newShell for
	newDomainShell. 
	* interp/i-map.boot (compileCoerceMap): Substitute
	setDynamicBinding for SET. 
	* interp/hypertex.boot: Import "types" instead of "boot-pkg".
	* interp/ht-root.boot: Substitute setDynamicBinding for SET.
	* interp/ht-util.boot: Likewise.
	* interp/htsetvar.boot: Likewise.
	* interp/g-util.boot (newShell): Rename from newDomainShell.
	* interp/functor.boot: Substitute newShell for newDomainShell.
	* interp/dq.boot: Import "types" instead of "boot-pkg".
	* interp/define.boot (compDefine1): Replace $ConstructorNames with
	$BuiltinConstructorNames. 
	* interp/database.boot (squeezeAll): New.
	* interp/daase.lisp (asharp): Fix thinko.
	(get-current-directory): Define for CLisp too.
	(localdatabase): Tidy.
	(make-databases): Loose first argument.  Don't step over Category's
	database. Tidy.
	(write-interpdb): Tidy.
	(write-browsedb): Likewise.
	(write-operationdb): Likewise.
	* interp/compiler.boot (coerceHard): Treat "$" and $functorForm as
	synonymous in implicit conversions.
	* interp/clam.boot: Substitute setDynamicBinding for SET throughout.
	* interp/category.boot (mkCategory): Replace newDomainShell with
	newShell. 
	* interp/buildom.boot: Use nwShell instead of newDomainShell
	throughout. 
	(coerceUn2E): Tidy.
	(constructorCategory): Don't call SetCategory directly.
	* interp/br-saturn.boot (htpMakeEmptyPage): Use setDynamicBinding
	instead of SET.
	* interp/bootlex.lisp (BOOT): Use *STANDARD-OUTPUT* instead of
	*TERMINAL-IO*. 
	* interp/boot-pkg.lisp: Import systemRootDirectory,
	systemLibraryDirectory, loadNativeModule, loadSystemRuntimeCore
	from BOOTTRAN.
	(COT): Define unconditionally.
	(ACOT): Likewise.
	(MAXEXP): Likewise.
	* interp/bc-misc.boot (bcSeriesByFormulaGen): Fix thinko.
	* interp/Makefile.pamphlet (LOADSYS): Remove.
	(BOOTSYS): Add --syslib option.  Update use through the file.
	(OBJS): Add types.$(FASLEXT).
	(makeint.lisp): Don't depend on $(LOADSYS).
	(${SAVESYS}): Use $(BOOTSYS).
	($AXIOMSYS): Likewise.
	($(axiom_targetdir)/algebra/exposed.$(FASLEXT)): Likewise.
	* input/Makefile.pamphlet (%.output): Use coreQuit, not BYE.
	* include/cfuns.h (oa_system): Declare.
	* etc/Makefile.in ($(axiom_targetdir)/algebra/*.daase): Fix
	thinko.  Update call to MAKE-DATABASES.
	* boot/translator.boot (genImportDeclaration): Support CLisp's FFI.
	(bpOutItem): Tidy.
	(systemRootDirectory): Define here.
	(systemLibraryDirectory): Likewise.
	(loadNativeModule): Likewise.
	($OpenAxiomCoreModuleLoaded): Likewise.
	(loadSystemRuntimeCore): Likewise.
	* boot/initial-env.lisp: Export systemRootDirectory,
	systemLibraryDirectory, loadNativeModule, loadSystemRuntimeCore.
	(concat): Move definition to lisp/core.lisp.in.
	* boot/ast.boot (bfColonColon): Special case CLisp's locked
	packages. 
	* algebra/symbol.spad.pamphlet: Update cached Lisp translation.
	* algebra/string.spad.pamphlet: Update cached Lisp translations.
	(Character): Simplify definition.
	Now, use base Lisp system character type as representation.
	(ord$Character): Now return a NonNegativeInteger.
	(char$Character): Now take a NonNegativeInteger.
	(Rep$Character): Remove.
	(IndexedSring): Remove unused macros.
	(Qelt): Define as CHAR$Lisp.
	* algebra/outform.spad.pamphlet (OUTFORM): Update cached Lisp
	translation.
	* algebra/Makefile.pamphlet: Rearrange algebra build order.

2008-03-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nlib.lisp (get-input-index-stream): Remove.
	(getindextable): Likewise.

2008-03-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/vmlisp.lisp (GETREFV): Set initial elements to NIL.
	(MAKE-OUTSTREAM): Supersede existing files.
	* interp/template.boot (makeTemplate): Use newDomainShell instead
	of GETREFV.
	(extendVectorSize): Likewise.
	(mkSigPredVectors): Likewise.
	(list2LongerVec): Likewise.
	(measure): Remove.
	(measureCommon): Likewise.
	* interp/sys-utility.boot (loadNativeModule): New.
	* interp/sys-os.boot: Import "cfuns" and "sockio".  
	(runProgram): New.
	* interp/sys-globals.boot (/SOURCEFILES): Define here.
	(/SPACELIST): Likewise.
	* interp/sys-driver.boot ($OpenAxiomCoreModuleLoaded): New global
	variable.
	(AxiomCore::%sysInit): Load libopen-axiom-core if necessary.
	($defaultMsgDatabaseName): Define here.
	* interp/spad.lisp (|New,ENTRY,1|): Tidy.
	* interp/sockio.lisp: Move import declarations to sys-os.boot.
	Remove unused codes.
	* interp/server.boot (serverReadLine): Use coreQuit instead of BYE.
	* interp/pspad1.boot (formatMDEF): Tidy.
	* interp/pspad2.boot (formatIf1): Tidy.
	* interp/patches.lisp: Import "sys-driver".  Remove
	$CURRENT-DIRECTORY. 
	* interp/nruncomp.boot (buildFunctor): Use newDomainShell instead
	of GETREFV.
	* interp/nrunopt.boot (makeDomainTemplate): Likewise.
	* interp/package.boot (processFunctorOrPackage): Likewise.
	* interp/nlib.lisp (rdefiostream): Tidy.
	* interp/monitor.lisp (monitor-autoload): Define when GCL.
	* interp/interop.boot (oldAxiomCategoryDevaluate): Tidy.
	* interp/i-toplev.boot (start): Don't set $CURRENT-DIRECTORY.
	* interp/i-syscmd.boot (close): Use newDomainShell.
	(leaveScratchpad): Use coreQuit instead of BYE.
	(compileAsharpArchiveCmd): Use GET-CURRENT-DIRECTORY.
	* interp/g-util.boot (newDomainShell): Define.
	* interp/functor.boot (NewbFVectorCopy): Use newDomainShell.
	* interp/daase.lisp (asharp): Use runProgram.
	* interp/cfuns.lisp: Remove unused codes.
	(directoryp): Move import declaration to sys-os.bot.
	(writeablep): Likewise.
	* interp/buildom.boot (Record0): Use newDomainShell instead of
	GETREFV.
	(coerceRe2E): Likewise.
	(Union): Likewise.
	(Mapping): Likewise.
	(Enumeration): Likewise.
	* interp/category.boot (mkCategory): Likewise.
	* interp/Makefile.pamphlet (patches.$(FASLEXT)): Require
	sys-driver.$(FASLEXT). 
	(sys-os.$(FASLEXT)): Require cfuns.$(FASLEXT), sockio.$(FASLEXT).
	* algebra/view2D.spad.pamphlet: Use $ViewportServer instead of
	VIEWPORTSERVER.  Use sockSendInt instead of SOCK-SEND-INT.
	Use sockSendFloat instead of SEND-SEND-FLOAT.  Use sockSendString
	instead of SOCK-SEND-STRING.  Use sockGetInt instead of
	SOCK-GET-INT. Use sockGetFloat instead of SOCK-SEND-FLOAT.
	* algebra/view3D.spad.pamphlet: Likewise.
	* interp/util.lisp (fe): Remove.
	(fc): Likewise.
	(interp-make-directory): Simplify.
	(OLD-BOOT::BOOT): Don't declare *PRINT-PRETTY* and *PRINT-LENGTH*
	special. 

2008-03-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>
	
	* interp/trace.boot (untraceDomainLocalOps): Tidy.
	* interp/spaderror.lisp (|$quitTag|): Define as constant.
	(|$numericFailure|): Likewise.
	* interp/spad.lisp: Import "postpar" and "debug".
	($): Remove toplevel assignment.
	(|traceComp|): Tidy.
	(/FLAG): Remove.
	(*PROMPT*): Remove.
	(|New,ENTRY,1|): Don't declare it.  Tidy.
	(|New,ENTRY,2|): Fix typo.
	* interp/sfsfun-l.lisp (rbesselj): Remove extraneous right
	parenthesis. 
	(rbesseli): Likewise.
	* interp/patches.lisp: Import "sockio" instead of "debug"
	(|$useInternalHistoryTable|): Don't define here.
	(user::start): Remove.
	(/RF-1): Declare ECHO-META special.
	(READSPADEXPR): Declare IN-STREAM special.
	(|$ViewportProcessToWatch|): Declare.
	(echo-meta): Don't set here.
	* interp/packtran.boot (rePackageTran): Tidy.
	* interp/nspadaux.lisp (|$underscoreChar|): Define.
	(|$markChoices|): Likewise.
	(|$convert2NewCompiler|): Likewise.
	(|$AnalyzeOnly|): Likewise.
	(|$categoryPart|): Likewise.
	(|$insideCAPSULE|): Likewise.
	(|$insideEXPORTS|): Likewise.
	(|$originalSignature|): Likewise.
	(|$insideDEF|): Likewise.
	(|$insideTypeExpression|): Likewise.
	(|$spadTightList|): Likewise.
	(|$PerCentVariableList|): Likewise.
	* interp/nrunopt.boot (augmentPredCode): Fix typo.
	* interp/nlib.lisp (*LISP-BIN-FILETYPE*): Remove.
	(recompile-lib-file-if-necessary): Use $faslType.  Unconditionally
	define.
	* interp/lisplib.boot (compDefineLisplib): Tidy.
	* interp/interop.boot (SExprToDName): Tidy.
	(oldAxiomPreCategoryDevaluate): Likewise.
	(hashNewLookupInCategories): Likewise.
	* interp/g-util.boot (get): Adjust return type.
	(get0): Likewise.
	(get1): Likewise.
	(get2): Likewise.
	* interp/foam_l.lisp: Tidy.
	* interp/define.boot (maybeInsertViewMorphisms): Fix typo.
	* interp/debug.lisp (/breakcondition): Declare.
	* interp/sys-utility.boot (getSystemModulePath): New.
	* interp/daase.lisp (|with|): Remove
	(|library|): Move i-syscmd.boot
	(initial-getdatabase): Use getSystemModulePath.
	(getdatabase): Likewise.
	(addoperations): Don't reference package LISP.
	(localdatabase): Likewise.
	(write-interpdb): Don't declare *print-prett* special.
	(write-browsedb): Likewise.
	(write-categorydb): Likewise.

2008-03-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-utility.boot: Define more type abbreviations.
	* interp/apply.boot: Adjust signature declarations.
	* interp/compiler.boot: Likewise.

2008-03-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (restart): Rename from RESTART.
	(SET-RESTART-HOOK): Use restart.
	* interp/Makefile.pamphlet (${SAVESYS}): Refer restart, not RESTART.
	(${AXIOMSYS}): Likewise.

2008-03-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/cfuns-c.c (oa_chdir): Add missing `return'.

2008-03-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/cfuns-c.c (oa_chdir): Define.
	(is_dot_or_dotdot): New.
	(oa_unlink): Define.
	(oa_rename): Likewise.
	(oa_mkdir): Likewise.
	* interp/sys-os.boot: New file.
	* interp/util.lisp (MAKE-TAGS-FILE): Use changeDirectory.
	(MAKELIB): Likewise.
	(MAKESPAD): Likewise.
	(LIBCHECK): Likewise.
	* interp/sys-utility.boot ($ERASE): Define here.  Use removeFile.
	($REPLACE): Likewise.
	(checkMkdir): Define.
	* interp/obey.lisp (MAKEDIR): Remove definition.
	* interp/nlib.lisp (RDEFIOSTREAM): Use checkMkdir.
	(MAKEDIR): Remove.
	(RPACKFILE): Use removeFile.
	($ERASE): Remove Lisp definition.
	($REPLACE): Likewise.
	* interp/i-syscmd.boot (cd): Use changeDirectory.
	(compileAsharpArchiveCmd): Use mkdir.
	(histFileErase): Likewise.
	* interp/fortcall.boot (fortCall): Use removeFile.
	(invokeNagman): Likewise.
	* interp/daase.lisp (|library|): Use changeDirectory.
	(LOCALDATABASE): Likewise.
	(DaaseName): Use removeFile.
	* interp/construc.lisp (mergelibs): Use removeFile.
	(mergeall): Use changeDirectory.
	* interp/c-doc.boot (docreport): Use removeFile.
	* interp/br-search.boot (getTempPath): Likewise.
	* interp/br-saturn.boot (dbSort): Likewise.
	* interp/br-data.boot (buildLibdb): Likewise
	(dbSplitLibdb): Likewise.
	(buildGloss): Likewise.
	(purgeLocalLibdb): Likewise.
	* interp/as.boot (asList): Likewise.
	* interp/Makefile.pamphlet (OBJS): Include sys-os.$(FASLEXT).
	(sys-os.$(FASLEXT)): New rule.
	(sys-utility.$(FASLEXT)): Require sys-os.$(FASLEXT).
	* include/cfuns.h (oa_chdir): Declare.
	(oa_unlink): Likewise.
	(oa_rename): Likewise.
	(oad_mkdir): Likewise.

2008-03-16 Alfredo Portes <doyenatccny@gmail.com>
	   Arthur Ralfs <acralfs@shaw.ca>

	* algebra/mathml.spad.pamphlet: Add Arthur Ralfs's MathML package.
	* algebra/Makefile.in: Add MathML to the build process.
	* algebra/Makefile.pamphlet: Likewise.
	* algebra/exposed.lsp.pamphlet: Likewise.
	* interp/setvart.boot: Create an output MathML section in
	patterned after the tex section.
	* interp/setvars.boot: Likewise.
	* interp/i-output.boot: Add the coerce and display functions
	from MathMLFormat actually gets called.

2008-03-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot: Switch to new native type translation.
	* interp/sys-driver.boot (stdStreamIsTerminal): Simplify.

2008-03-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/Makefile.in (void_type): New.
	(char_type): Likewise.
	(int_type): Likewise.
	(float_type): Likewise.
	(double_type): Likewise.
	(string_type): Likewise.
	(pointer_type): Likewise.
	(edit): Use them.
	* interp/wi1.boot (ppFull): Tidy.  Don't set *PRINT-DEPTH*.
	* interp/vmlisp.lisp (gcmsg): Define when SBCL.
	* interp/template.boot (measureCommon): Fix thinko.
	* interp/sys-utility.boot: Move basic type definition from
	g-util.boot to here.
	* interp/g-util.boot (augProplistOf): Fix signature declaration.
	* interp/daase.lisp: Tidy.
	* interp/c-util.boot (displayComp): Remove assignment to
	$X,$M,$F. 
	* interp/boot-pkg.lisp: Tidy.
	* interp/axext_l.lisp: Likewise.
	* interp/Makefile.pamphlet (makeint.lisp): Call GBC only when GCL.
	($(axiom_targetdir)/algebra/exposed.$(FASLEXT)): Tidy.
	(patches.$(FASLEXT)): Require debug.$(FASLEXT), g-timer.$(FASLEXT).
	(wi2.$(FASLEXT)): Require define.$(FASLEXT).
	(spad.$(FASLEXT)): Require postpar.$(FASLEXT), debug.$(FASLEXT).
	* boot/translator.boot (genImportDeclaration): Include translation
	for SBCL.
	* boot/parser.boot (bpMapping): Tidy.
	* boot/ast.boot (coreSymbol): New.
	(bootSymbol): Likewise.
	(bootSymbol): Likewise.
	* lisp/core.lisp.in (|$NativeTypeTable|): New. Export.
	* algebra/Makefile.pamphlet (COMPILE_LISP): Use $(INTERPSYS).
	* algebra/exposed.lsp.pamphlet: Tidy.

2008-03-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lib/Makefile.in ($(axiom_target_libdir)/libopen-axiom-core.$(DLLEXT)): Tidy.
	($(axiom_target_libdir)/libspad.la): Likewise.

2008-03-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/cfuns.h (findString): Rename from include/cfuns-c.H1.
	Make DLL-aware.
	* include/open-axiom.h: New.
	* include/sockio.h: Make DLL-aware.
	* include/bsdsignal.H1: Fold content into include/bsdsignal.h.
	Remove.
	* lib/bsdsignal.c: Don't include bsdsignal.H1
	* lib/fnct_key.c: Likewise.
	* lib/sockio-c.c: Likewise.
	* lib/Makefile.in (other_SOURCES): Remove.
	(other_objects): Likewise.
	(pamphlets): Likewise.
	(clean-local): Don't remove source files.
	(libopen_axiom_core_la_SOURCES): New.
	(libopen_axiom_core_la_objects): Likewise.
	(stamp): Require $(axiom_target_libdir)/libopen-axiom-core.la too.
	* graph/view2D/main2d.c: Likewise.
	* clef/edible.c: Likewise.
	* graph/view3D/main3d.c: Likewise.
	* graph/view3D/testcol.c: Likewise.
	* graph/viewman/sselect.c: Likewise.
	* graph/viewman/viewman.c: Likewise.
	* hyper/htinp.c: Likewise.
	* hyper/hyper.c: Likewise.
	* hyper/spadbuf.c: Likewise.
	* hyper/spadint.c: Likewise.
	* sman/session.c: Likewise.
	* sman/sman.c: Likewise.
	* sman/spadclient.c: Likewise.

2008-03-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/polset.spad.pamphlet (exactQuo$PSETCAT-): Don't
	conditionally define as local function.  Update cached Lisp
	translation. 

2008-03-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/catdef.spad.pamphlet: Update cached Lisp translation.
	* algebra/sf.spad.pamphlet: Likewise.
	* algebra/si.spad.pamphlet: Likewise.
	* algebra/fspace.spad.pamphlet: Likewise.
	* algebra/ffcat.spad.pamphlet: Likewise.
	* algebra/polset.spad.pamphlet: Likewise.
	* algebra/fraction.spad.pamphlet: Likewise.
	* algebra/triset.spad.pamphlet: Likewise.
	* algebra/polycat.spad.pamphlet: Likewise.
	* algebra/pscat.spad.pamphlet: Likewise.

2008-03-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* doc/msgs/s2-us.msgs: Say Spad, not old compiler.

2008-03-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/nocompil.lisp: Remove.
	* interp/Makefile.pamphlet: Adjust.

2008-03-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet (strap/%.$(FASLEXT)): Don't copy
	bootstrapping objects to final algebra directory.
	(%.NRLIB/code.$(FASLEXT)): Specify bootstrapping objects location
	as option.

2008-03-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in ("$faslType"): Export.
	* interp/sys-driver.boot (algebraBootstrapDir): New.
	* interp/lisplib.boot (findModule): New.
	(loadLib): Use it.
	* interp/daase.lisp (localdatabase): Make sure loadable modules
	have proper extensions.
	* interp/sys-utility.boot (existingFile?): New.

2008-03-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/parse.boot (parseDollarGreaterThan): Remove.
	(parseDollarGreaterEqual): Likewise.
	(parseDollarLessEqual): Likewise.
	(parseDolloarNotEqual): Likewise.

2008-03-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* graph/: Depamphletize.
	* include/addfile.h: Move from hyper.
	* include/addfile.H1: Move external declarations into
	addfile.h. Remove. 

2008-03-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/sockio.h: Rename from sockio-c.H1.
	* clef/edible.c: Don't include useproto.h.  Include sockio.h
	* graph/view3D/surface3d.c.pamphlet: Likewise.
	* graph/viewman/fun2D.c.pamphlet: Likewise.
	* graph/viewman/fun3D.c.pamphlet: Likewise.
	* graph/viewman/make2D.c.pamphlet: Likewise.
	* graph/viewman/make3D.c.pamphlet: Likewise.
	* graph/viewman/makeGraph.c.pamphlet: Likewise.
	* graph/viewman/sselect.c.pamphlet: Likewise.
	* graph/viewman/viewman.c.pamphlet: Likewise.
	* graph/viewman/viewman.h: Likewise.
	* hyper/ReadBitmap.c: Likewise.
	* hyper/addfile.c: Likewise.
	* hyper/cond.c: Likewise.
	* hyper/debug.c: Likewise.
	* hyper/dialog.c: Likewise.
	* hyper/display.c: Likewise.
	* hyper/event.c: Likewise.
	* hyper/ex2ht.c: Likewise.
	* hyper/extent1.c: Likewise.
	* hyper/extent2.c: Likewise.
	* hyper/form-ext.c: Likewise.
	* hyper/group.c: Likewise.
	* hyper/halloc.c: Likewise.
	* hyper/hash.c: Likewise.
	* hyper/htadd.c: Likewise.
	* hyper/hterror.c: Likewise.
	* hyper/htinp.c: Likewise.
	* hyper/hyper.c: Likewise.
	* hyper/initx.c: Likewise.
	* hyper/input.c: Likewise.
	* hyper/item.c: Likewise.
	* hyper/keyin.c: Likewise.
	* hyper/lex.c: Likewise.
	* hyper/macro.c: Likewise.
	* hyper/mem.c: Likewise.
	* hyper/parse-aux.c: Likewise.
	* hyper/parse-input.c: Likewise.
	* hyper/parse-paste.c: Likewise.
	* hyper/parse-types.c: Likewise.
	* hyper/parse.c: Likewise.
	* hyper/scrollbar.c: Likewise.
	* hyper/show-types.c: Likewise.
	* hyper/spadbuf.c: Likewise.
	* hyper/spadint.c: Likewise.
	* hyper/titlebar.c: Likewise.
	* lib/sockio-c.c: Likewise.
	* sman/session.c: Likewise.
	* sman/sman.c: Likewise.
	* include/useproto.h: Remove.

2008-03-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* hyper/: De-pamphletize.

2008-03-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compColon): Literal flag types are valid
	types. 

2008-03-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet (axiom_algebra_layer_strap): Derive
	value from $(axiom_algebra_bootstrap).
	(axiom_algebra_layer_0): Include more categories.
	(axiom_algebra_layer_1): Likewise.
	(axiom_algebra_layer_2): Likewise.
	(axiom_algebra_layer_3): Likewise.
	(axiom_algebra_layer_4): Remove some constructors.
	(axiom_algebra_layer_5): Likewise.

2008-03-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (bottomUp): Don't record constructor
	instantiations representations in interactive environments.
	* interp/i-eval.boot (evaluateFormAsType): New.
	(evaluateType): Use it.
	(evaluateType1): Tidy.
	* interp/i-output.boot (output): Tidy.
	* interp/i-object.boot ($genValue): Define here.
	* interp/sys-dirver.boot ($verbose): Rename from
	$verboseInterpreter. 
	* interp/i-map.boot (genMapCode): Propagate $verbose renaming.
	* interp/slam.boot (compileRecurrenceRelation): Likewise.

2008-02-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-analy.boot (bottomUpFormTuple): Use "tuple" for
	parse form that are not type instantiations.
	* interp/i-coerce.boot (coerceInt1): Likewise.
	* interp/i-intern.boot (mkAtree3): Likewise.
	(collectDefTypesAndPreds): Likewise.
	* interp/i-map.boot (args2Tuple): Likewise.
	(makePattern): Likewise.
	(canMakeTuple): Likewise.
	(makeRuleForm): Likewise.
	(numArgs): Likewise.
	(combineMapParts): Likewise.
	(mkMapPred): Likewise.
	(findLocalVars1): Likewise.
	* interp/i-output.boot (outputTran): Likewise.
	* interp/i-spec1.boot ($specialOps): Likewise.
	(evalUntargetedADEF): Likewise.
	(upDeclare): Likewise.
	(declare): Likewise.
	* interp/i-spec2.boot (upDollarTuple): Likewise.
	(upLET): Likewise.
	(isTupleForm): Remove.
	(uptuple): Rename from upTuple.
	(upLETWithFormOnLhs): Use "tuple" for parse forms that are not
	type instantiations.
	* interp/i-syscmd.boot (displayMacro): Likewise.
	* interp/pf2atree.boot (pf2Atree1): Likewise.
	* interp/pf2sex.boot (pf2Sex1): Likewise.
	(pfApplication2Sex): Likewise.
	(pfCollectArgTran): Likewise.
	* interp/ptrees.boot (pfTuple): Likewise.
	(pfTuple?): Likewise.

2008-02-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/i-coerce.boot (coerceInt1): Avoid misguided
	Tuple coercion behind the scene.
	* interp/Makefile.pamphlet (astr.$(FASLEXT)): Depend on
	vmlisp.$(FASLEXT) instead.

	* algebra/Makefile.pamphlet (.NOTPARALLEL): Remove rectriction.

2008-02-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp/core.lisp.in [SBCL]: Require "sb-posix".
	(|resetErrorCount|): New export function.
	* interp/vmlisp.lisp (opOf): Remove macro definition.
	* interp/msg.boot (setMsgCatlessAttr): Fix thinko.
	* interp/monitor.lisp (monitor-add): Remove extra right parenthesis.
	* interp/lisplib.boot: Import "debug".
	(initializeLisplib): Don't use ERRORS variable.
	* interp/i-spec1.boot (isDomainValuedVariable): Tidy.
	* interp/i-output.boot (outputTran): Use SIZE instead of #.
	(output): Remove misguided conversion from Tuple to List.
	* interp/i-coerce.boot (coerceInteractive): Allow domain object
	convesions.
	* interp/g-util.boot (opOf): Declare.
	* interp/Makefile.pamphlet (lisplib.$(FASLEXT)): Depend on
	debug.$(FASLEXT). 
	* algebra/Makefile.pamphlet: Use .$(FASLEXT) instead of hardcoded
	.o extension.

2008-02-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/vmlisp.lisp (|opOf|): Remove duplicate.
	* lisp/core.lisp.in (|resetErrorCount|): New function.  Export.

2008-02-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/variable.spad.pamphlet (AnonymousFunction): Add new
	functions `parameters' and `body'.
	* algebra/domain.spad.pamphlet: Rename from algebra/domain.spad.
	(Category): New category.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Include
	CATEGORY.o. 
	(DOMAIN.NRLIB/code.$(FASLEXT)): Remove rule.
	* interp/trace.boot (transTraceItem): Use $LangSupportTypes.
	* interp/sys-constants.boot ($None): New.
	($Type): Likewise.
	($LangSupportTypes): Likewise.
	* interp/parse.boot (parseHas): Use $LangSupportTypes.
	(parseHasRhs): Likewise.
	* interp/i-spec2.boot (upLETtype): Use conceptualType.
	(uptypeOf): Likewise.
	(upwhere): Likewise.
	(typeOfType): Remove.
	* interp/i-spec1.boot (isDomainValuedVariable): Variables with
	type Category and Type are domain valued too.
	* interp/i-output.boot (output): Special case only Mode and Type.
	* interp/i-funsel.boot (selectMms): Don't ignore modemaps with
	category parameters.
	* interp/i-coerce.boot (canCoerce1): Test for Category instead of
	SubDomain Domain.
	(canCoerceFrom0): Use $None and $Any.
	(absolutelyCannotCoerce): Use $None.
	(coerceInteractive): Use $LangSupportTypes.
	(coerceInt1): Use $Any.
	* interp/i-analy.boot (conceptualType): New.
	(bottomUpType): Use it.
	* interp/clammed.boot (isValidType): Use $LangSupportTypes.
	* interp/g-cndata.boot (isNameOfType): Likewise.
	* interp/category.boot (Category): Remove hacky definition.
	* interp/buildom.boot ($noCategoryDomains): Domain now has a
	Lisplib. 

2008-02-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/unlisp.lisp (|CatchAsCan|): Tidy.
	* interp/sys-utility.boot (delete): Fix thinko.
	* interp/sys-globals.boot ($sourceFiles): Define here.
	(INPUTSTREAM): Likewise.
	* interp/i-syscmd.boot (UNDERBAR): Move to sys-globals.boot.
	* interp/fname.lisp: Import "macros".
	* interp/debug.lisp: Import "parsing".
	Replace $PRETTYPRINT with $PrettyPrint.
	(/FN): Define.
	(depthAlist): Likewise.
	* interp/br-search.boot (docSearch1): Fix thinko.
	* interp/Makefile.pamphlet (debug.$(FASLEXT)): Depend on
	parsing.$(FASLEXT). 
	* interp/i-output.boot (starstarcond): Remove used function.
	(transcomparg): Likewise.
	(MATBORCH): Define here.
	(*TALLPAR): Likewise.
	* interp/vmlisp.lisp (|char|): Remove duplicate definition.

2008-02-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/parser.boot (bpSimpleCatch): New.
	(bTry): Use it.
	* boot/strap: Update.

2008-02-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Add try/catch to Boot.
	* boot/tokens.boot (shoeKeyWords): Add new keywords.
	* boot/ast.boot (Ast): Include three new nodes.
	(bfTry): New.
	(bfThrow): Likewise.
	* boot/parser.boot ($bodyHasReturn): Remove.
	(bpNoteReturnStmt): Likewise.
	(bpThrow): New.
	(bpTry): Likewise.
	(bpPiledCatchItems): Likewise.
	(bpCatchItemList): Likewise.
	(bpExceptionHead): Likewise.
	(bpExceptionTail): Likewise.
	(bpException): Likewise.
	(bpCatchItem): Likewise.
	(bpReturn): Include `throw' expressions.
	(bpStatement): Include `try' expressions.
	* interp/macros.lisp (|tryLine|): Rename from |try|.
	* interp/pspad1.boot: Replace `try' with `tryLine' throughout.

2008-02-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* OpenAxiom-1.1.0 has been released.

2008-02-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* driver/utils.c (openaxiom_execute_core) [__WIN32__]: Enclose 
	every argument in quotes.

2008-02-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-driver.boot (executeSpadScript): By default make
	script execution quiet.  Support --verbose for verbose processing.

2008-02-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Add support for batch processing.
	* sman/sman.c (process_arguments): Now take an argument for
	openaxiom_command.  Don't support '-ws', '-comp', '-grprog',
	'-clefprog', '-clientprog' anymore.
	(process_options): Take one more arguments.
	(main): Excute the Core if in batch mode.
	* sman/Makefile.in (sman_objects): Add driver/utils.lo.
	(%.lo): Look up headers in src/driver too.
	* interp/sys-utility.boot (RECLAIM): Define here.
	(makeAbsoluteFilename): Likewise.
	* interp/sys-driver.boot ($openServerIfTrue): Define here.
	($SpadServer): Likewise.
	(AxiomCore::%sysInit): Tidy.
	(loadExposureGroupData): Define here.
	(REROOT): Likewise.
	(initMemoryConfig): Likewise.
	(RESTART): Likewise.
	(SPAD-SAVE): Likewise.
	(SET-RESTART-HOOK): Likewise.
	(executeSpadScript): New.  Install as driver.
	* interp/obey.lisp (OBEY): Use makeAbsoluteFilename.
	* interp/patches.lisp (save-system): Likewise.
	* interp/util.lisp: Likewise.
	* interp/vmlisp.lisp: Likewise.
	* interp/msgdb.boot: Have mssage throwers countError.
	* interp/incl.boot ($inputLineNumber):  New.
	(incClassify): Use it.  Recognize the magic number.
	(incLude1): Ignore line with magic number.
	* interp/i-toplev.boot (statisticsInitialization): Define here.
	* interp/i-syscmd.boot ($options): Define.
	($historyDirectory): Likewise.
	($HiFiAccess): Likewise.
	(history): Tidy.
	(initHist): Likewise.
	(initHistList): Likewise.
	(historySpad2Cmd): Likewise.
	(setHistoryCore): Likewise.
	(restoreHistory): Likewise.
	($reportUndo): Define.
	(diffAlist): Tidy.
	* interp/diagnostics.boot (BUMPERRORCOUNT): Use countError.
	* interp/debug.lisp (/D-2): Use makeAbsoluteFilename.
	* interp/Makefile.pamphlet (OBJS): Remove bookvol5.$(FASLEXT).
	(makeint.lisp): Don't require bookvol5.$(FASLEXT).  Don't load it.
	(bookvol5.$(FASLEXT)): Remove rule.
	(bookvol5.pamphlet): Remove.
	* include/sman.H1: Fold content into sman/sman.c.  Remove.
	* driver/main.c (OPENAXIOM_CORE_EXECUTABLE): Move to utils.c
	(OPENAXIOM_SMAN_EXECUTABLE): Likewise.
	(OPENAXIOM_CORE_PATH): Likewise.
	(OPENAXIOM_SMAN_PATH): Likewise.
	(get_systemdir): Rename to openaxiom_get_systemdir; move to
	utils.c.
	(make_path_for): Rename openaxiom_make_path_for; move to utils.c
	(main): Simplify.
	* driver/utils.c: New.
	* driver/utils.h: Likewise.
	* driver/Makefile.in: Rename axiom to open-axiom.
	* Makefile.pamphlet (all-sman): Now require all-driver.

2008-02-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/Makefile.pamphlet (OBJS): Include sys-utility.$(FASLEXT).
	(sys-utility.$(FASLEXT)): New rule.
	* interp/sys-utility.boot: New.
	* interp/macros.lisp (|functionp|): Move to sys-utility.boot.
	(|macrop|): Likewise.
	(|delete|): Likewise.
	(CONTAINED, contained\,eq, contained\,equal): Likewise.
	(ASSOCLEFT): Likewise.
	(ASSOCRIGHT): Likewise.
	(ADDASSOC): Likewise.
	(DELLASOS): Likewise.
	(LASSOC): Likewise.
	(|rassoc|): Likewise.

2008-02-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/foam_l.lisp (|G-stdoutVar|): Define; don't just assign.
	(|G-stdinVar|): Likewise.
	(|G-stderrVar|): Likewise.
	(|FormatNumber|): Bind local variable; don't just assign to it.
	(|magicEq1|): Tidy.
	* interp/debug.lisp: Don't declare `COUNT as SPECIAL.
	Remove reference to LISP package.  Remove CCL special-cased
	definitions.
	* interp/comp.lisp ($closedfns): Define.
	* interp/cfuns.lisp (|getEnv|): Define only for GCL, for the time
	being. 

2008-02-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/translator.boot (translateToplevelExpression): New.
	(bpOutItem): Use it.
	* boot/ast.boot (needsPROG): New.
	(shoeCompTran): Use it. Tidy.
	(bfMain): Define cache variables before functions manipulating them.
	* boot/strap/: Update cached Lisp translations.
	* interp/g-timer.boot: Use assignment instead of SETANDFILEQ at
	toplevel.
	* interp/i-syscmd.boot: Likewise.
	* interp/pf2atree.boot: Likewise.
	* interp/trace.boot: Likewise.

2008-02-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/msgdb.boot ($MARG): Define.
	* interp/int-top.boot (intloopReadConsole): Remove code for
	$DALYMODE.
	* interp/define.boot ($NRTopt): Define.
	($suffix): Likewise.
	* interp/debug.lisp (S-SPADKEY): Define.
	* interp/Makefile.pamphlet (OBJS): Don't include setq.$(FASLEXT).
	(setq.$(FASLEXT)): Remove rule.
	* interp/setq.lisp: Remove.

2008-02-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/spad.lisp (APLMODE): Don't define.
	(XTOKENREADER): Don't set; define.
	* interp/setvars.boot (resetWorkspaceVariables): Don't reset
	$coerceIntByMapCounter. 
	* interp/setq.lisp: Stop redundant assignments.
	* interp/nrunfast.boot ($NRTmonitorIfTrue): Define here.
	* interp/i-object.boot (objEnv): Use $EmptyEnvironment.
	* interp/i-coerce.boot ($useConvertForCoercions): Likewise.
	* interp/format.boot ($abbreviateJoin): Define here.

2008-02-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/sys-globals.boot ($consistencyCheck): Remove.
	($insideCanCoerceFrom): Define.
	
2008-02-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/apply.boot (oldCompilerAutoloadOnceTrigger): Remove.
	* interp/setq.lisp: Remove more unused variables.
	* interp/patches.lisp (/RF-1): Tidy.
	* interp/server.boot (parseAndInterpret): Likewise.
	* interp/packtran.boot ($useNewParser): Remove.
	* interp/ht-util.boot (parseAndEval): Tidy.
	* interp/clam.boot ($failed): Define.
	* interp/g-timer.boot ($printStorageIfTrue): Likewise.
	* interp/hashcode.boot ($DomainsWithoutLisplibs): Likewise.
	* interp/i-coerce.boot ($useCoerceOrCroak): Likewise.
	* interp/i-analy.boot ($univariateDomains): Likewise.
	($multivariateDomains): Likewise.
	* interp/i-object.boot ($useIntegerSubdomain): Likewise.
	* interp/i-syscmd.boot ($existingFiles): Likewise.
	* interp/newfort.boot ($fortranArrayStartingIndex): Likewise.
	* interp/setvars.boot (resetWorkspaceVariables): Don't reset
	$dependeeClosureAlist. 

2008-02-02  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/setq.lisp: Remove more unused variables.
	* interp/nruncomp.boot ($Slot1DataBase): Define here.
	* interp/parse.boot ($oldParserExpandAbbrs): Likewise.
	* interp/define.boot ($mutableDomains): Define here.
	(compDefineFunctor1): Tidy.
	(clearCmdCompletely): Don't set $functionTable.

2008-01-31  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/setq.lisp (COPYRIGHTS): Remove.
	(LCTRUE): Likewise.
	($HTPreviousDomain): Likewise.
	($HTOperationError): Likewise.
	($xdatabase): Likewise.
	($CatOfCaDatabase): Likewise.
	($DomOfCatDatabase): Likewise.
	($JoinOfDomDatabase): Likewise.
	($JoinOfCatDatabase): Likewise.
	($attributeDb): Likewise.
	($abbreviateIfTrue): Likewise.
	($deltax): Likewise.
	($deltay): Likewise.
	($displayDomains): Likewise.
	($displayTowardAncestors): Likewise.
	($minimumSeparation): Likewise.
	($testOutputLineFlag): Likewise.
	($testOutputLineStack): Likewise.
	($runTestFlag): Likewise.
	($mkTestFlag): Likewise.
	($mkTestInputStack): Likewise.
	($mkTestOutputStack): Likewise.

2008-01-31  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/unlisp.lisp (|OsRunProgram|): Remove.
	(|OsRunProgramToStream|): Likewise.
	(|PathnameWithinDirectory|): Likewise.
	(|PathnameWithinOsEnvVar|): Likewise.
	(|OsEnvGet|): Likewise.
	(|OsEnvVarCharacter|): Likewise.
	(|NewPathname|): Likewise.
	(|SessionPathname|): Likewise.
	(|PathnameDirectory|): Likewise.
	(|PathnameDirectoryOfDirectoryPathname|): Likewise.
	(|ToPathname|): Likewise.
	(|PathnameName|): Likewise.
	(|PathnameWithType|): Likewise.
	(|PathnameWithoutType|): Likewise.
	(|PathnameWithDirectory|): Likewise.
	(|PathnameWithoutDirectory|): Likewise.
	(|PathnameType|): Likewise.
	(|PathnameToUsualCase|): Likewise.
	(|PathnameAbsolute?|): Likewise.
	(|TempFileDirectory|): Likewise.
	(|OsProcessNumber|): Likewise.
	(|LispReadFromString|): Likewise.
	(|LispEval|): Likewise.
	(|LispCompile|): Likewise.
	(|LispCompileFile|): Likewise.
	(|LispLoadFileQuietly|): Likewise.
	(|LispLoadFile|): Likewise.
	(|LispKeyword|): Likewise.
	(|DeepCopy|): Remove.
	(|SortInPlace|): Likewise.
	(|PlainError|): Likewise.
	(|PlainPrint|): Likewise.
	(|PlainPrintOn|): Likewise.
	(|WriteByte|): Likewise.
	(|WriteChar|): Likewise.
	(|WriteString|): Likewise.
	(|WriteLine|): Likewise.
	(|ByteFileWriteLine|): Likewise.
	(|ReadByte|): Likewise.
	(|ByteFileReadLine|): Likewise.
	(|ReadChar|): Likewise.
	(|ReadLine|): Likewise.
	(|ReadLineIntoString|): Likewise.
	(|ByteFileReadLineIntoString|): Likewise.
	(|ReadBytesIntoVector|): Likewise.
	(|InputStream?|): Likewise.
	(|OutputStream?|): Likewise.
	(|StreamGetPosition|): Likewise.
	(|StreamSetPosition|): Likewise.
	(|StreamSize|): Likewise.
	(|WithOpenStream|): Likewise.
	(|StreamCopyChars|): Likewise.
	(|StreamCopyBytes|): Likewise.
	(|StreamEnd?|): Likewise.
	(|StreamFlush|): Likewise.
	(|StreamClose|): Likewise.
	(|LispFileType|): Likewise.
	(|FaslFileType|): Likewise.
	(|MakeSymbol|): Likewise.
	(|Symbol?|): Likewise.
	(|SymbolString|): Likewise.
	(|TrueBit|): Likewise.
	(|FalseBit|): Likewise.
	(|Bit?|): Likewise.
	(|BitOn?|): Likewise.
	(|BitOr|): Likewise.
	(|Bit|): Likewise.
	(|FullVector|): Likewise.
	(|Vector?|): Likewise.
	(|FullBvec|): Likewise.
	(|CharGreater?|): Likewise.
	(|CharDigit?|): Likewise.
	(|NewlineChar|): Likewise.
	(|SpaceChar|): Likewise.
	(|TimeStampString|): Likewise.
	(|CsetString|): Likewise.
	(|CsetComplement|): Likewise.
	(|AlphaCset|): Likewise.
	(|AlphaCset|): Likewise.
	(|LowerCaseCset|): Likewise.
	(|UpperCaseCset|): Likewise.
	(|NumericCset|): Likewise.
	(|CsetUnion|): Likewise.
	(|CsetMember?|): Likewise.
	(|FullString|): Likewise.
	(|ToString|): Likewise.
	(|StringImage|): Likewise.
	(|String?|): Likewise.
	(|StringGetCode|): Likewise.
	(|StringConcat|): Likewise.
	(|StringFromTo|): Likewise.
	(|StringFromToEnd|): Likewise.
	(|StringFromLong|): Likewise.
	(|StringPrefix?|): Likewise.
	(|StringUpperCase|): Likewise.
	(|StringLowerCase|): Likewise.
	(|StringGreater?|): Likewise.
	(|StringToInteger|): Likewise.
	(|StringToFloat|): Likewise.
	(|StringLength|): Likewise.
	(|Number?|): Likewise.
	(|Integer?|): Likewise.
	(|Float?|): Likewise.
	(|Odd?|): Likewise.
	(|Pair?|): Likewise.
	(|car|): Likewise.
	(|cdr|): Likewise.
	(|caar|): Likewise.
	(|cadr|): Likewise.
	(|cdar|): Likewise.
	(|cddr|): Likewise.
	(|caaar|): Likewise.
	(|caadr|): Likewise.
	(|cadar|): Likewise.
	(|caddr|): Likewise.
	(|cdaar|): Likewise.
	(|cdadr|): Likewise.
	(|cddar|): Likewise.
	(|cdddr|): Likewise.
	(|FastCar|): Likewise.
	(|FastCdr|): Likewise.
	(|FastCaar|): Likewise.
	(|FastCadr|): Likewise.
	(|FastCdar|): Likewise.
	(|FastCddr|): Likewise.
	(|FastCaaar|): Likewise.
	(|FastCaadr|): Likewise.
	(|FastCadar|): Likeiwse.
	(|FastCaddr|): Likewise.
	(|FastCdaar|): Likewise.
	(|FastCdadr|): Likewise.
	(|FastCddar|): Likewise.
	(|FastCdddr|): Likewise.
	(|IfCar|): Likewise.
	(|IfCdr|): Likewise.
	(|EqCar|): Likewise.
	(|EqCdr|): Likewise.
	(|ListNReverse|): Likewise.
	(|ListIsLength?|): Likewise.
	(|ListNRemoveQ|): Likewise.
	(|ListRemoveDuplicatesQ|): Likewise.
	(|ListUnion|): Likewise.
	(|ListUnionQ|): Likewise.
	(|ListIntersection|): Likewise.
	(|ListIntersectionQ|): Likewise.
	(|ListAdjoin|): Likewise.
	(|ListAdjoinQ|): Likewise.
	(|AlistAssoc|): Likewise.
	(|AlistRemove|): Likewise.
	(|AlistAdjoinQ|): Likewise.
	(|AlistUnionQ|): Likewise.
	(|Table?|): Likewise.
	(|TableCount|): Likewise.
	(|TableGet|): Likewise.
	(|TableSet|): Likewise.
	(|TableUnset|): Likewise.
	(|TableKeys|): Likewise.
	(lucid-os-run-program): Likewise.
	(lucid-os-run-program-to-stream): Likewise.
	(lucid-os-env-get): Likewise.
	(lucid-os-process-number): Likewise.
	(c-to-lisp-string): Likewise.
	(cmulisp-os-run-program): Likewise.
	(cmulisp-os-run-program-to-stream): Likewise.
	(cmulisp-os-env-get): Likewise.
	(cmulisp-os-process-number): Likewise.
	(kcl-os-run-program): Likewise.
	(kcl-os-run-program-to-stream): Likewise.
	(kcl-os-env-get): Likewise.
	(kcl-os-process-number): Likewise.
	(|PathnameString|): Likewise.
	(|Remainder|): Likewise.
	(|DoublePrecision|): Likewise.
	(|Abs|): Likewise.
	(|Min|): Likewise.
	(|Max|): Likewise.
	(|Exp|): Likewise.
	(|Ln|): Likewise.
	(|Log10|): Likewise.
	(|Sin|): Likewise.
	(|Cos|): Likewise.
	(|Tan|): Likewise.
	(|Cotan|): Likewise.
	(|Arctan|): Likewise.
	(|CharCode|): Likewise.
	(|Pathname|): Likewise.
	(|Char|): Likewise.
	(|Char?|): Likewise.
	(*new-pathname-counter*): Likewise.
	(|funcall|): Move sys-macros.lisp.
	(|Catch|): Likewise.
	(|Throw|): Likewise.
	(|UnwindProtect|): Likewise.
	* interp/pathname.boot (pathnameDirectory): Use KEYWORD package.
	* interp/incl.boot (ifCond): Use INTERN.
	(assertCond): Likewise.
	* interp/cformat.boot (pfname): Use NAMESTRING.

2008-01-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Support signature declaration in Boot.
	* boot/ast.boot (bfUntuple): New.
	(bfTagged): Toplevel tags are signatures.
	* boot/parser.boot (bpTyping): New. 
	(bpTagged): Use it.
	* boot/translator.boot (genDeclaration): New.
	(bpOutItem): Use it.	
	* interp/compiler.boot: Add type annotations for compiler routines.
	* lisp/Makefile.in ($(OUT)/lisp$(EXEEXT)): Don't turn on emit-fn.

2008-01-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/Makefile.pamphlet: Remove.
	* boot/translator.boot: New.
	* boot/translator.boot: Remove.
	* boot/tokens.boot: New.
	* boot/tokens.boot.pamphlet: Remove.
	* boot/scanner.boot: New.
	* boot/scanner.boot.pamphlet: Remove.
	* boot/pile.boot: New.
	* boot/pile.boot.pamphlet: Remove.
	* boot/parser.boot: New.
	* boot/parser.boot.pamphlet: New.
	* boot/initial-env.lisp: New.
	* boot/initial-env.lisp.pamphlet: Remove.
	* boot/includer.boot: New.
	* boot/includer.boot.pamphlet: Remove.
	* boot/ast.boot: New.
	* boot/ast.boot.pamphlet: Remove.

2008-01-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1872551
	* interp/c-util.boot (dollarIfRepHack): New.
	(RepIfRepHack): Likewise.
	(substituteDollarIfRepHack): Likewise.
	(isSubset): Dollar is subset of Rep only in old semantics.
	* interp/buildom.boot (mkMappingFunList): Substitute dollar for
	Rep only when appropriate.
	(mkRecordFunList): Likewise.
	(mkNewUnionFunList): Likewise.
	(mkUnionFunList): Likewise.
	* interp/compiler.boot (compNoStacking): Likewise.
	(compNoStacking1): Likewise.
	(getConstructorFormOfMode): Likewise.
	(isUnionMode): Likewise.
	(coerce): Likewise.
	(coerceSubset): Likewise.
	* interp/modemap.boot (addModemap1): Likewise.
	(isSuperDomain): Likewise.
	* interp/define.boot (maybeInsertViewMorphisms): New.
	(compCapsule): Use it.
	(compCategoryItem): Don't allow exports of rep and per.
	* interp/sys-globals.boot ($useRepresentationHack): New.

2008-01-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/database.boot: Tidy uses of $EmptyEnvironment.
	* interp/i-map.boot: Likewise.  Allocate fresh cell for $env.
	* interp/i-spec1.boot: Likewise.
	* interp/i-syscmd.boot: Likewise.
	* interp/i-toplev.boot: Likewise.
	* interp/lisplib.boot: Likewise.
	* interp/setvars.boot: Likewise.
	* interp/sys-globals.boot: Likewise.

	* interp/nruncomp.boot: Encode flag types too.
	* interp/template.boot: Likewise.
	* share/algebra: Update databases.
	
2008-01-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/311
	* interp/i-syscmd.boot (displayOperationsFromLisplib): Say no
	exported operations when there is nothing to display.

2008-01-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix AW/272
	* interp/i-spec1.boot (compileADEFBody): Don't evaluate unnamed
	functions.  Compile them instead.
	* testsuite/interpreter/aw-272.input: New.

2008-01-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/any.spad.pamphlet (empty$Scope): Use literal empty list.
	(empty$Environment): Likewise.

2008-01-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>
            Waldek Hebisch <hebisch@math.uni.wroc.pl>

	Fix AW/102
	* interp/iterator.boot (getIdentity): Properly identify the
	algebra empty list.

2008-01-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Apply patch by Stephen Wilson <<wilsons@multiboard.com>
	Fix AW/370
	* interp/compiler.boot (compWithMappingMode): Consult current
	environment to decide which variabes are free.
	* testsuite/compiler/cwmm-test.spad: New.

2008-01-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (Syntax): Assert a member of
	SetCategory.  Implement equality.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Move
	BASTYPE.o from layer 3 to here.  Move SYNTAX.o from here to layer 1.
	(axiom_algebra_layer_1): Move CTROCALL.o to layer 2.
	* share/algebra: Update database.

2008-01-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet (ElaboratedExpression): New.
	* algebra/any.spad.pamphlet: Rename ObjectProperty to Property.
	* algebra/exposed.lsp.pamphlet: Likewise.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_5): Include
	ELABEXPR.o 
	* share/algebra: Update databases.

2008-01-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad.pamphlet: Rename from algebra/syntax.spad.
	Add a new domain for constructor instantiation form.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_1): Include
	CTORCALL.o 
	(SYNTAX.NRLIB/code.$(FASLEXT)): Remove rule.  Now implicit.
	* share/algebra: Update databases.

2008-01-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Now include
	SYNTAX.o 
	* algebra/syntax.spad (buildSyntax$Syntax): Use CONS$Lisp to
	permit early bootstrap.

2008-01-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/any.spad.pamphlet (getProperty$Environment): New.
	(setProperty!$Environment): Likewise.
	(getProperties$Environment): Likewise.
	(setProperties!$Environment): Likewise.

2008-01-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/construc.lisp (|loadLibNoUpdate|): Fix thinko in initial
	value for empty environments.
	* interp/database.boot (rebuildCDT): Likewise.
	* interp/i-map.boot (addDefMap): Likewise.
	(rewriteMap0): Likewise.
	(rewriteMap1): Likewise.
	(compileDeclaredMap): Likewise.
	(analyzeUndeclaredMap): Likewise.
	* interp/i-spec1.boot: Likewise.
	* interp/i-syscmd.boot (reportOperations): Likewise.
	* interp/i-toplev.boot (interpret): Likewise.
	* interp/lisplib.boot (loadLib): Likewise.
	(loadLibNoUpdate): Likewise.
	* interp/setvars.boot (resetWorkspaceVariables): Likewise.
	* interp/spad.lisp ($e): Move definition to sys-globals.boot.
	($env): Likewise.
	* interp/sys-globals.boot ($e): Define here.
	($env): Likewise.
	* algebra/any.spad.pamphlet (ObjectProperty): New.
	(Binding): Likewise.
	(Contour): Likewise.
	(Scope): Likewise.
	(Environment): Likewise.
	* algebra/exposed.lsp.pamphlet: Expose ObjectProperty, Binding,
	Contour, Scope, and Environment.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Include
	OBJPROP.o. 
	(axiom_algebra_layer_1): Include BINDING.o
	(axiom_algebra_layer_2): Include CONTOUR.o
	(axiom_algebra_layer_3): Include SCOPE.o
	(axiom_algebra_layer_4): Include ENV.o
	* share/algebra: Update database.

2008-01-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1849734
	* interp/i-spec1.boot (upand): Don't insist on having operands of
	type Boolean.
	(upor): Likewise.
	* algebra/mkrecord.spad.pamphlet (Pair): New domain constructor.
	* algebra/exposed.lsp.pamphlet: Expose Pair, PropositionalLogic,
	PropositionalFormula. 
	* algebra/boolean.spad.pamphlet (PropositionalFormula): New domain
	constructor. 
	* algebra/Makefile.pamphlet (axiom_algebra_layer_4): Include
	PAIR.o. 
	(axiom_algebra_layer_19): Include PROPFRML.o
	* share/algebra: Update databases.
	* testsuite/interpreter/1849734.input: New.

2008-01-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1848975
	* interp/buildom.boot ($commonCategoryAncestors): New.
	($commonCategoryDefaults): Likewise.
	(Record0): Use it.
	(Union): Likewise.
	(Mapping): Likewise.
	(Enumeration): Likewise.
	* testsuite/algebra/1848975.input: New.

2008-01-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1872564
	* interp/compiler.boot (compPretend): Don't check for `new'
	compiler semantics.
	(compColonInside): Likewise.
	* testsuite/compiler/1872564.spad: New.

2008-01-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1850071
	* algebra/syntax.spad (compound?$Syntax): New.

2008-01-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/boolean.spad.pamphlet (PropositionalLogic): New category.
	(Boolean): Assert as belonging to PropositionalLogic.
	Update cached Lisp translation.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): Add
	PROPLOG.o
	* src/algebra: Update databases.

2008-01-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/syntax.spad (autoCoerce$Syntax): Add overloads.
	* interp/compiler.boot (coerceExtraHard): Always coerce by
	autoCoerce. 
	* testsuite/interpreter/case.spad: Likewise.
	* testsuite/interpreter/case.input: New.

2008-01-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/compiler.boot (compSymbol): Don't handle possible
	case views here.
	(hasUniqueCaseView): Rename from getUniqueCaseView.  Take the
	target mode as second argument.
	(compForm2): Use calling convention vector to determine infer flag
	parameter types.
	(compCase1): Uniformly handle `case-expressions'.  Call
	genDeltaEntry for selected operator.
	(coerceExtraHard): Handle coercions from UnionType domains.
	(autoCoerceByModemap): Tidy.
	* interp/g-opt.boot (optCall): Be more verbose in diagnostics.
	* algebra/syntax.spad (Syntax): Rework.
	* algebra/coerce.spad.pamphlet (UnionType): New.
	* algebra/Makefile.pamphlet (axiom_algebra_layer_0): 
	Include UTYPE.o
	* share/algebra: Update databases.

2008-01-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1852076
	* algebra/domain.spad (reify$Domain): Specify target type of
	conversion. 
	* interp/nrunfast.boot (newLookupInDomain): Tidy.
	(newLookupInCategories): Likewise.
	* testsuite/interpreter/1852076.input: New.

2008-01-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix SF/1867459
	* interp/postpar.boot (postError): Fix thinko.
	* interp/parse.boot ($defOp): Define.
	* testsuite/compiler/1867459.spad: New.

2008-01-13  Ralf Hemmecke <ralf@hemmecke.de>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* algebra/bags.spad.pamphlet (map!$Stack): Cache the result in the
	underlying reference.

2008-01-11  Gabriel Dos Reis <gdr@cs.tamu.edu>

	* interp/msg.boot (getStFromMsg): Fix typo.

2008-01-10  Gabriel Dos Reis <gdr@cs.tamu.edu>

	* algebra/syntax.spad (getOperator): Inject into the right
	Union branch.

2008-01-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* interp/msgdb.boot (brightPrint0): Disable highlightinh on Win32.
	* lib/cfuns-c.c (std_stream_is_terminal): Tidy.

2008-01-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/Makefile.pamphlet (AXIOM_LOCAL_LISP): Use Lisp image with C
	bindings. 
	* interp/msgdb.boot (brightPrint0): Don't highlight if the
	standard output is not attached to a terminal.
	* interp/sys-driver.boot (stdStreamIsTerminal): New.
	* lib/cfuns-c.c (std_stream_is_terminal): New.

2008-01-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* boot/ast.boot.pamphlet (Ast): Add ImportSignature, Signature,
	and Mapping.
	* boot/parser.boot.pamphlet (bpImport): Parse import declaration.
	(bpSignature): New.
	(bpMapping): Likewise.
	* boot/tokens.boot.pamphlet (shoeKeyWords): Add new keyword.
	* boot/translator.boot.pamphlet (genImportDeclaration): Translate 
	import declaration.
	(shoeOutItem):  Handle import declarations.

2008-01-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* sman/sman.c: Remove debug and dead codes.

2008-01-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* driver/main.c (main) [__WIN32__]: Fix off-by-one thinko.

2008-01-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* scripts/axiom.in: Remove.
	* driver: New directory.
	* driver/main.c: New.  Now implement driver as native
	application. 

